Welcome

This page links you to product and user information for the Keysight N7614B Signal Studio for Power Amplifier Test software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Open Source Acknowledgement

Software version 5.0

Help revised 9/5/2017 - get the latest revision

© Keysight Technologies, Inc. 2014-2017


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.


System Requirements

1. System Requirements

Installation Steps: 1 2 3 4 5 6

To generate signals using the N7614B Signal Studio for Power Amplifier Test software, you must have a properly configured PC and a properly configured instrument, as described in the following tables. N7614B Signal Studio for PA Test supports two configuration modes: arb and real-time. Either configuration mode has different hardware requirements.

ARB Hardware Requirements

Real-time Hardware Requirements

ARB Hardware Requirements

Instrument Type

Instrument Model Supported

Requirements

Envelope Signal Generator (only required for envelope tracking test)

33522B waveform generator

Required options:

33522B-MEM (add 16 M memory)

Recommended options:

33522B-OCX (add high-stability OCXO timebase)

33622A waveform generator

Recommended options:

33622A-MEM (add 64 M samples memory per channel)

33622A-OCX (add high-stability OCXO timebase)

N5172B EXG X-Series RF vector signal generator

Firmware revision B.01.10 or later

Required options:

N5172B-653 (internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5182B MXG X-Series RF vector signal generator

Firmware revision B.01.10 or later

Required options:

N5182B-656 (internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

M8190A arbitrary waveform generator

Firmware:

Version 5.1.0.0 or later

Required options:

M8190A-002 (two channels; supports two M8190A modules)

M8190A-14B (14-bit resolution with 8 GSa/s; supports precise mode for envelope signal generation)

M8190A-AMP (additional AC and DC amplifier; supports differential channels used to output the envelope signal)

M8190A-SEQ (sequencer; used to implement the delay adjustment)

Recommended options:

M8190A-02G (upgrade from 128 MSa to 2 GSa memory/channel; only needed for upgrading baseband generator memory)

RF Signal Generator

(For envelope tracking and dual-band DPD tests, only N5172B EXG, N5182B MXG, and N5182A MXG are supported.)

N5172B EXG X-Series RF vector signal generator

Firmware revision B.01.10 or later

Required options:

N5172B-653 (internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-1EA (high output power)

N5182B MXG X-Series RF vector signal generator

Firmware revision B.01.10 or later

Required options:

N5182B-656 (internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-1EA (high output power)

N5182A MXG RF vector signal generator

Firmware revision A.01.60 or later

Required options:

N5182A-652 (60 MSa/s internal baseband generator with 8 MSa memory )

Recommended options:

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory)

N5182A-019 (upgrade baseband generator memory to 64 Msa)

N5182A-1EA (high output power)

E4438C ESG vector signal generator

Firmware revision C.04.95 or later

Required options:

E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

Recommended options:

E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability)

E4438C-UNB (high output power with mechanical attenuator)

E8267D PSG vector signal generator

Firmware revision C.04.92 or later

E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)
M8190A arbitrary waveform generator

M8190A required options:

Firmware revision 5.1.0.0 or later

M8190A-002 (arbitrary waveform generator, 2 channels)

M8109A-12G2 (12 GSa/s with 12 bit resolution)

M8109A-14B2 (14 bit resolution with 8 GSa/s)
M8190A arbitrary waveform generator, DUC mode

M8190A required options:

Firmware revision 5.1.0.0 or later

M8190A-DUC (digital upconversion)
M8190A arbitrary waveform generator + E8267D PSG vector signal generator 1

M8190A required options:

Firmware revision 5.1.0.0 or later

M8190A-002 (arbitrary waveform generator, 2 channels)

M8109A-12G2 (12 GSa/s with 12 bit resolution)

M8109A-14B2 (14 bit resolution with 8 GSa/s)

E8267D PSG required options:

E8267D-016 (wideband differential external I/Q inputs)

M9381A PXIe VSG

Firmware revision M938x_Setup-2.0.333.0.exe or later

Required options:

M9381A-M01, M05, or M10

M9381A-B04, B10, or B16

M9381A-F03 or F06

M8195A arbitrary waveform generator

Firmware revision: 3.1 or later

Recommended options:

M8195A-16G (Upgrade to 16 GSa Memory)

M9420A VXT PXIe vector transceiver

Software:

Version M.19.50 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

M9421A VXT PXIe vector transceiver

Software:

Version M.19.50 or later

Recommended options:

M9421A-1EA (high output power)

M9421A-B85 (increases signal bandwidth to 80 MHz)

M9421A-B1X (increases signal bandwidth to 160 MHz)

M9421A-M05 (memory 512 MSa)

Additional options to consider:

M9421A-506 (frequency range 6 GHz)

M942A-HDX (half duplex ports)
Signal Analyzer
(For dual-band DPD test, only N9010A EXA, N9020A MXA and N9030A PXA are supported.) 		N9010A EXA

Required options:

N9010A-B40 (analysis bandwidth, 40 MHz)
N9020A MXA

Required options:

N9020A-B40 (analysis bandwidth, 40 MHz)

Recommended options:

N9020A-B85 (analysis bandwidth, 85 MHz)

N9020A-B1A (analysis bandwidth, 125 MHz)

N9020A-B1X (analysis bandwidth, 160 MHz)
N9030A PXA

Required options:

N9030A-B40 (analysis bandwidth, 40 MHz)

Recommended options:

N9030A-B85 (analysis bandwidth, 85 MHz)

N9030A-B1A (analysis bandwidth, 125 MHz)

N9030A-B1X (analysis bandwidth, 160 MHz)
N9030B PXA

Required options:

N9030B-B40 (analysis bandwidth, 40 MHz)

Recommended options:

N9030B-B85 (analysis bandwidth, 85 MHz)

N9030B-B1X (analysis bandwidth, 160 MHz)

N9030B-B5X (analysis bandwidth, 510 MHz)
N9040B UXA

Required options:

N9040B-B40 (analysis bandwidth, 40 MHz)

Recommended options:

N9040B-H1G (analysis bandwidth, 1 MHz)

N9040B-B2X (analysis bandwidth, 255 MHz)

N9040B-B5X (analysis bandwidth, 510 MHz)
M9391A PXI VSA

Firmware revision M9391_Setup-2.0.280.0.0.exe or later

Required options:

M9391A-M01, M05, or M10

M9391A-B04, B10, or B16

M9391A-F03 or F06
M9393A PXI VSA

Firmware revision M9393_Setup-1.2.1016.0.exe or later

Required options:

M9393A-M01, M05, or M10

M9393A-B04, B10, or B16

M9393A-F14, F18, F27, FRX, or FRZ

1. This configuration is used for wideband DPD support, in which M8190A works as IQ waveform generator and E8267D PSG works as modulator & up converter.

2. For M8190A-12G and M8190A-14B options, you must choose one of the two options or both.

Real-Time Hardware Requirements

Instrument Type | Instrument Model Supported | Requirements
Envelope Signal Generator (only required for envelope tracking test) | N5172B EXG X-Series RF vector signal generator | Firmware revision B.01.10 or later Required options: N5172B-653 (internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth) N5172B-660 (upgrade baseband generator with real-time capability) Recommended options: N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)
 | N5182B MXG X-Series RF vector signal generator | Firmware revision B.01.10 or later Required options: N5182B-656 (internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth) N5182B-660 (upgrade baseband generator with real-time capability) Recommended options: N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)
RF Signal Generator | N5172B EXG X-Series RF vector signal generator | Firmware revision B.01.10 or later Required options: N5172B-653 (internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth) N5172B-660 (upgrade baseband generator with real-time capability) Recommended options: N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth) N5172B-1EA (high output power)
 | N5182B MXG X-Series RF vector signal generator | Firmware revision B.01.10 or later Required options: N5182B-656 (internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth) N5182B-660 (upgrade baseband generator with real-time capability) Recommended options: N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth) N5182B-1EA (high output power)
Signal Analyzer | N9010A EXA | Required options: N9010A-B40 (analysis bandwidth, 40 MHz)
 | N9020A MXA | Required options: N9020A-B40 (analysis bandwidth, 40 MHz) Recommended options: N9020A-B85 (analysis bandwidth, 85 MHz) N9020A-B1A (analysis bandwidth, 125 MHz) N9020A-B1x (analysis bandwidth, 160 MHz)
 | N9030A PXA | Required options: N9030A-B40 (analysis bandwidth, 40 MHz) Recommended options: N9030A-B85 (analysis bandwidth, 85 MHz) N9030A-B1A (analysis bandwidth, 125 MHz) N9030A-B1x (analysis bandwidth, 160 MHz)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (64 bit)1:

  • 1 GHz or faster 64-bit processor

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 4.0 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise) (64 bit)1:

  • 1 GHz or faster 64-bit processor

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 4.0 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.


.NET Framework

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 4.0 or later installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows 7

Before installing .NET Framework 4.0, you can verify whether it is already installed in your PC by doing the following:

  1. Go to Start > Control Panel > Programs > Programs and Features.

  2. Look for Microsoft .NET Framework 4.0 or Microsoft .NET Framework 4.0 Client Profile in the list of programs.

  3. If you do not see it listed, you must download it from Microsoft.

Downloading .NET Framework

If you do not have the .NET Framework 4.0 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 4.0.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 17.1 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Related Topics

Tutorials


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • M8190A Arbitrary Waveform Generator

  • M9381A PXIe Vector Signal Generator

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • E8267D PSG Signal Generator


Installing the License in an MXG Signal Generator

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in an M8190A Arbitrary Waveform Generator

Before installing the license file, save a backup copy in a safe place.

Using Keysight License Manager

The Keysight License Manager (KLM) must be running on the PC that is physically connected to the M8190A AWG. This PC may be an embedded AXIe controller or a PC connected to the M8190A AWG over PCIe. The PC must have the M8190A firmware running on it.

  1. If you do not have KLM installed on the PC connected to the M8190A, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to the PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Use the KLM software to install the license file. Refer to the KLM help for specific instructions.


Installing the License in an M9381A PXIe Vector Signal Generator

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PSG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the PSG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (KLM) software. If you do not have KLM installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. On your PC, use the KLM software to move the transportable license between instruments. Refer to the KLM help for specific instructions.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the KLM software.

  3. Delete the transportable license from the source instrument Refer to the KLML help for specific instructions.

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the KLM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into KLM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


About Power Amplifier Test

These topics provide conceptual information about selected features of the Signal Studio for Power Amplifier Test software.

Envelope Tracking (ET)

Digital Pre-Distortion (DPD)

Dual-Band Digital Pre-Distortion (DPD)

Crest Factor Reduction (CFR)

Dual-Band ET


Envelope Tracking (ET) Concept

Envelope tracking is a technology to improve the efficiency level of the PA (power amplifier). It allows the power supply of the PA to be dynamically controlled by the envelope of the RF signal passing through the PA to increase the system efficiency.

Reasons to Use Envelope Tracking

Envelope Tracking Basic Concept

Reasons to Use Envelope Tracking

For conventional PA, the power supply is designed to be a fixed DC voltage as shown in Figure 1.This kind of design has high transmitter efficiency for systems like GSM and GPRS, which use constant-envelope GMSK modulation.

Figure 1. Conventional PA block diagram

With the pursuit of increased data throughput in limited radio frequency bandwidth, higher spectral efficiency is required. To achieve this, in modern communication systems, more complicated modulation and access schemes are used, like OFDM, CDMA. In these modulation schemes, the signal envelope varies continuously during the transmission. Figure 2 shows that the LTE signal envelope varies over time. If in this case, the PA still works under constant power supply, it means a loss of efficiency, as the PA is the most efficient at its peak power. At lower power levels, the PA operates below its peak power. As a result, a significant amount of power is dissipated as heat.

Figure 2. Constant power supply for variable envelope

The consequence of the PA inefficiency is very practical. The smart phones will be hotter and their batteries will run out quickly; at the same time, mobile and broadcast network operators need to pay a lot for the wasted energy.

Envelope tracking, is a technique to increase the PA efficiency dramatically.

Envelope Tracking Basic Concept

The basic principle of envelope tracking, as shown in Figure 3, is to constantly adjust the supply voltage of the PA according to the envelope of RF input signal so that the PA can always operate at a high efficiency.

Figure 3. Variable power supply for variable envelope

Figure 4 illustrates the envelope tracking PA block diagram. In baseband, envelope detector generates envelope by taking magnitude of IQ, which is [image]. The magnitude of the signal is not the ideal signal for envelope tracking power supply. To obtain the maximum efficiency, the magnitude of the signal is often modified by shaping. A shaping table is then developed to map the signal magnitude to the required voltage supply on the PA. This shaping table determines characteristics of ET system, so system designers spend a lot of time and effort to optimize shaping tables. The shaped envelope is then supplied to Envelope Tracking Power Supply, or ETPS.

Figure 4. Envelope tracking PA

For envelope tracking PA, the envelope tracking power supply and the RF input signal should be aligned strictly in time. Even small time deviations will have substantial influence in the RF output signal, leading to the deterioration of the ACP and EVM.

Figure 5. Time Alignment


Digital Pre-Distortion (DPD) Concept

Power amplifiers are essential components in the overall performance and throughput of communication systems, but they are inherently nonlinear. The nonlinearity generates spectral re-growth, which leads to adjacent channel interference and violations of the out-of-band emissions standards mandated by regulatory bodies. It also causes in-band distortion, which degrades the bit-error rate (BER) and data throughput of the communication system.

To reduce the nonlinearity, the power amplifier can be operated at a lower power (that is, “backed off”) so that it operates within the linear portion of its operating curve. However, newer transmission formats, such as wideband code division multiple access (WCDMA) and orthogonal frequency division multiplexing (OFDM, WLAN/3GPP LTE), have high peak-to-average power ratios (PAPR); that is, large fluctuations in their signal envelopes. This means that the power amplifier needs to be backed off well below its maximum saturated output power in order to handle infrequent peaks, which result in very low efficiencies (typically less than 10%). With greater than 90% of the DC power being lost and turning into heat, the amplifier performance, reliability and ongoing operating expenses (OPEX) are all degraded.

Figure 1. DPD-PA Cascade

DPD is one of the most cost-effective linearization techniques. It features an excellent linearization capability, the ability to preserve overall efficiency, and it takes full advantage of advances in digital signal processors and A/D converters. The technique adds an expanding nonlinearity in the baseband that complements the compressing characteristic of the RF power amplifier (Figure 1). Ideally, the cascade of the pre-distorter and the power amplifier becomes linear and the original input is amplified by a constant gain. With the pre-distorter, the power amplifier can be utilized up to its saturation point while still maintaining good linearity, thereby significantly increasing its efficiency. From Figure 1, the DPD can be seen as an “inverse” of the PA. The DPD algorithm needs to model the PA behavior accurately and efficiently for successful DPD deployment.

DPD Implementation Methods

DPD implementations can be classified into memoryless models and models with memory.

Memoryless models

Memoryless models focus on the power amplifier that has a memoryless nonlinearity, that is, the current output depends only on the current input through a nonlinear mechanism. This instantaneous non-linearity is usually characterized by the AM/AM and AM/PM responses of the power amplifier, where the output signal amplitude and phase deviation of the power amplifier output are given as functions of the amplitude of its current input. Both memoryless polynomial algorithm and Look-Up Table (LUT) based algorithm are two key algorithms for memoryless models.

Figure 2 shows the structure of applying the Look-up Table. There are two configurations according to the order of AM/AM and AM/PM. For the first configuration (AM/PM then AM/AM), the input amplitude values for AM/PM LUT and AM/AM LUT are the same. For the second configuration (AM/AM then AM/PM), the input amplitude values for AM/AM LUT and AM/PM LUT are different.

Figure 2. Look-up Table Structure

Memory Model

Memory model is commonly used as the signal bandwidth gets wider, such as in WCDMA, mobile WiMAX and 3GPP LTE and LTE-Advanced (up to 100 MHz bandwidth, 5 component carriers of carrier aggregation ). For wider bandwidth, power amplifiers begin to exhibit memory effects. This is especially true for those high power amplifiers used in wireless base stations. The causes of the memory effects can be attributed to thermal constants of the active devices or components in the biasing network that have frequency dependent behaviors. As a result, the current output of the power amplifier depends not only on the current input, but also on the past input values. In other words, the power amplifier becomes a nonlinear system with memory. For such a power amplifier, memoryless pre-distortion can achieve only very limited linearization performance. Therefore, digital pre-distorters must have memory structures.

The most important algorithm for models with memory for Digital pre-distortion implementation is Volterra series and its derivatives. The most general way to introduce memory is to use the Volterra series. However, the large number of coefficients of the Volterra series makes it unattractive for practical applications. Therefore, there are several Volterra’s derivatives including Wiener, Hammerstein, Wiener–Hammerstein, parallel Wiener structures, and memory polynomial model are popular in digital pre-distorters. The so-called “memory polynomial” is interpreted as a special case of a generalized Hammerstein model and is further elaborated by combining with the Wiener model.

To construct digital pre-distorters with memory structures, there are two types of approaches. One type of approach is to first identify the power amplifier and then find the inverse of the power amplifier directly. This approach is named as direct learning architecture (DLA). However, obtaining the inverse of a nonlinear system with memory is generally a difficult task. Another type of approach is to use the indirect learning architecture (IDLA) to design the pre-distorter directly. The advantage of this type of approach is that it eliminates the need for model assumption and parameter estimation of the power amplifier.

The indirect learning architecture for the digital pre-distorter is shown as following. N7614B Signal Studio for Power Amplifier Test adopts this structure.

Figure 3. Indirect Learning Architecture

In Keysight N7614B Signal Studio for Power Amplifier Test, both memory polynomial and Volterra series algorithm are implemented.

The following figure shows the memory polynomial structure. If Q=0, the structure in the following figure becomes memoryless polynomial.

Figure 4. Memory Polynomial Structure

The structure of Volterra series is shown below.

Figure 5. Volterra Series Structure


Dual-Band Digital Pre-Distortion (DPD) Concept

This topic is specific to Dual-Band DPD. Refer to Digital Pre-Distortion (DPD) Concept for more basic information.

Introduction

A 2-D digital pre-distortion (2-D-DPD) solution is provided to support the linearization of concurrent dual-band power amplifiers. This solution characterizes and pre-distorts each band separately hence requires lower sampling rate for DAC and ADC compared to conventional single band DPD techniques. The RF output signals in each band from the power amplifier are captured. Then the DPD model is extracted based on the baseband input signals and RF output signals (digitized) of each band. It compensates for the effect of cross modulation to ensure better linearity.

Testing Procedure

Step 1: Two RF signals operating on two separated bands go through the DUT (PA).

Step 2: Analyzer capture the PA output signal on each band respectively. For each band, the PA input and PA output are time aligned for further signal processing.

Step 3: With knowing the PA input on both bands, and the PA output on a single band, a PA model are extracted for that single band.

DPD models are the inverse of corresponding PA models. Below is a detailed example using memory polynomial algorithm.

Where, y1 and y2 are the PA output signal, and x1 and x2 are the PA input signals. M is the memory order and N is the nonlinear order. By solving the matrix, dual band DPD model, C{1,2}, is got.

Step 4: The signals are pre-distorted by applying the DPD models.

For above memory polynomial algorithm example, pre-distort the two signals by applying the matrix C.

Where the z1 and z2 are the signals to be pre-distorted, and x1 and x2 are the resultant signals.


Crest Factor Reduction (CFR) Concept

CFR is a technique used to reduce the PAPR (Peak To Average Power Ratio) of the transmitted signals so that the power amplifier can operate more efficiently. In practice, there are different CFR algorithms. In this section, the two algorithms used in N7614B Signal Studio for Power Amplifier Test are introduced.

Clipping and Filtering

Peak Windowing

Peak Cancellation

Clipping and Filtering

Clipping and filtering is the conventional method, including hard clipping and low-pass filtering.

As shown in the above figure, clipping can cause sharp corners in a clipped signal, which leads to an unwanted out-of-band emission(increased ACP).

The clipping mathematical equation is as follows:

x(n) is the input signal, c(n) is the clipping algorithm here.

To reduce the unwanted out-of-band emissions, the clipped signal will then go through a low-pass filter to reduce the high frequency signals which correspond to the sharp corners in the clipped signal.

So for clipping and filtering method, the main parameters are target PAPR and the low-pass filter parameters: maximum order, pass frequency, stop frequency, pass ripple and stop ripple.

Peak Windowing

Peak windowing aims to smooth the sharp corners from hard clipping. In peak windowing algorithm, the clipping is implemented by multiplying the original signal in the region of the peak with a windowing function as shown in the following figure.

The idea of the windowing method is to filter it with a windowing function w(n) to give a smooth version of the clipping signal, that is,

where w(n) is a common window function, such as Kaiser, Gaussian and Hamming, and p(n) is a weighting coefficient.

Peak Cancellation

Peak cancellation is an algorithm to reduce the PAPR of a signal. It aims to strike a balance between the out-of-band emission and in-band waveform quality when compressing the signal to a target PAPR.

First, it identifies the peaks that are above a threshold which is determined by the target PAPR. As illustrated in the figure below, the red line is the portion of signal with amplitude greater than the threshold. The magnitude of each pulse is identified, and gives rise to a sequence of peaks as shown as the yellow line.

Next, the resultant peaks are divided into segments, and in each segment only the peak with the maximum magnitude among all peaks in this segment will survive. Let’s say the signal length is L and segment length is N, then after this processing, there will be [L/N]+1 peaks.

Then, apply a low-pass filter on the peaks to generate cancellation pulses. The pulse shape depends on the time response of the low-pass filter. For a single pulse, it looks like this.

Finally, the PAPR reduced output signal is calculated by subtracting a weighted version of the cancellation pulses from the original input signal. Below figure demonstrates a stretch of signal before CFR and after CFR. The weight can be specified as a percentage.

The target PAPR can’t be achieved by one iteration, therefore, multiple iterations will be performed.


Dual Band ET Concept

To understand envelope tracking on dual band PA testing application, it’s essential to understand the basic envelope tracking concept which firstly introduced in signal band PA testing application. Like single band ET (envelope tracking) technology used in single band PA application, dual band ET is used in dual band application to improve the efficiency of PA. That means concurrent dual-band transmission requires the ETPS to be capable of tracking the envelope of the dual-band signal including low-frequency components (in the order of modulation bandwidth for each band) as well as high-frequency components (in the order of frequency separation between the two bands). Since the frequency spacing may be in the orders of hundreds of megahertz, it is impractical for the envelope amplifier to follow the original envelope of the dual-band signal. So normally only the low frequency components of the envelope of the dual-band signal is used to modulate the drain supply of the PA (like below graph).

Normally meaningful ETPS out waveform is created based on the waveform carried by the RF signal which drivers the PA, so here one internal technique which called 2D Supply Modulation Technique is provided to create the combined envelope, E1 and E2 is the absolute RF envelope voltage which has been scaled based on actual RF power. (See equation below.)

2D Supply Modulation Technique: combined envelope = (|E1|+|E2|) x shaping(E)

From the concept point of view the key difference of dual band ET compared with single band ET is the creation of combined envelope, because envelope combination technique is based on the alignment of band 1 signal and band 2 signal, so like single band application, before applying envelope tracking, RF 1 and RF 2 signal should be aligned firstly, then align them with the ETPS output. RF signal of 2 bands and ETPS output must be aligned strictly in time, otherwise DPD action cannot get the result we expected.


PAE Measurement

In addition to other measurements such as the S-parameters, 1 dB compression point, and IP3, Power- added efficiency (PAE) is also one of the typical power amplifier (PA) measurements. These measurements are generally done during the development phase, troubleshooting, quality assurance validation, or production test of integrated circuits (IC’s). PAE is a measure of the power conversion efficiency of the power amplifier. It shows how much DC input power is converted to RF output power in the power amplifier and is calculated in percentage. Ideally, all the power supplied to the amplifier is converted to output power. However, in reality, it is not true because a certain amount of DC power is lost in the conversion process as dissipated heat. RF power amplifiers have PAE specifications that vary based on the design and classification of the amplifier.

PAE is an important performance parameter for the power amplifiers and can be calculated (in percentage) as shown in the figure below:


Using the Software

Two test system setups are supported in N7614B Signal Studio for Power Amplifier Test. As shown below, click the System drop-down menu to select which setup you want to use. Both are described in this topic below.

  • PA Test

  • Dual-band PA Test

PA Test

For the single-band PA test setup, two configuration modes are supported: ARB and Real-time. Select which mode you want to use in the Configuration menu. For more information, see the following topics:

  • ARB Mode

  • Real-time Mode

Dual-band PA Test

For the dual-band PA test setup, only ARB Mode is supported. For more information, see the following topics:

  • User Interface (Dual-band PA Test)

  • Example Dual-Band DPD Measurement

Related Topics

About Power Amplifier Test

Troubleshooting


Using the Software – ARB

Tutorials | provides several exercises designed to help you become familiar with the software
User Interface | describes the features and the user interface of the software
User Interface (Dual-band PA Test) | describes the features and the user interface of the software for dual-band DPD test
API Control | provides information on using the Microsoft® .NET-based application programming interface (API)


Tutorials

Example Envelope Tracking (ET) Measurement

Example Dual-Band ET + DPD Measurement

Example DPD Measurement

Example Dual-Band DPD Measurement

Example Wideband DPD Measurement

Example ET+DPD Measurement

Example ET Measurement with PXI and M320xA

Example EVM vs. Power Measurement

Example PAE Measurement


Example Envelope Tracking (ET) Measurements

Envelope tracking measurements are used to evaluate the improvements of power efficiency and output signal performance after using envelope tracking. For a PA, envelope tracking and digital pre-distortion can be used together. In this example, only envelope tracking is applied to the PA under test.

The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software

  3. Executing the measurement and viewing results


1. Setting up the Measurement System

The following figures show the instrument connection of envelope tracking measurement. Figure 1 shows the measurement setup when N5172B EXG/N5182B MXG is used as envelope signal generator. Figure 2 shows the measurement setup when 33522B/33622A AWG is used as envelope signal generator.

Figure 1. Envelope tracking measurement setup when N5172B EXG/N5182B MXG is used as envelope signal generator

Figure 2. Envelope tracking measurement setup when 33522B/33622A is used as envelope signal generator

In the system connection diagrams above, the dark blue lines are for RF connection; the light blue lines are for reference, trigger, and envelope signal connection; the black lines are for instrument control connection with LAN or GPIB. In envelope tracking test, timing alignment is required between the ETPA Vcc input and the RF input signal.
In Figure 2, for the trigger connection from the Sync port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator, it only applies if the RF Signal Generator is N5172B or N5182B. Then, the Trigger Master in the Envelope Tracking block in N7614B Signal Studio for Power Amplifier Test software should be set to Envelope Signal Generator.
If the RF Signal Generator in use is N5182A, the trigger connection should be changed to from the Event 1 port of the RF Signal Generator to the Ext Trig/Gate/FSK/Burst port of the Envelope Signal Generator and the Trigger Master in the Envelope Tracking block in N7614B Signal Studio for Power Amplifier Test software should be set to RF Signal Generator.

Instrument Requirements

The table below shows the supported instruments for envelope tracking measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator1 | N5182B MXG N5172B EXG N5182A MXG
Envelope Signal Generator | 33522B Arbitrary Waveform Generator 33622A Arbitrary Waveform Generator N5182B MXG N5172B EXG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

1. When N5172B EXG/N5182B MXG is used as Envelope Signal Generator, only N5172B EXG/N5182B MXG can be supported as RF Signal Generator.

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio to the RF Signal Generator, Envelope Signal Generator, and Signal Analyzer through LAN or GPIB.

  2. Connect the frequency reference and trigger for time alignment between Envelope Signal Generator and RF Signal Generator.

    • If N5172B/N5182B is used as Envelope Signal Generator, connect the 10 MHz Out port of the Envelope Signal Generator to the REF IN port of the RF Signal Generator and connect the EVENT 1 port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator for time alignment of the Envelope Signal Generator output and RF Signal Generator output.

    • If 33522B or 33622A is used as Envelope Signal Generator, connect the 10 MHz Out port of the Envelope Signal Generator to the REF IN port of the RF Signal Generator and connect the Sync port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator for time alignment of the Envelope Signal Generator output and RF Signal Generator output.

      If the RF Signal Generator in use is N5182A MXG, instead of connecting the Sync port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator, you should connect the EVENT 1 port of the RF Signal Generator to the Ext Trig/Gate/FSK/Burst port of the Envelope Signal Generator. Note that in Step 4, EVENT 1 is also connected to the TRIGGER IN 1 port of the Signal Analyzer, so a one-to-two connector needs to be used in EVENT 1 port.

  3. Connect the Envelope Signal Generator output to the ETPS.

    • If N5172B/N5182B is used as Envelope Signal Generator, connect the I OUT and [image] OUT of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

    • If 33522B or 33622A is used as Envelope Signal Generator, connect the Channel 1 and Channel 2 output of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

  4. Connect the EVENT 1 port on the rear panel of the RF Signal Generator to the Trigger IN 1 port on the rear panel of the Signal Analyzer using a BNC cable. This is to synchronize the RF Signal Generator and Signal Analyzer in time domain.

  5. Connect the 10 MHz OUT port on the rear panel of the RF Signal Generator to the EXT REF IN port on the rear panel of the Signal Analyzer using a BNC cable.

  6. Connect the RF OUTPUT port of the RF Signal Generator to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.


2. Configuring Parameters in the N7614B Software

The following figure shows the block view settings in N7614B for ET measurement. In this example, the Digital Predistortion block is turned Through and Envelope Tracking block is turned On.

The remaining section of this topic provides an example procedure of setting N7614B for the envelope tracking measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Envelope Tracking Block

Step 4: Set the Envelope Signal Generator Block

Step 5: Set the ETPS Block

Step 6: Set the PA Block

Step 7: Set the RF Signal Generator Block

Step 8: Set the Signal Analyzer Block

Step 9: Set the Measurement View

Step 1: Set the Waveform Block

Click on the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.
    Note that to use a waveform generated by another signal studio software for ET test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the bandwidth to 5 MHz according to the waveform bandwidth.

  3. Set the Resampling Ratio to 3.

Step 2: Set the Crest Factor Reduction Block

Click the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Envelope Tracking Block

Click the Envelope Tracking block icon and Closed turn on Envelope Tracking on the UI. In the right panel, do the following:

  1. Set the Envelope Source to From Non-predistorted Signal. Then the software will calculate the envelope signal using the signal before Digital Predistortion block.

  2. Set the Trigger Master to Envelope Signal Generator if the RF Signal Generator in use is N5172B or N5182B. Otherwise, set the Trigger Master to RF Signal Generator.

  3. Set the OSR for Envelope to 3.

    For signals used for envelope tracking test, it is recommend that the overall oversampling ratio (OSR) is no less than three. In this software, there are three different places related with the overall OSR. One is the OSR in the waveform file imported in the Waveform block. Another is the Resampling ratio setting in the Waveform block. The other is the OSR setting here in the Envelope Tracking block. The overall oversampling ratio is the product of these three values. As you increase the overall OSR, make sure the final sample rate does not exceed the limit of the Envelope Signal Generator.

  4. Set the Conversion Input Type to Absolute RF Output Voltage. This is to set the reference for the RF Voltage column in the shaping table.

  5. Enter the shaping tables. This shaping table is used to map the selected Conversion Input Type, Normalized I/Q Amplitude, Absolute RF Output Voltage or Override Absolute RF, to the supply voltage of the PA (Vcc).

    Here a shaping table is used as an example and you can see the graphic view by clicking the Graph tab.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 4: Set the Envelope Signal Generator Block

Click the Envelope Signal Generator block icon on the UI. In the right panel, do the following:

  1. Select the type of Envelope Signal Generator in the Configuration setting. In this example, select MXG/EXG.

  2. Enter the IP address or host name of the Envelope Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  3. For other values, you can use the default settings. Note that the Voltage and Voltage Offset value will be set automatically after the test flow is run.

    Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 5: Set the ETPS Block

Click the ETPS block icon on the UI. In the right panel, do the following:

  1. Set the ETPS Gain to 7.0 dB.

  2. Set the Vcc Offset to 2.75 V.

  3. Set the Vcm to 450 mV.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 6: Set the PA Block

Click the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Input as the Power Mode.

  3. Set Power to -5 dBm. This is to set the input power of the PA. Then the Amplitude setting in RF Signal Generator block will be set to (Power + Loss In) automatically.

Step 7: Set the RF Signal Generator Block

Click the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 2 GHz.

Step 8: Set the Signal Analyzer Block

Click the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Signal Analyzer and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  3. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. For most cases, you can use the default value.

Step 9: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.

You can turn Intermediate Result to On and set the ACP parameters as required. In this example, the default settings are used.


Voltage Mapping in Envelope Tracking Measurement

Voltage Mapping is an important concept and digital process in envelope tracking measurement, involving parameters in several blocks. This section illustrates the detailed relationships in the related parameters. Most of the envelope tracking algorithm and terminology used in this section is compliant to MIPI eTrak spec.

Voltage mapping involves three blocks:

  • Envelope Tracking block

    In this block, shaping table is specified. Shaping table defines the relationship between input column (RF Voltage) and the supply voltage of the PA (Vcc). The input column can be Normalized I/Q Amplitude, Absolute RF Output Voltage of the input signal or Override Absolute RF.

  • Envelope Signal Generator block

    In this block, Voltage is calculated through voltage mapping process and Voltage Offset is also set in the process.

    If the Envelope Signal Generator in use is N5172B EXG or N5172B MXG, another setting Peak Voltage will be calculated instead of Voltage.

  • ETPS

    In this block, two parameters for the PA are set: ETPS Gain and Vcc Offset and one parameter defined in MIPI eTrak spec is set: VCM.

To introduce voltage mapping, two sections are included:

Voltage Mapping Concepts

Voltage Mapping Procedure in N7614B

Voltage Mapping Concepts

Equation 1 shows the relationships of the related parameters, which is from eTrak spec.

where,

Vcc is the supply voltage of the PA, which is also called VETPS_OUT in eTrak spec.

Vcc_offset is the Vcc Offset parameter in ETPS block. This parameter can be measured at the ETPS output by setting VREF to 0.

ETPSGAIN is the amplification of the differential supply voltage, which corresponds to ETPS Gain setting in ETPS block.

VETP is the positive signal output of the Envelope Signal Generator.

VETN is the negative signal output of the Envelope Signal Generator.

VREF is used as the reference for ETPS.

VCM is the common mode voltage as defined in MIPI eTrak spec.

The following figure illustrates the relationship between VETP, VETN, VREF, and VCM clearly.

Voltage Mapping Procedure in N7614B

In N7614B Signal Studio for Power Amplifier Test, voltage mapping works as follows:

  1. Use the shaping table defined in Envelope Tracking block to calculate the supply voltage of PA (Vcc) from the RF voltage of the signal.

  2. Calculate VREF using a transformation of equation 1 as shown in equation 2. Note that VCC_offset and ETPSGAIN values are set in ETPS block.

  3. Calculate the single port Voltage value for Envelope Signal Generator block using equation 3.

    in which VREF_MAX is the maximum value of VREF, VREF_MIN is the minimum value of VREF.

    The Voltage Offset value in Envelope Signal Generator block is equal to the VCM value in ETPS block. VCM parameter is independent from the parameters discussed above and can be set by the user as required.
    If the Envelope Signal Generator in use is N5172B EXG or N5172B MXG, another setting Peak Voltage will be used instead of Voltage.


3. Executing the Measurement and Viewing Results

This section introduce how to execute the envelope tracking test and how to view the measurement results. Follow the procedure below to execute the measurement and view the measurement results.

Initial Run

Timing Alignment

Executing the Measurement

Viewing the Measurement Results

Initial Run

  1. Click the Closed Run button on the tool bar to get the RF and ET waveform downloaded into the instrument and get the initial measurement results.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

The default Delay setting in Envelope Tracking block may not be the optimal value for the current instruments/DUT connections. So the PA output performance (AM-AM, ACP) may be poor. Further timing alignment between the RF Signal Generator and the Envelope Signal Generator is required.

Timing Alignment

Timing alignment is to synchronize the input signal of the PA (the output of the RF Signal Generator) with the input voltage of the PA (the output of the Envelope Signal Generator) in time domain. There are two methods:

  • Manual: Adjust the Delay and Step setting in Envelope Tracking block manually with an oscilloscope connected to the Envelope Signal Generator and RF Signal Generator and observe the signals alignment.

  • Auto: Click the Closed Auto-align ET and RF signals button on the tool bar to get the signals aligned automatically.

    By selecting the Pre-Align with AM-AM for Auto-Align check box in the Envelope Tracking block, you can find a possible better initial delay value with the measured AM-AM results, but this may take longer time. After the auto-alignment is finished, the Delay setting in Envelope Tracking block is updated automatically.

Once sample rate related setting changed, or M8190 was reset manually, the relative timing between envelope signal and RF signal signal will become unknown and unstable, “run” action and “align” action must be repeat again.

If the related settings (e.g. sample rate, IQ delay, trigger delay in Generator instruments, etc.) are changed and applied, it is recommended to do the timing alignment again.

Executing the Measurement

Once a proper time alignment has completed, the signal can be played repeatedly without re-alignment. Click the Closed Run button to play the signal and get the measurement results.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. EVM vs. Power results are displayed only when Power Sweeping (in PA block) is set to On.

For ET test, ACP results are viewed. To view more detailed information, double-click on the ACP window to enlarge it as shown in the figure below.

Figure 1. ACP Results

You can make your own measurements, such as power-added efficiency (PAE) test, based on the PA output signal using the Signal Studio for Power Amplifier Test software, Keysight VSA software or applications on the Signal Analyzer. For information on how to make PAE measurements, see Example PAE Measurements.


Example Dual Band ET + DPD Measurements

Dual-band envelope tracking (ET) measurement is used to evaluate the power conversion efficiency of the power amplifier.

The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software

  3. Executing the measurement and viewing results


1. Setting up the Measurement System

The following figures show the instrument connection for a dual-band envelope tracking measurement. Closed Figure 1 shows the measurement setup when 33522B/33622A AWG is used as envelope signal generator. Closed Figure 2 shows the measurement setup when N5172B EXG/N5182B MXG is used as envelope signal generator.

Figure 1. Dual-band envelope tracking measurement setup when 33522B/33622A is used as envelope signal generator.

Figure 2. Dual-band envelope tracking measurement setup when N5172B EXG/N5182B MXG Is used as envelope signal generator.

In the system connection diagrams above, the dark blue lines are for RF connection; the light blue lines are for reference, trigger, and envelope signal connection; the black lines are for instrument control connection with LAN or GPIB. In envelope tracking test, timing alignment is required between the ETPA Vcc input and the RF input signal.

Instrument Requirements

The table below shows the supported instruments for envelope tracking measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator 11 | N5182B MXG
RF Signal Generator 21 | N5182A MXG N5182B MXG
Envelope Signal Generator | 33522B Arbitrary Waveform Generator 33622A Arbitrary Waveform Generator N5182B MXG N5172B EXG

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio to the RF Signal Generator, Envelope Signal Generator, and Signal Analyzer through LAN or GPIB.

  2. Connect the 10MHz reference signal of system which follow the order of 10MHz reference out of RF signal generator 1->REF In Port of RF signal generator 2; 10MHz reference out of RF signal generator 2->EXT REF IN port of signal analyzer; 10MHz out port of signal analyzer ->10MHz in of envelope signal generator.

    • If when N5172B EXG/N5182B MXG is used as the envelope signal generator, then connect the Event 1 port out of RF signal generator 1 to PAT Trigger port of RF signal generator 2 and envelope generator simultaneously via one power divider; if 33522B/33622A is used as the envelope signal generator, then connect the Event 1 port out of RF signal generator 1 is connect to PAT Trigger port of RF signal generator 2, and simultaneously connected to the EXT Trig port of envelope signal generator.
    • If N5172B/N5182B is used as Envelope Signal Generator, connect the I OUT and OUT of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA; If 33522B or 33622A is used as Envelope Signal Generator, connect the Channel 1 and Channel 2 output of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

  3. Connect the output of 2 RF signal generators to PA input and PA output to signal analyzer which is same in dual-DPD application.


2. Configuring Parameters in the N7614B Software

The following figure shows the block view settings in N7614B for a dual-band ET measurement.

The remaining section of this topic provides an example procedure of setting N7614B for DPD measurement. Note that for different PA, the settings are different. But there is normally total 10 typical steps to set all related parameter before executing measurement.

Step 1: Set the Waveform Blocks

Step 2: Set the Crest Factor Reduction Blocks

Step 3: Set the Digital Predistortion Block

Step 4: Set the RF Signal Generator Blocks

Step 5: Set the PA Block

Step 6: Set the Signal Analyzer Block

Step 7: Set the Measurement View

Step 8: Set the Envelope Signal Generator Block

Step 9: Set the ETPS Block

Step 10: Set the Envelope Tracking Block

Step 1: Set the Waveform Blocks

  1. Click on the Waveform 1 block icon on the UI. In the Closed right panel, select Preloaded as the Waveform type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file, set the Bandwidth to 5 MHz according to the waveform bandwidth.

    Closed MATLAB Users

    If you are using a MATLAB script, select User-defined for this step.

  2. Click on the Waveform 2 block icon on the UI. In the Closed right panel, select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_PartialRB.wfm" file, set the Bandwidth to 5 MHz according to the waveform bandwidth.

    Closed MATLAB Users

    If you are using a MATLAB script, select User-defined for this step.

If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.

Note that to use a waveform generated by other signal studio software for DPD test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument

To perform dual-band DPD measurement, the two waveforms selected for the two bands should have equal time duration; otherwise, DPD measurement will abort.

Step 2: Set the Crest Factor Reduction Blocks

In both Crest Factor Reduction blocks, set the switch to Thr (through).

Step 3: Set the Digital Predistortion Block

  1. In the Digital Predistortion block set the switch to On.

  2. In the Closed right panel, do the following:

    • Set the Sample Rate to 45 MHz, which makes the oversampling ratio of both the waveforms to be 4. Both of the waveforms will be resampled to the sampling rate specified here. To extract the DPD model, it is expected that the oversampling ratio of both waveforms is no less than 3.

    • Set the Memory Order of Band 1 to 3, and set the Nonlinear Order of Band 1 to 4.

    • Set the Memory Order of Band 2 to 3, and set the Nonlinear Order of Band 2 to 4.

Different power amplifiers may have different characteristics, which will need different DPD models to simulate the DPD performance. In DPD test, if the measurement results are not as expected, you can try to change the parameters for DPD model extraction.

Step 4: Set the RF Signal Generator Block

Click the RF Signal Generator block. In the right panel, do the following:

  • Enter the IP address or host name of the RF Signal Generator and the toggle the connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  • Set Frequency to 2.5 GHz on RF Signal Generator 1, and set Frequency to 2.1 GHz on RF Signal Generator 2.

Step 5: Set the PA Block

Click the PA block. In the right panel, do the following:

  • Enter the PA information by setting the Loss Out, Loss In, and PA Gain for both bands.

  • Set Input Power to -1 dBm for Band1 and -2 dBm for Band2.

  • The initial Amplitude setting in the RF Signal Generator block will be set to (Input Power + Loss In) automatically.

Step 6: Set the Signal Analyzer Block

Click the Signal Analyzer block. In the right panel, do the following:

  • Enter the IP address or host name of the Signal Analyzer and the toggle the connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  • Set the Capture Sample Length to 61440 samples. For most cases, you can use the default values in this model.

Step 7: Set the Measurement View

Click the [image] button to change the current view from Closed block view to Closed measurement view.

Step 8: Set the Envelope Signal Generator Block

Click the Envelope Signal Generator block. In the Closed right panel, do the following:

  • Select the type of Envelope Signal Generator in the Configuration setting. In this example, select Arbitrary Waveform Generator.

  • Enter the IP address or host name of the Envelope Signal Generator and the toggle the connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  • For other values, you can use the default settings. Note that the Voltage and Voltage Offset value will be set automatically after the test flow is run.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 9: Set the ETPS Block

Click the ETPS block. In the Closed right panel, do the following:

  1. Set the ETPS Gain to 7.0 dB.

  2. Set the Vcc Offset to 2.75 V.

  3. Set the Vcm to 450 mV.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 10: Set the Envelope Tracking Block

Switch the Envelope Tracking block to On. In the Closed right panel, do the following:

  • Select the From Non-predistorted Signal as the envelope source.

  • Select 2D Supply Modulation Technique as the algorithm which is internal algorithm.

  • Set OSR for Envelope to 3.

  • Regarding the timing alignment related setting, user can set the course value which can be used to later alignment action.

  • In the Details part, user add their own Closed shaping table.

Closed MATLAB Users

  1. Set Algorithm to User Defined Matlab Script. Under Details, a Matlab Script Closed property grid appears.

    This feature provides one interface for running a user-defined Matlab script file to generate the envelope waveform when the Envelope Source is from the IQ waveform, including Non-Predistorted Signal and Predistorted Signal.

  2. In the Matlab File field,navigate to the user-defined Matlab .m file you want to use. Notice that the Matlab function name is displayed in the Command field. The Command field also includes the values of ET Input IQ 1, ET Input IQ 2, PA Input Power 1, and PA Input Power 2, which must be contained , while other input parameters are optional. The Input Variables define the data buffer in the N7614B software. See Closed table for descriptions.

    Parameter

    Description

    1. Function

    Matlab File

    User to define the absolute path of Matlab m file

    Command

    is the command which called by N7614B to execute the function defined in Matlab file

    2. Input Variables

    ET Input IQ 1

    IQ data of band 1 which has been resampled based on the parameter: OSR for Envelope in envelope tracking block

    ET Input IQ 2

    IQ data of band 2 which has been resampled based on the parameter: OSR for Envelope in envelope tracking block

    PA Input Power 1

    Absolute signal power of band 1 in the input end of PA

    PA Input Power 2

    Absolute signal power of band 2 in the input end of PA

    PA Input Frequency 1

    Signal frequency of band 1

    PA Input Frequency 2

    Signal frequency of band 2

    Input IQ Sample Rate

    Sample rate of IQ data which as the input of user defined Matlab script algorithm

    3. Output Variables

    Combined Envelope

    IQ data as the output parameter of user Matlab script; if shaping is done inside the Matlab script, then output envelope is the VBAT bias of PA; Otherwise it's just the combined envelope of 2 RF input signals

    Output Envelope Sample Rate

    Sample rate of output envelope, if user function has changed sample rate of input IQ data, then this parameter must be one of output variable of user defined algorithm, otherwise ET operation will fail.

    The software's installation directory provides a few sample Matlab files that you can use to get started, such as Closed DualBandET.m.

  3. The Command field contains the variables that will be created in the Matlab workspace as the buffer and known by N7614B software. You must enter these variable names into the corresponding fields under Input Variables in the N7614B software. This Closed diagram shows the mapping of variables between the N7614B software and Matlab.

If ET-related hardware is in the system, make sure the envelope signal generator will not output signal to ETPS to maintain stable DC voltage at PA VBAT end. Otherwise, the DPD result will not be as good as expected. If envelope signal generator is online, the N7614B software will reset it automatically. Otherwise, you need to manually reset it. Closed View image.


3. Executing the Measurement and Viewing Results

Align System

Before the user can adjust the timing to optimize envelope tracking, user need make system online which means makes all instrument now established communication with N7614B SW, this can be done via Run or Align action from the menu of N7614B.

Align action will automatically handle the timing alignment of ET signal and 2 RF signals, the final result will be displayed on UI (see below). The accuracy will be effected by the waveform, RF power, shaping table PA performance and other components in the whole system. If the final result is not as good as user expected, N7614B also provide the ability to adjust the timing relation manually from the UI (Of course, one scope and some cables connection are needed).

Execute the Measurement

Once a proper time alignment has completed , then Click on the Digital Predistortion block icon and turn it on. Click the Run button [image] to play the signal and get the measurement results.

Viewing the Measurement Results

In the measurement view, there are four kinds of result windows: AM-AM, AM-PM, ACP, These three results give an insight of PA's improvement on linearity after using ET and DPD.

You can double-click on each window to enlarge it and double-click it again to return to the four-window view.

AM-AM

AM-AM curve displays ratio of the PA output signal amplitude to the PA input signal amplitude. So two signals are used use to plot the AM-AM curve. One is the reference signal that is the PA input signal. The other is the PA output signal, which is the IQ waveform data captured by the Signal Analyzer in the IQ Analyzer (Basic) mode.

There are two results: the red one shows the AM-AM value without using DPD, and the green one shows the AM-AM value after using DPD.

The Normalized check box determines whether to display the normalized value or not.

  • Normalized checked displays the PAout/PAin value

  • Normalized unchecked displays the PA output value

AM-PM

AM-PM curve displays ratio of the PA output signal phase to the PA input signal amplitude.

There are two results: the red one shows the AM-PM value without using DPD, and the green one shows the AM-PM value after using DPD.

ACP

The ACP results are from the ACP measurement results in the Spectrum Analyzer mode of the Signal Analyzer. It displays the improvements in ACP (Adjacent Channel Power Ratio) after using DPD.

There are four ACP settings in the right panel, In-Channel Bandwidth, Adjacent Channel Count, Adjacent Channel BW, and Channel Offset, in which In-Channel Bandwidth, Adjacent Channel BW, and Channel Offset are coupled to the Bandwidth settings in the Waveform block in the block view. If you want to view the ACP results of more than one adjacent channel, you can adjust the Adjacent Channel Count value. The results will be updated after you rerun the measurement.


Example DPD Measurement

A DPD measurement evaluates the PA performance in terms of linearity when pre-distortion is applied. The measurement process includes the following steps:

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software

  3. Executing the measurement and viewing results


1. Setting up the Measurement System

Choose the measurement system you want to configure.

  • RF Signal Generator

  • PXI VSG/VSA

  • M8190A DUC

RF Signal Generator

The following figure shows the instrument connection of EVM vs. Power measurement.

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference and trigger signal connection; the black lines are for instrument control connection with LAN or GPIB; the dotted line is for PA enable signal connection and it is optional for this test.
The BB TRIG 1 output (for N5172B/N5182B, TRIG OUT for N5182A, EVENT 2 for E4438C) may not act as the PA enable input for the PA directly because of the limit of its voltage and current output. The PA enable input can be provided by the user or generated with another functional generator using BB TRIG 1 output as a reference.
For the PA Enable Trigger connection, if you are using N5182A as RF Signal Generator, you need to route Marker 2 output to TRIG OUT port manually by pressing Dual ARB, Marker Utilities, Route Connectors, Route to Trig Out BNC, BBG Markers, Marker 2 on the front panel.

Instrument Requirements

The table shows the requirement for the instruments used in DPD measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | E4438C ESG E8267D PSG N5182A MXG N5182B MXG N5172B EXG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio with the RF Signal Generator and Signal Analyzer through LAN or GPIB.

  2. Connect the EVENT 1 port on the rear panel of the RF Signal Generator to the Trigger IN 1 port on the rear panel of the Signal Analyzer using a BNC cable. This is to synchronize the RF Signal Generator and Signal Analyzer in time domain.

  3. Connect the 10 MHz OUT port on the rear panel of the RF Signal Generator to the EXT REF IN port on the rear panel of the Signal Analyzer using a BNC cable.

  4. (Optional) Connect the BB TRIG 1 port (for N5172B/N5182B, TRIG OUT port for N5182A, EVENT 2 port for E4438C) on the rear panel of the RF Signal Generator to the PA enable port of the PA.

    If you are using N5182A as RF Signal Generator, you need to route Marker 2 output to TRIG OUT port manually by pressing Dual ARB, Marker Utilities, Route Connectors, Route to Trig Out BNC, BBG Markers, Marker 2 on the front panel.

  5. Connect the RF OUTPUT port of the RF Signal Generator to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.

PXI VSG/VSA

If PXI VSA and VSA are located in different PXI chassis, then more external HW are needed to implement the synchronization to same reference clock. To simply the scenario, Bumblebee supposed to support PXI VSG and PXI VSA from same chassis only. Below is the typical HW connection for Bumblebee DPD.

  • Start by following the typical connection guide from the user manual to ensure the independent PXI instrument is working well.

  • Cable between Trig 2 connector [image] of M9311A and Trig 1 connector [image] of M9214A are mandatory for Bumblebee DPD.

  • 100 MHz reference clock signal of VSG and VSA should be from same reference module M9300A.

  • Connect DUT between RF out of PXI VSG and RF in of PXI VSA.

M8190A DUC

Below is the typical hardware connection which are using the output of DIRECT OUT [image] connector of channel 1 to provide input signal of power amplifier. Because channel 1 is used here, then the SAMPLE MARK OUT [image] of channel 1 is connect to the trigger 1 connector of signal analyzer. If PA is needed to test in burst mode, then SYNC MARK OUT 1 [image] is connect to the PA Enable of power amplifier. Otherwise this connection can be ignored. To keep the M8190A and signal analyzer to use same reference signal, the 10MHz reference out must be connected the REF CLK IN [image]. Regarding the input signal of DUT, there is also other output of channel 1 can be used [image].

Same connection definition can be applied to channel 2 if channel 2 is selected.


Configuring Parameters in N7614B

2. Configuring Parameters in the N7614B Software

The following figure shows the block view settings in N7614B for DPD measurement. In this example, the Envelope Tracking block is turned Off.

The remaining section of this topic provides an example procedure of setting N7614B for DPD measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Digital Predistortion Block

Step 4: Set the RF Signal Generator Block

Step 5: Set the PA Block

Step 6: Set the Signal Analyzer Block

Step 7: Set the Measurement View

Step 1: Set the Waveform Block

Click on the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.
    Note that to use a waveform generated by another signal studio software for DPD test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the Bandwidth to 5 MHz according to the waveform bandwidth.

  3. Set the Resampling Ratio to 3.

    To extract the DPD model, it is expected that the oversampling ratio of the waveform is no less than 3. If the selected waveform has less oversampling ratio, you can set the oversampling ratio. For example, if the oversampling ratio for the original waveform is 2, and the oversampling ratio here is set to 3, then the final oversampling ratio will be 6, which is sufficient to perform DPD measurement.

Step 2: Set the Crest Factor Reduction Block

Click on the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Digital Predistortion Block

Click on the Digital Predistortion block icon and Closed turn on Digital Predistortion on the UI. In the right panel, do the following:

  1. Select Extract and Apply as the DPD Mode.

    Two modes are supported to perform the digital predistortion.

    • Extract and apply is to extract the PA model using the signals captured by the Signal Analyzer, so there will be a Closed feedback line from the Spectrum Analyzer block to the Digital Predistortion Block on the block diagram.

    • Apply Only is to use a user-defined PA distortion model in a form of LUT (look-up-table).

  2. Set the Number of Iteration to 1. By setting this parameter, the extraction model will be repeated by feeding its output to the input to minimize error. Typically, setting it to 3 is enough.

  3. Set the PA Model Type to Look-up Table. Refer to DPD Concept for details about different PA model types.

  4. Set the LUT Size to 128, AM/AM Polynomial Order to 5, and AM/PM Polynomial Order to 5.

Different PAs may have different characteristics, which will need different DPD models to simulate the DPD performance. In DPD test, if the measurement results are not as expected, you can try to change the the parameters for DPD model extraction. If the DUT is memoryless, it is recommended to set the PA Model Type to Look-up Table, or to set the PA Model Type to Memory Polynomial or Volterra Series and set the Memory Order to 0 or 1. If the DUT is memory device, it is recommended to set the PA Model Type to Memory Polynomial or Volterra Series.

Step 4: Set the RF Signal Generator Block

Click on the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 5.18 GHz.

Step 5: Set the PA Block

Click on the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Output as the Power Mode and set Power Servo to On.

    After turning on the Power Servo, N7614B Signal Studio for Power Amplifier Test will adjust the output power of the RF Signal Generator according to the power received by the Signal Analyzer to make sure the PA output power is close to the specified value.

  3. Set Power to 17.00 dBm and Power Tolerance to 1 dB. This is to set the output power of the PA and the accuracy of the power servo.

    The initial Amplitude setting in RF Signal Generator block will be set to (Power - PA Gain + Loss In) automatically.

    When the output power level of the RF Signal Generator is high, the DPD model extracted is a combination of the RF Signal Generator and the DUT.

Step 6: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Signal Analyzer and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  3. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. For most cases, you can use the default value.

Step 7: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.

You can turn Intermediate Result to On and set the ACP parameters as required. In this example, the default settings are used.


Executing the Measurement and Viewing Measurement Results

3. Executing the Measurement and Viewing Results

This section focuses on executing the measurement and viewing the measurement results.

Executing the measurement

To execute the measurement,

  1. Click the triangle Closed Run button on the menu bar.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. For DPD measurements, only the first three results are used. These three results give an insight of PA's improvement on linearity after using DPD. If the results are not satisfactory, you need to adjust the settings, such as PA model extraction parameters in the Digital Predistortion block under the block view, and rerun the measurement.

DPD measurement results are updated for each iteration if the Number of Iteration setting is larger than one in Digital Predistortion block.

You can double-click on each window to enlarge it and double-click it again to return to the four-window view.

AM-AM

AM-AM curve displays ratio of the PA output signal amplitude to the PA input signal amplitude. So two signals are used use to plot the AM-AM curve. One is the reference signal, that is the PA input signal. The other is the PA output signal, which is the IQ waveform data captured by the Signal Analyzer in the IQ Analyzer(Basic) mode.

There are two results: the red one shows the AM-AM value without using DPD, and the green one shows the AM-AM value after using DPD.

There is also a "Normalized" check box in the window. Check it or uncheck it will decide whether to display the normalized value or not.

  1. Normalized: It displays the PAout/PAin value

  2. Not normalized: It displays the PA output value

AM-PM

AM-PM curve displays ratio of the PA output signal phase to the PA input signal amplitude.

There are two results: the red one shows the AM-PM value without using DPD, and the green one shows the AM-PM value after using DPD.

ACP

The ACP results are from the ACP measurement results in the Spectrum Analyzer mode of the Signal Analyzer. It displays the improvements in ACP (Adjacent Channel Power Ratio) after using DPD.

There are four ACP settings in the right panel, In-Channel Bandwidth, Adjacent Channel Count, Adjacent Channel BW, and Channel Offset, in which In-Channel Bandwidth, Adjacent Channel BW, and Channel Offset are coupled to the Bandwidth settings in the Waveform block in the block view. If you want to view the ACP results of more than one adjacent channel, you can adjust the Adjacent Channel Count value. The results will be updated after you rerun the measurement.


Example Custom DPD Measurement

A DPD measurement evaluates the PA performance in terms of linearity when pre-distortion is applied. This example employs user-defined DPD algorithms using MATLAB or text files. The measurement process includes the following steps:

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software with a custom algorithm

  3. Executing the measurement and viewing results


Configuring Parameters Using a Custom DPD Algorithm

This topic describes how to use the software to extract and apply a custom DPD algorithm. The user-defined algorithm can be CSV/text file or a MATLAB script. MATLAB scripts require the MATLAB run-time environment and license installed on your PC.

  1. Under the System menu, select PA Test.

  2. Turn off Envelope Tracking.

  3. Click the Waveform block and select either User defined or MATLAB Variable as the Waveform Type. If you selected User defined, then set the File Type to CSV/Text and click the File Name field to navigate to the text file you want to use.

    For custom DPD algorithms, Preloaded and Signal Studio are not supported choices for the Waveform Type.

    If you selected MATLAB Variable as the Waveform Type, click menu Tools > Start MATLAB. (MATLAB will be launched by the N7614B software.) After MATLAB is started, then use MATLAB to generate an I/Q waveform and the format is a complex array.

  4. Set the instrument IP addresses under the Signal Generator and Signal Analyzer blocks. At first release for Custom DPD we only support N5172B/N5182B/N5172B as signal generator and N9020A/N9030A as signal analyzer. Set the frequency and amplitude of the Signal Generator.

  5. For MATLAB, complete the remaining steps.

  6. Click Tools > Start MATLAB (This requires a valid MATLAB license installed on your PC.)

  7. Switch to MATLAB GUI and create a Math Script .m file under MATLAB current working folder (for example, dpd.m). Below is a sample memory-less DPD algorithm. Copy the code into dpd.m file and save the file.

    function predistorted = dpd(xx, zz, y)

    g = rms(y) / rms(zz);

    yy = y / g;

    Y = [yy, yy.*abs(yy), yy.*(abs(yy)).^2, yy.*(abs(yy)).^3, yy.*(abs(yy)).^4, yy.*(abs(yy)).^5];

    a = Y \ zz;

    predistorted = [xx, xx.*abs(xx), xx.*(abs(xx)).^2, xx.*(abs(xx)).^3, xx.*(abs(xx)).^4, xx.*(abs(xx)).^5] * a;

    For custom DPD algorithms, the parameter names of the MATLAB command line should match the input/output variable names.

  8. In the N7614B software, click the Digital Predistortion block.

  9. Set the PA Model Type to User-defined MATLAB Script.


Example Dual-Band DPD Measurement

A dual-band DPD measurement evaluates the PA performance in terms of linearity when pre-distortion is applied. The measurement process includes the following steps:

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software

  3. Executing the measurement and viewing results


1. Setting up the Measurement System

The figure below shows the instrument connection for dual-band DPD measurement.

In the system connection diagram above, the thick blue lines are for RF connection; the thin blue lines are for reference and trigger signal connection; the black lines are for instrument control connection with LAN or GPIB.
If one N5182B/N5172B and one N5182A are used in the setup as signal generators, then the N5182B/N5172B must be used as Signal Generator 1 and N5182A as Signal Generator 2, otherwise, DPD measurement will fail.

Instrument Requirements

The table below shows the instrument requirements used in a dual-band DPD measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | N5182A MXG N5182B MXG N5172B EXG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio with the Signal Generators and Signal Analyzer through LAN or GPIB.

  2. Connect the EVENT 1 port on the rear panel of the Signal Generator 1 to the PAT TRIG port on the rear panel of the Signal Generator 2 using a BNC cable. This is to allow the two SGs transmit signals simultaneously.

  3. Connect the EVENT 1 port on the rear panel of the Signal Generator 2 to the Trigger IN 1 port on the rear panel of the Signal Analyzer using a BNC cable. This is to synchronize the Signal Generators and Signal Analyzer in time domain.

  4. Connect the 10 MHz OUT port on the rear panel of the Signal Generator 1 to the REF IN port on the rear panel of the Signal Generator 2 using a BNC cable.

  5. Connect the 10 MHz OUT port on the rear panel of the Signal Generator 2 to the EXT REF IN port on the rear panel of the Signal Analyzer using a BNC cable.

  6. Combine the RF output of the Signal Generators to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.


2. Configuring Parameters in the N7614B Software

The following figure shows the block view settings in N7614B for dual-band DPD measurement.

The remaining section of this topic provides an example procedure of setting N7614B for DPD measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Digital Predistortion Block

Step 4: Set the RF Signal Generator Block

Step 5: Set the PA Block

Step 6: Set the Signal Analyzer Block

Step 7: Set the Measurement View

Step 1: Set the Waveform Blocks

Click on the Waveform 1 block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_20M_16QAM_FullRB.wfm" file.

    Closed MATLAB Users

    If you are using a MATLAB script, select User-defined for this step.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file. Note that to use a waveform generated by other signal studio software for DPD test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the Bandwidth to 20 MHz according to the waveform bandwidth.

Click on the Waveform 2 block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed MATLAB Users

    If you are using a MATLAB script, select User-defined for this step.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file. Note that to use a waveform generated by other signal studio software for DPD test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the Bandwidth to 5 MHz according to the waveform bandwidth.

    To perform dual-band DPD measurement, the two waveforms selected for the two bands should have equal time duration; otherwise, DPD measurement will abort.

Step 2: Set the Crest Factor Reduction Blocks

Click on the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Digital Predistortion Block

Click on the Digital Predistortion block icon and Closed turn on Digital Predistortion on the UI. In the right panel, do the following:

  1. Set the Sample Rate to 122.88 MHz, which makes the oversampling ratio of both the waveforms to be 4.

    Both of the waveforms will be resampled to the sampling rate specified here. To extract the DPD model, it is expected that the oversampling ratio of both waveforms is no less than 3.

  2. Set the Memory Order of Band 1 to 3, and set the Nonlinear Order of Band 1 to 4.

  3. Set the Memory Order of Band 2 to 3, and set the Nonlinear Order of Band 2 to 4.

Closed MATLAB Users

  1. Set Algorithm to User Defined Matlab Script. Under Details, a Matlab Script Closed property grid appears.

  2. In the Matlab File field,navigate to the user-defined Matlab .m file you want to use. Notice that the Matlab function name is displayed in the Command field. The Input Variables define the data buffer in the N7614B software. See Closed table for descriptions.

    Parameter

    Description

    1. Function

    Matlab File

    User to define the absolute path of Matlab m file

    Command

    is the command which called by N7614B to execute the function defined in Matlab file

    2. Input Variables

    Normalized DPD Input 1

    IQ data of band 1 which has been RMS power normalized and is used to apply the DPD model

    Normalized DPD Input 2

    IQ data of band 2 which has been RMS power normalized and is used to apply the DPD model

    Normalized Captured 1

    SA Captured IQ Data of band 1 which is used to calculate the DPD model and has been RMS power normalized

    Normalized Captured 2

    SA Captured IQ Data of band 2 which is used to calculate the DPD model and has been RMS power normalized

    Normalized PA Input 1

    IQ data of band 1 which is used to calculate the DPD model and has been RMS power normalized

    Normalized PA Input 2

    IQ data of band 2 which is used to calculate the DPD model and has been RMS power normalized

    3. Output Variables

    DPD Output 1

    IQ data of band 1 has been applied DPD model on Normalized PA Input IQ 1

    DPD Output 2

    IQ data of band 2 has been applied DPD model on Normalized PA Input IQ 1

    The software's installation directory provides a few sample Matlab files that you can use to get started, such as Closed DualBandDPD.m.

  3. The Command field contains the variables that will be created in the Matlab workspace as the buffer and known by N7614B software. You must enter these variable names into the corresponding fields under Input Variables in the N7614B software. This Closed diagram shows the mapping of variables between the N7614B software and Matlab.

If ET-related hardware is in the system, make sure the envelope signal generator will not output signal to ETPS to maintain stable DC voltage at PA VBAT end. Otherwise, the DPD result will not be as good as expected. If envelope signal generator is online, the N7614B software will reset it automatically. Otherwise, you need to manually reset it. Closed View image.

Different PAs may have different characteristics, which will need different DPD models to simulate the DPD performance. In DPD test, if the measurement results are not as expected, you can try to change the parameters for DPD model extraction.

Step 4: Set the RF Signal Generator Blocks

Click on the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the RF Signal Generator and the toggle the connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 2.5 GHz on RF Signal Generator 1, and set Frequency to 2.1 GHz on RF Signal Generator 2.

Step 5: Set the PA Block

Click on the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss Out, setting Loss In, and PA Gain for both bands.

  2. Set Input Power to -1dBm for Band1, and set Input Power to -2dBm for Band2.

  3. The initial Amplitude setting in RF Signal Generator block will be set to (Input Power + Loss In) automatically.

Step 6: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Signal Analyzer and the toggle the connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set the Capture Sample Length to 61440 samples. For most cases, you can use the default values in this model.

Step 7: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.


3. Executing the Measurement and Viewing Results

This section focuses on executing the measurement and viewing the measurement results for dual-band DPD.

Executing the measurement

To execute the measurement,

  1. Click the triangle Closed Run button on the menu bar.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

Viewing the Measurement Results

In the measurement view, there are six result windows to display AM-AM, AM-PM, and ACP results for both bands. These three results give an insight of PA's improvement on linearity after using dual-band DPD. If the results are not satisfactory, you need to adjust the settings, such as PA model extraction parameters in the Digital Predistortion block under the block view, and rerun the measurement.

DPD measurement results are updated when the measurement is done.

You can double-click on each window to enlarge it and double-click it again to return to the four-window view.

AM-AM

AM-AM curve displays ratio of the PA output signal amplitude to the PA input signal amplitude. So two signals are used use to plot the AM-AM curve. One is the reference signal, that is the PA input signal. The other is the PA output signal, which is the IQ waveform data captured by the Signal Analyzer in the IQ Analyzer(Basic) mode.

There are two results: the red one shows the AM-AM value without using DPD, and the green one shows the AM-AM value after using DPD.

There is also a "Normalized" check box in the window. Check it or uncheck it will decide whether to display the normalized value or not.

  1. Normalized: It displays the PAout/PAin value

  2. Not normalized: It displays the PA output value

AM-PM

AM-PM curve displays ratio of the PA output signal phase to the PA input signal amplitude.

There are two results: the red one shows the AM-PM value without using DPD, and the green one shows the AM-PM value after using DPD.

ACP

The ACP results are from the ACP measurement results in the Spectrum Analyzer mode of the Signal Analyzer. It displays the improvements in ACP (Adjacent Channel Power Ratio) after using DPD.

There are four ACP settings in the right panel, In-Channel Bandwidth, Adjacent Channel Count, Adjacent Channel BW, and Channel Offset, in which In-Channel Bandwidth, Adjacent Channel BW, and Channel Offset are coupled to the Bandwidth settings in the Waveform block in the block view. If you want to view the ACP results of more than one adjacent channel, you can adjust the Adjacent Channel Count value. The results will be updated after you rerun the measurement.


Example Wideband DPD Measurement

To support DPD test on wideband signals like wideband WLAN (802.11ac 80 MHz/160 MHz), N7614B Signal Studio for Power Amplifier Test supports playing the wideband arbitrary waveform on M8190A arbitrary waveform generator with external IQ connection to E8267D PSG.

The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Calibrating the RF Signal Generator (M8190A+PSG)

  3. Configuring parameters in the N7614B software

  4. Executing the measurement and viewing results


1. Setting up the Measurement System

The following figures show the instrument connections for a wideband DPD measurement.

Closed Signal Analyzer Configuration

Closed Oscilloscope Configuration

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference and trigger connection; the black lines are for instrument control connection with LAN.

Instrument Requirements

The table shows the requirement for the instruments used in DPD measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | M8190A AWG (Arbitrary Waveform Generator) + E8267D PSG Vector Signal Generator 1
Signal Analyzer | N9030A/B PXA N9040B UXA
Oscilloscope | Keysight scope models compatible with 89600 VSA

1. This configuration is used for wideband DPD support, in which M8190A works as IQ waveform generator and E8267D PSG works as modulator & up converter.

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio and 89600 VSA software to M8190A AWG, E8267D PSG, and signal analyzer (or oscilloscope) through LAN.

  2. Connect the CHANNEL 1 SAMPLE MRK OUT port of M8190A AWG to the Trigger IN 1 port on the rear panel of the signal analyzer (or AUX TRIG IN of the oscilloscope) using a BNC cable. If the high bandwidth channel is used for UXA H1G, the trigger source should be set to external 3.

  3. Connect the 10 MHz OUT port on the rear panel of the signal analyzer to the 10 MHz IN port on the rear panel of the E8267D PSG using a BNC cable.

  4. Connect IQ baseband signal from M8190A AWG to the external IQ input port of E8267D PSG:

    1. Connect M8190A Channel 1+ Direct OUT port to E8267D PSG Wideband I input port

    2. Connect M8190A Channel 1- Direct OUT port to E8267D PSG Wideband I̅ input port

    3. Connect M8190A Channel 2+ Direct OUT port to E8267D PSG Wideband Q input port

    4. Connect M8190A Channel 2- Direct OUT port to E8267D PSG Wideband Q̅ input port

    The four cables used for I, I̅, Q, and Q̅ signal connections should have the same characteristics.

  5. Connect the 10 MHz OUT port of E8267D PSG to the REF CLK IN port of M8190A AWG.

  6. Connect the RF OUTPUT port of the E8267D PSG to the RF INPUT port of the signal analyzer (or channel 1 of the oscilloscope) for calibration.


2. Calibrating the RF Signal Generator (M8190A+PSG)

  1. Set the Closed RF Signal Generator block settings:

    • Choose AXIe AWG + PSG configuration under RF Signal Generator block, then set AXIe AWG address and PSG address.

    • Set PSG frequency and amplitude.

    • Set correct AXIe AWG mirror spectrum setting. When PSG frequency is in the 20–28.5 GHz frequency range, the phase relationship for I and Q signals is reversed, and Mirror Spectrum should be on if the cable orders (I, I̅, Q, and Q̅) are not changed. For example, set frequency to 5 GHz, amplitude to -10 dBm, then set mirror spectrum to off.

    • Set a proper OSR for AWG so that the images of M8190A is far away from the center frequency. For example, set OSR for AWG to 6.

  2. Set the Signal Analyzer block settings:

    • Choose RF Signal Analyzer configuration under Signal Analyzer block, the set Signal Analyzer address.

    • Make sure the frequency center and trigger source of the Signal Analyzer are correct.

  3. Set the Closed Power Amplifier block settings:

    • The PA gain should be 0 when the RF cable is connected directly from PSG to Signal Analyzer. After calibration, the PA gain should be set according to the actual value.

    • The loss in/out should be set according to the cable.

  4. Set the Closed Waveform block settings:

    • Choose a Signal Studio waveform or user-defined waveform under Waveform block, set sample rate and bandwidth. For example, set Waveform Type to Preloaded, then click File Name setting, open the browse dialog and choose QAM16_OSR3_Alpha0p35.wfm.

    • Set Resampling Ratio to a reasonable value. For example, if the original waveform is not oversampled, the resampling ratio can be 3 or larger. If the original waveform is oversampled, the resampling ratio can be 1.

  5. Switch off the Digital Predistortion block.

  6. Click Run button to play the waveform and see whether AM-AM and AM-PM Closed curves are correct.

  7. Click the Closed Calibrate button under the waveform block to open the calibration Closed dialog. Set the sample rate and bandwidth. The sample rate should be equal to the oversampled waveform sample rate. Then run the calibration and get a channelresponse.csv file.

  8. Turn on Closed Correction Filter under waveform block, and play the waveform see AM-AM and AM-PM Closed results.

  9. After calibration, connect the RF OUTPUT port of the E8267D PSG to the input of the PA and connect the output of the PA to the RF INPUT port of the signal analyzers.


3. Configuring Parameters in the N7614B Software

The following figure shows the block view settings in N7614B for wideband DPD measurement.

The remaining section of this topic provides an example procedure of setting N7614B for DPD measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Digital Predistortion Block

Step 4: Set the RF Signal Generator Block

Step 5: Set the PA Block

Step 6: Set the Signal Analyzer Block

Step 1: Set the Waveform Block

Since the Waveform block has been configured in calibration step, you can skip this step if no settings under Waveform block need to be changed.

Step 2: Set the Crest Factor Reduction Block

Click on the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Digital Predistortion Block

Click on the Digital Predistortion block icon and Closed turn on Digital Predistortion on the UI. In the right panel, do the following:

  1. Select Extract and Apply as the DPD Mode.

    Two modes are supported to perform the digital predistortion.

    • Extract and apply is to extract the PA model using the signals captured by the Signal Analyzer, so there will be a Closed feedback line from the Spectrum Analyzer block to the Digital Predistortion Block on the block diagram.

    • Apply Only is to use a user-defined PA distortion model in a form of LUT (look-up-table).

  2. Set the Number of Iteration to 1. By setting this parameter, the extraction model will be repeated by feeding its output to the input to minimize error. Typically, setting it to 3 is enough.

  3. Set the PA Model Type to Memory Polynomial. Refer to DPD Concept for details about different PA model types.

  4. Set the Memory Order to 1 and set Non-linear Order to 5.

Different PAs may have different characteristics, which will need different DPD models to simulate the DPD performance. In DPD test, if the measurement results are not as expected, you can try to change the the parameters for DPD model extraction. If the DUT is memoryless, it is recommended to set the PA Model Type to Look-up Table, or to set the PA Model Type to Memory Polynomial or Volterra Series and set the Memory Order to 0 or 1. If the DUT is memory device, it is recommended to set the PA Model Type to Memory Polynomial or Volterra Series.

Step 4: Set the RF Signal Generator Block

Click on the RF Signal Generator block icon on the UI. Set the PSG amplitude for PA input power. PA input power can also be set in PA block.

Step 5: Set the PA Block

Click on the PA block icon on the UI. Set the Loss In, Loss Out, and PA Gain. For example set PA Gain to 20 dB.

Step 6: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. If the high bandwidth channel is used for UXA H1G, the trigger source should be set to external 3.


4. Executing the Measurement and Viewing Results

  1. Click the triangle Run button on the menu bar.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. For DPD measurements, only the first three results are used. These three results give an insight of PA's improvement on linearity after using DPD. If the results are not satisfactory, you need to adjust the settings, such as PA model extraction parameters in the Digital Predistortion block under the block view, and rerun the measurement.

DPD measurement results are updated for each iteration if the Number of Iteration setting is larger than one in Digital Predistortion block.

You can double-click on each window to enlarge it and double-click it again to return to the four-window view.
On the Signal Analyzer, you can check the EVM and constellation graph improvements after DPD.

AM-AM

AM-AM curve displays ratio of the PA output signal amplitude to the PA input signal amplitude. So two signals are used use to plot the AM-AM curve. One is the reference signal, that is the PA input signal. The other is the PA output signal, which is the IQ waveform data captured by the Signal Analyzer in the IQ Analyzer(Basic) mode.

There are two results: the red one shows the AM-AM value without using DPD, and the green one shows the AM-AM value after using DPD.

There is also a "Normalized" check box in the window. Check it or uncheck it will decide whether to display the normalized value or not.

  1. Normalized: It displays the PAout/PAin value

  2. Not normalized: It displays the PA output value

AM-PM

AM-PM curve displays ratio of the PA output signal phase to the PA input signal amplitude.

There are two results: the red one shows the AM-PM value without using DPD, and the green one shows the AM-PM value after using DPD.

ACP

The ACP results are from the ACP measurement results in the Spectrum Analyzer mode of the Signal Analyzer. It displays the improvements in ACP (Adjacent Channel Power Ratio) after using DPD.

There are four ACP settings in the right panel, In-Channel Bandwidth, Adjacent Channel Count, Adjacent Channel BW, and Channel Offset, in which In-Channel Bandwidth, Adjacent Channel BW, and Channel Offset are coupled to the Bandwidth settings in the Waveform block in the block view. If you want to view the ACP results of more than one adjacent channel, you can adjust the Adjacent Channel Count value. The results will be updated after you rerun the measurement.


Example ET Measurement with M8190

Envelope tracking measurements are used to evaluate the improvements of power efficiency and output signal performance after using envelope tracking. For a PA, envelope tracking and digital pre-distortion can be used together. In this example, only envelope tracking is applied to the PA under test using M8190A as envelope signal generator, and M8190A and PSG as RF signal generator. From concept of view, it is similar to envelope tracking done with bench top instruments. The only difference is the hardware used in this example.

The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software

  3. Executing the measurement and viewing results


Setting Up the Measurement System

Figure 1 shows the instrument connection of envelope tracking measurement. The figure shows the measurement setup when M8190A AWG is used as envelope signal generator, and M8190A and E8267D PSG is used as RF signal generator.

Figure 1. Envelope tracking measurement setup when M8190A is used as envelope signal generator

In the system connection diagrams above, the dark blue lines are for RF connection; the light blue lines are for reference, trigger, and envelope signal connection; the black lines are for instrument control connection with LAN or GPIB. In envelope tracking test, timing alignment is required between the ETPA Vcc input and the RF input signal.

Follow the procedure below to set up the measurement system:

System Configuration

Mandatory Licenses

Hardware Options

Instrument Requirements

System Connection

System Configuration

  • Make sure the two M8190A AWGs are online and accessible.

    • Before performing the envelope tracking and DPD operations using N7614B software, launch the M8190A firmware for both the M8190A AWGs in the AXIe controller. Launch M8190A AWG from the Start menu twice to open the two user interfaces of the M8190A AWG so that we can use the one M8190A AWG as envelope signal generator and one as RF Signal generator.

    Check the VISA address of each AWG using the user interface of each AWG.

  • Install 5.2.0.0 version of N7614B software.
Keysight recommends you to use the 5.3 firmware version of the M8190A AWGs for the ET measurement because it has been verified.

Mandatory Licenses

The following mandatory license files are needed for M8190A to be used as an envelope signal generator:

  • N7614B-AFP

  • N7614B-EFP

  • N7614B-FFP

  • N7614B-HFP

Hardware Options

The following hardware options are needed for M8190A to be used as an envelope signal generator:

Required Options

  • M8190A-002 – Two channels and two M8190A modules are used

  • M8190A-14B – Precise Mode is chosen for envelope signal generation

  • M8190A-AMP – AMP Out differential channels are used to output the envelope signal

  • M8190A-SEQ – Sequence mode is used to implement the delay adjustment

Recommended Option

  • M8190A-02G – Only needed to upgrade baseband generator memory from 128 MSa to 2 GSa

Instrument Requirements

The table below shows the supported instruments for envelope tracking measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | M8190A AWG
Envelope Signal Generator | M8190A AWG and PSG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

System Connection

To set up the measurement system, follow the steps below:

  1. Connect IQ baseband signal from M8190A (on RF signal generator path) to the external IQ input port of E8267D PSG:
    • M8190A Channel 1+ Direct Out to the E8267D PSG Wideband I Input
    • M8190A Channel 1- Direct Out to the E8267D PSG Wideband I̅ Input
    • E8267D PSG 10 MHz Out to the REF CLK IN port of M8190A AWG (on RF signal generator path)
    • M8190A Channel 2+ Direct Out to the E8267D PSG Wideband Q Input
    • M8190A Channel 2- Direct Out to the E8267D PSG Wideband Q̅ Input
  2. Connect the SYNC MARK OUT 1 of M8190A AWG (on RF signal generator path)to the TRIGGER IN port of the Oscilloscope to stabilize the display.
  3. Connect the SAMPLE MARK OUT of M8190A channel 1 (on RF signal generator path) to the TRIGGER IN port of another M8190A AWG (used as envelope signal generator) and the TRIGGER IN port of signal analyzer.
  4. Connect the REF CLK OUT signal of M8190A AWG (on RF signal generator path) to the REF CLK IN port of another M8190A AWG (used as envelope signal generator)
  5. Connect the 10 MHz signal of signal analyzer to 10 MHz REF IN Port of E8267D PSG.
  6. Connect the RF Out of PSG to the PA IN port
  7. Connect the PA OUT signal to the RF INPUT port of signal analyzer using a BNC cable, and couple part of PA OUT signal to the oscilloscope using a RF coupler.
  8. Connect the AMP OUT signal and the A̅M̅P̅ ̅O̅U̅T̅ signal of the M8190A AWG (used as envelope signal generator) to the input of ETPS, and probe the ETPS OUT signal using a Oscilloscope probe connected to the Oscilloscope for monitoring purpose.


2. Configuring Parameters in the N7614B Software

The following figure shows the block view settings in N7614B for ET measurement. In this example, the Digital Predistortion block is turned Through and Envelope Tracking block is turned On.

The remaining section of this topic provides an example procedure of setting N7614B for the envelope tracking measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Envelope Tracking Block

Step 4: Set the Envelope Signal Generator Block

Step 5: Set the ETPS Block

Step 6: Set the PA Block

Step 7: Set the RF Signal Generator Block

Step 8: Set the Signal Analyzer Block

Step 9: Set the Measurement View

Step 1: Set the Waveform Block

Click the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.
    Note that to use a waveform generated by another signal studio software for ET test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the bandwidth to 5 MHz according to the waveform bandwidth.

  3. Set the Resampling Ratio to 3.

  4. Select Waveform Start as the Marker 2 Source.

Step 2: Set the Crest Factor Reduction Block

Click the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Envelope Tracking Block

Click the Envelope Tracking block icon and Closed turn on Envelope Tracking on the UI. In the right panel, do the following:

  1. Set the Envelope Source to From Non-predistorted Signal. Then the software will calculate the envelope signal using the signal before Digital Predistortion block.

  2. Set the Trigger Master to Envelope Signal Generator if the RF Signal Generator in use is N5172B or N5182B. Otherwise, set the Trigger Master to RF Signal Generator.

  3. Set the OSR for Envelope to 3.

    For signals used for envelope tracking test, it is recommend that the overall oversampling ratio (OSR) is no less than three. In this software, there are three different places related with the overall OSR. One is the OSR in the waveform file imported in the Waveform block. Another is the Resampling ratio setting in the Waveform block. The other is the OSR setting here in the Envelope Tracking block. The overall oversampling ratio is the product of these three values. As you increase the overall OSR, make sure the final sample rate does not exceed the limit of the Envelope Signal Generator.

  4. Set the Conversion Input Type to Absolute RF Output Voltage. This is to set the reference for the RF Voltage column in the shaping table.

  5. Enter the shaping tables.This shaping table is used to map the selected Conversion Input Type, Normalized I/Q Amplitude, Absolute RF Output Voltage or Override Absolute RF, to the supply voltage of the PA (Vcc).

    Here a shaping table is used as an example and you can see the graphic view by clicking the Graph tab.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 4: Set the Envelope Signal Generator Block

Click the Envelope Signal Generator block icon on the UI. In the right panel, do the following:

  1. Select the type of Envelope Signal Generator in the Configuration setting. In this example, select M8190A.

  2. Enter the IP address or host name of the Envelope Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  3. For other values, you can use the default settings. Note that the Voltage and Voltage Offset value will be set automatically after the test flow is run.

    Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 5: Set the ETPS Block

Click the ETPS block icon on the UI. In the right panel, do the following:

  1. Set the ETPS Gain to 7.0 dB.

  2. Set the Vcc Offset to 2.75 V.

  3. Set the Vcm to 450 mV.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 6: Set the PA Block

Click the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Input as the Power Mode.

  3. Set Power to -5 dBm. This is to set the input power of the PA. Then the Amplitude setting in RF Signal Generator block will be set to (Power + Loss In) automatically.

Step 7: Set the RF Signal Generator Block

Click the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Select the type of RF Signal Generator in the Configuration setting. In this example, select M8190A +PSG.

    Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 2 GHz.

Step 8: Set the Signal Analyzer Block

Click the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Signal Analyzer and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  3. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. For most cases, you can use the default value.

Step 9: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.

You can turn Intermediate Result to On and set the ACP parameters as required. In this example, the default settings are used.


3. Executing the Measurement and Viewing Results

This section introduce how to execute the envelope tracking test and how to view the measurement results. Follow the procedure below to execute the measurement and view the measurement results.

Initial Run

Timing Alignment

Executing the Measurement

Viewing the Measurement Results

Initial Run

  1. Click the Closed Run button on the tool bar to get the RF and ET waveform downloaded into the instrument and get the initial measurement results.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

The default Delay setting in Envelope Tracking block may not be the optimal value for the current instruments/DUT connections. So the PA output performance (AM-AM, ACP) may be poor. Further timing alignment between the RF Signal Generator and the Envelope Signal Generator is required.

Timing Alignment

Timing alignment is to synchronize the input signal of the PA (the output of the RF Signal Generator) with the input voltage of the PA (the output of the Envelope Signal Generator) in time domain. There are two methods:

  • Manual: Adjust the Delay and Step setting in Envelope Tracking block manually with an oscilloscope connected to the Envelope Signal Generator and RF Signal Generator and observe the signals alignment. Perform the following steps:

    1. Reset the delay value to zero if rough delay of system is unknown.

    2. Perform envelope tracking (does not matter if DPD is enabled or not) operation to make it pass. This is the precondition of manual envelope tracking alignment. The SYNC MARK OUT, PA Out and ETPS Out signals can be viewed on the oscilloscope.

    3. Choose the right rough horizon resolution on the oscilloscope to make the display stable and calculate the rough delay time. For example, ETPS Out signal has a rough delay time of 16000 nsec relative to the RF signal which can be calculated using a simple oscilloscope measurement as shown in the figure below.

    4. The time delay of -16000 nsec is used to make a first rough alignment by updating the delay value to -16000 as shown in the figure below. After this step, the ETPS Out signal and RF signal can be roughly aligned (see below graph).

    5. After ETPS Out and RF signals are roughly aligned, change the delay value to a smaller valuer to get a fine aligned envelope tracking system.

    6. In case you do not have an oscilloscope, use the auto-alignment button to get the signals aligned automatically.
  • Auto: Click the Closed Auto-align ET and RF signals button on the tool bar to get the signals aligned automatically.

    By selecting the Pre-Align with AM-AM for Auto-Align check box in the Envelope Tracking block, you can find a possible better initial delay value with the measured AM-AM results, but this may take longer time. After the auto-alignment is finished, the Delay setting in Envelope Tracking block is updated automatically.

Once sample rate related setting changed, or M8190 was reset manually, the relative timing between envelope signal and RF signal signal will become unknown and unstable, “run” action and “align” action must be repeat again.

If the related settings (e.g. sample rate, IQ delay, trigger delay in Generator instruments, etc.) are changed and applied, it is recommended to do the timing alignment again.

Executing the Measurement

Once a proper time alignment has completed, the signal can be played repeatedly without re-alignment. Click the Closed Run button to play the signal and get the measurement results.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. EVM vs. Power results are displayed only when Power Sweeping (in PA block) is set to On.

For ET test, ACP results are viewed. To view more detailed information, double-click on the ACP window to enlarge it as shown in the figure below.

Figure 1. ACP Results

You can make your own measurements, such as power-added efficiency (PAE) test, based on the PA output signal using the Signal Studio for Power Amplifier Test software, Keysight VSA software or applications on the Signal Analyzer. For information on how to make PAE measurements, see Example PAE Measurements.

Depending on the test scenario, the envelope signal output for M8190A can vary. However, the M8190A output amplitude varies with the offset value, so it is important to pay attention and check if the M8190A (envelope signal generator) output has been clipped.

If the signal analyzer fails to wait for triggering, there can be two possible reasons:

  1. The trigger signal cable may not be well connected;

  2. The trigger level is not appropriate because of the possible BNC divider used in the system connection

In both the cases, the trigger level adjustment is needed.


Example ET + DPD Measurement

ET is usually used together with DPD to improve the PA performance and efficiency. In this example, ET + DPD measurement is performed. The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software

  3. Executing the measurement and viewing results


2. Configuring Parameters in the N7614B Software

The following figure shows the block view settings in N7614B for ET+DPD measurement. In this example, both the Envelope Tracking block and the Digital Predistortion block are turned On.

The remaining section of this topic provides an example procedure of setting N7614B for ET+DPD measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Digital Predistortion Block

Step 4: Set the Envelope Tracking Block

Step 5: Set the Envelope Signal Generator Block

Step 6: Set the ETPS Block

Step 7: Set the PA Block

Step 8: Set the RF Signal Generator Block

Step 9: Set the Signal Analyzer Block

Step 10: Set the Measurement View

Step 1: Set the Waveform Block

Click on the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.
    Note that to use a waveform generated by another signal studio software for DPD test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the bandwidth to 5 MHz according to the waveform bandwidth.

  3. Set the Resampling Ratio to 3.

Step 2: Set the Crest Factor Reduction Block

Click on the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Digital Predistortion Block

Click on the Digital Predistortion block icon and Closed turn on Digital Predistortion on the UI. In the right panel, do the following:

  1. Set DPD Mode to Apply Only.

  2. Set Reference (w/o DPD) to On.

  3. Set the PA Model Type to Look-up Table. Refer to DPD Concept for details about different PA model types.

  4. Set the LUT Type to Absolute and LUT Apply Mode to AM/AM, then AM/PM.

  5. Enter the look-up table as below or you can also use an existing look-up table. Below is an example of the look-up table used here.

Different PAs may have different characteristics, which will need different DPD models to simulate the DPD performance. In DPD test, if the measurement results are not as expected, you can try to change the the parameters for DPD model extraction. If the DUT is memoryless, it is recommended to set the PA Model Type to Look-up Table, or to set the PA Model Type to Memory Polynomial or Volterra Series and set the Memory Order to 0 or 1. If the DUT is memory device, it is recommended to set the PA Model Type to Memory Polynomial or Volterra Series.

Step 4: Set the Envelope Tracking Block

Click on the Envelope Tracking block icon and Closed turn on Envelope Tracking on the UI. In the right panel, do the following:

  1. Set the Envelope Source to From Predistorted Signal. Then the software will calculate the envelope signal using the signal after Digital Predistortion block.

  2. Set the Trigger Master to Envelope Signal Generator if the RF Signal Generator in use is N5172B or N5182B. Otherwise, set the Trigger Master to RF Signal Generator.

  3. Set the Conversion Input Type to Absolute RF Output Voltage. This is to set the reference for the RF Voltage column in the shaping table.

  4. Enter the shaping tables.This shaping table is used to map the selected Conversion Input Type, Normalized I/Q Amplitude, Absolute RF Output Voltage or Override Absolute RF, to the supply voltage of the PA (Vcc).

    Here is the shaping table used as an example.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 5: Set the Envelope Signal Generator Block

Click on the Envelope Signal Generator block icon on the UI. In the right panel, do the following:

  1. Select the type of Envelope Signal Generator in the Configuration setting. In this example, select MXG/EXG.

  2. Enter the IP address or host name of the Envelope Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  3. For other values, you can use the default settings. Note that the Voltage and Voltage Offset value will be set automatically after the test flow is run.

    Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 6: Set the ETPS Block

Click on the ETPS block icon on the UI. In the right panel, do the following:

  1. Set the ETPS Gain to 7.0 dB.

  2. Set the Vcc Offset to 2.75 V.

  3. Set the Vcm to 750 mV.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 7: Set the PA Block

Click on the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Input as the Power Mode.

  3. Set Power to -5 dBm. This is to set the input power of the PA. Then the Amplitude setting in RF Signal Generator block will be set to (Power + Loss In) automatically.

Step 8: Set the RF Signal Generator Block

Click on the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 2 GHz.

Step 9: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Signal Analyzer and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  3. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. For most cases, you can use the default value.

Step 10: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.

You can turn Intermediate Result to On and set the ACP parameters as required. In this example, the default settings are used.


3. Executing the Measurement and Viewing Results

This section introduce how to execute the ET+DPD test and how to view the measurement results. Follow the procedure below to execute the measurement and view the measurement results.

Initial Run

Timing Alignment

Executing the Measurement

Viewing the Measurement Results

Initial Run

  1. Closed Click on the Digital Predistortion block icon and turn it through.

    In ET+DPD test, it is recommended to run timing alignment first with DPD turned through. After timing alignment is finished, turn on DPD to run ET+DPD test.
  2. Click the Closed Run button on the tool bar to get the RF and ET waveform downloaded into the instrument and get the initial measurement results.

  3. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

The default Delay setting in Envelope Tracking block may not be the optimal value for the current instruments/DUT connections. So the PA output performance (AM-AM, ACP) may be poor. Further timing alignment between the RF Signal Generator and the Envelope Signal Generator is required.

Timing Alignment

Timing alignment is to synchronize the input signal of the PA (the output of the RF Signal Generator) with the input voltage of the PA (the output of the Envelope Signal Generator) in time domain. There are two methods:

  • Manual: Adjust the Delay and Step setting in Envelope Tracking block manually with an oscilloscope connected to the Envelop Signal Generator and RF Signal Generator and observe the signals alignment.

  • Auto: Click the Closed Auto-align ET and RF signals button on the tool bar to get the signals aligned automatically.

    By selecting the Pre-Align with AM-AM for Auto-Align check box in the Envelope Tracking block, you can find a possible better initial delay value with the measured AM-AM results, but this may take longer time. After the auto-alignment is finished, the Delay setting in Envelope Tracking block is updated automatically.

If the related settings (e.g. sample rate, IQ delay, trigger delay in Generator instruments, etc.) are changed and applied, it’s recommended to do the timing alignment again.

Executing the Measurement

Once a proper time alignment has completed, the signal can be played repeatedly without re-alignment.

  1. Closed Click on the Digital Predistortion block icon and turn it on.

  2. Click the Closed Run button to play the signal and get the measurement results.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. For ET+DPD test, only the first three results are used. These three results give an insight of PA's improvement on linearity after using ET and DPD.

You can double-click on each window to enlarge it and double-click it again to return to the four-window view.

You can make your own measurements, such as power-added efficiency (PAE) test, based on the PA output signal using the Keysight VSA software or applications on the Signal Analyzer.

AM-AM

AM-AM curve displays ratio of the PA output signal amplitude to the PA input signal amplitude. So two signals are used use to plot the AM-AM curve. One is the reference signal, that is the PA input signal. The other is the PA output signal, which is the IQ waveform data captured by the Signal Analyzer in the IQ Analyzer(Basic) mode.

There are two results: the red one shows the AM-AM value without using DPD, and the green one shows the AM-AM value after using DPD.

There is also a "Normalized" check box in the window. Check it or uncheck it will decide whether to display the normalized value or not.

  1. Normalized: It displays the PAout/PAin value

  2. Not normalized: It displays the PA output value

AM-PM

AM-PM curve displays ratio of the PA output signal phase to the PA input signal amplitude.

There are two results: the red one shows the AM-PM value without using DPD, and the green one shows the AM-PM value after using DPD.

ACP

The ACP results are from the ACP measurement results in the Spectrum Analyzer mode of the Signal Analyzer. It displays the improvements in ACP (Adjacent Channel Power Ratio) after using DPD.

There are four ACP settings in the right panel, In-Channel Bandwidth, Adjacent Channel Count, Adjacent Channel BW, and Channel Offset, in which In-Channel Bandwidth, Adjacent Channel BW, and Channel Offset are coupled to the Bandwidth settings in the Waveform block in the block view. If you want to view the ACP results of more than one adjacent channel, you can adjust the Adjacent Channel Count value. The results will be updated after you rerun the measurement.


Example ET + DPD Measurement with VXT and M320xA

ET is usually used together with DPD to improve the PA performance and efficiency. In this example, ET + DPD measurement is performed. The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software

  3. Executing the measurement and viewing results


1. Setting up the Measurement System

The following figures shows the measurement setup when VXT/AWG M320xA is used as envelope signal generator for envelope tracking and DPD measurement. Figure 1 shows the measurement setup when M320xA AWG is used as envelope signal generator. Figure 2 shows the hardware connection that can be used to support DPD, but make sure no envelope signal goes into the ETPS. Figure 3 shows another hardware connection that can be used to support DPD.

Figure 1. Envelope Tracking Measurement Setup when VXT/AWG M320xA is used as Envelope Signal Generator

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference, trigger, and envelope signal connection; the black lines are for instrument control connection with LAN or GPIB. In envelope tracking test, timing alignment is required between the ETPA Vcc input and the RF input signal

Figure 2. DPD Measurement Setup

Figure 2. DPD Measurement Setup

Follow the procedure below to set up the measurement system:

System Configuration

Software Installation of M320xA AWG

Mandatory Licenses

Instrument Requirements

System Connection

System Configuration

Verify Version of .NET Framework

Ensure that you have Microsoft .NET Framework 4.5 or later installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download.

VXT Address Assignment

When assigning the address of VXT module, the VXT source address is needed to control the VXT. The Address drop-down in the RF Signal Generator block displays the addresses of all the VXT sources. In case the drop-down is empty, it means that no VXT module can be detected, and the instrument connections need to be verified.

Reference Module Address Assignment

The M9300A address can be assigned directly or selected or left empty. In case the address is left empty, the N7614B software will not handle the initialization of M9300A module.

In case you select the M9300A module, select the Drive BP 10MHz Reference check box from the M9300A SFP to use the 10 MHz reference signal on the backplane for the alignment of the RF signal and the envelope signal.

In case the M9300 address field is left empty, no 10 MHz reference signal originates from the backplane. The Signadyne AWG loses the reference signal and there is no way to align RF signal and envelope signal. The VXT modules cannot work because it need 100 MHz reference signal from M9300A module.

Trigger Line Connection between VXT Source and Receiver

The following two options are available in the N7614B software to select the source of the trigger signal for VXT receiver:

External 1

External 1 means that the trigger signal originates at the Trigger 3 port on the VXT front panel.

VXT Internal Trigger

VXT Internal Trigger means that the trigger signal originates from the VXT source via the VXT internal line. VXT Internal Trigger is the preferred Trigger Source and is the default value.

Initialization of Signadyne AWG

In case there is only one Signadyne AWG module in the PXI chassis, no need to specify the address and slot number of the AWG. N7614B software detects it automatically.

However, in case there are more than one Signadyne AWG modules in a PXI chassis, specify the exact address and slot number of the AWG in the N7614B software.

Software Installation of M320xA AWG

Follow the steps below to install the M320xA AWG software:

  1. Download the necessary M320xA AWG software packages from the links below and install them. In case an old version exists, uninstall it first before installing the latest version.

    • www.signadyne.com/files/Installers/FPGAflow_1.92.02_installer.exe

    • www.signadyne.com/files/Installers/PROCESSflow_1.92.02_installer.exe

    • www.signadyne.com/files/Installers/Essentials_1.92.02_installer.ex.

    • www.signadyne.com/files/UpdatePkgs/updatePkg_AWG_H335x_2016_09_09.sdpkg

  2. Before using Signadyne Manager and Signadyne VIRTUALknob, apply for the Signadyne software license using the instructions provided in the installation guide. Once the license request application is submitted to Signadyne, you will receive a mail shortly with your license file and instructions on how to install the license on your system.

  3. Once the license installation is complete, launch the Signandyne Manager from the bottom-right corner on the task bar or from the Start menu.

  4. Click File > Load SDM package to load *.sdpkg file downloaded from the link below:

    www.signadyne.com/files/UpdatePkgs/updatePkg_AWG_H335x_2016_09_09.sdpkg

  5. Click Refresh HW/SW List and Refresh Licenses to update the M320xA Signadyne Manager user interface and successfully install the licensed version of M320xA AWG software on your system.

    The HW/SW manager tab displays the installed part number of the AWG, and the physical slot position of the AWG in PXI chassis which can be used for initialization of the AWG.

Mandatory Licenses

The following mandatory license files must be available in the PXI controller:

  • N7614B-9FP

  • N7614B-EFP

  • N7614B-FFP

Instrument Requirements

The table below shows the supported instruments for envelope tracking measurement. For details about the options required for each instrument model, see System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | M942XA VXT
Envelope Signal Generator | M320xA PXI Arbitrary Waveform Generator
Signal Analyzer | M942XA VXT

System Connection

For Envelope Tracking

To set up the ET measurement system, follow the steps below:

  1. To simplify the scenario, only CH 0 and CH 1 of the M320xA module (with two channels or four channels)are used for envelope tracking. Connect the CH 0 and CH 1 of the M330xA module to the VETP and the VETNports of the ETPS respectively.

  2. Connect the Trigger 2 output to the Trigger 3 port of the VXT only if the Trigger Source of VXT Signal analyzer is set to External 1 in the N7614B software. In case you select the VXT Internal trigger option, connect the Trigger 2 output to the oscilloscope for monitoring purpose.

  3. The RF Input and the RF Output ports are used for VXT Source Output and VXT Receiver Input respectively. The RFIO port is not used.

For Digital Pre-Distorton

To set up the DPD measurement system, follow the steps below:

  1. If PA does not need PA_Enable signal, connect the Trigger 2 output to the Trigger 3 port of the VXT if the Trigger Source of VXT Signal analyzer is set to External 1 in the N7614B software. In case you select the VXT Internal trigger option, connect the Trigger 2 output to the oscilloscope for monitoring purpose.

  2. If PA needs PA_Enable signal to work in burst mode, use the VXT Internal Trigger option as the Trigger Source of VXT Receiver. In this case, the Trigger 2 port outputs the PA_Enable signal defined in Burst Shape and Mask drop-down (see Waveform Block GUI)

  3. The RF Input and the RF Output ports are used for VXT Source Output and VXT Receiver Input respectively. The RFIO port is not used.


3. Executing the Measurement and Viewing Results

This section introduce how to execute the ET+DPD test and how to view the measurement results. Follow the procedure below to execute the measurement and view the measurement results.

Initial Run

Timing Alignment

Executing the Measurement

Viewing the Measurement Results

Initial Run

  1. Closed Click on the Digital Predistortion block icon and turn it through.

    In ET+DPD test, it is recommended to run timing alignment first with DPD turned through. After timing alignment is finished, turn on DPD to run ET+DPD test.
  2. Click the Closed Run button on the tool bar to get the RF and ET waveform downloaded into the instrument and get the initial measurement results.

  3. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

The default Delay setting in Envelope Tracking block may not be the optimal value for the current instruments/DUT connections. So the PA output performance (AM-AM, ACP) may be poor. Further timing alignment between the RF Signal Generator and the Envelope Signal Generator is required.

Timing Alignment

Timing alignment is to synchronize the input signal of the PA (the output of the RF Signal Generator) with the input voltage of the PA (the output of the Envelope Signal Generator) in time domain. There are two methods:

  • Manual: Adjust the Delay and Step setting in Envelope Tracking block manually with an oscilloscope connected to the Envelop Signal Generator and RF Signal Generator and observe the signals alignment.

  • Auto: Click the Closed Auto-align ET and RF signals button on the tool bar to get the signals aligned automatically.

    By selecting the Pre-Align with AM-AM for Auto-Align check box in the Envelope Tracking block, you can find a possible better initial delay value with the measured AM-AM results, but this may take longer time. After the auto-alignment is finished, the Delay setting in Envelope Tracking block is updated automatically.

If the related settings (e.g. sample rate, IQ delay, trigger delay in Generator instruments, etc.) are changed and applied, it’s recommended to do the timing alignment again.

Executing the Measurement

Once a proper time alignment has completed, the signal can be played repeatedly without re-alignment.

  1. Closed Click on the Digital Predistortion block icon and turn it on.

  2. Click the Closed Run button to play the signal and get the measurement results.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. For ET+DPD test, only the first three results are used. These three results give an insight of PA's improvement on linearity after using ET and DPD.

You can double-click on each window to enlarge it and double-click it again to return to the four-window view.

You can make your own measurements, such as power-added efficiency (PAE) test, based on the PA output signal using the Keysight VSA software or applications on the Signal Analyzer.

AM-AM

AM-AM curve displays ratio of the PA output signal amplitude to the PA input signal amplitude. So two signals are used use to plot the AM-AM curve. One is the reference signal, that is the PA input signal. The other is the PA output signal, which is the IQ waveform data captured by the Signal Analyzer in the IQ Analyzer(Basic) mode.

There are two results: the red one shows the AM-AM value without using DPD, and the green one shows the AM-AM value after using DPD.

There is also a "Normalized" check box in the window. Check it or uncheck it will decide whether to display the normalized value or not.

  1. Normalized: It displays the PAout/PAin value

  2. Not normalized: It displays the PA output value

AM-PM

AM-PM curve displays ratio of the PA output signal phase to the PA input signal amplitude.

There are two results: the red one shows the AM-PM value without using DPD, and the green one shows the AM-PM value after using DPD.

ACP

The ACP results are from the ACP measurement results in the Spectrum Analyzer mode of the Signal Analyzer. It displays the improvements in ACP (Adjacent Channel Power Ratio) after using DPD.

There are four ACP settings in the right panel, In-Channel Bandwidth, Adjacent Channel Count, Adjacent Channel BW, and Channel Offset, in which In-Channel Bandwidth, Adjacent Channel BW, and Channel Offset are coupled to the Bandwidth settings in the Waveform block in the block view. If you want to view the ACP results of more than one adjacent channel, you can adjust the Adjacent Channel Count value. The results will be updated after you rerun the measurement.

In case you want to change the delay between envelope signal and RF signal manually, connect the Trigger 2 output of VXT and envelope signal and part of the RF signal (through a RF coupler) to the oscilloscope channels as shown in the figure below:

Envelope tracking can be disabled only if the DPD operation is needed. Follow the normal DPD operation after disabling envelope tracking.


Example ET Measurement with PXI and M320xA

Envelope tracking measurements are used to evaluate the improvements of power efficiency and output signal performance after using envelope tracking. For a PA, envelope tracking and digital pre-distortion can be used together. In this example, only envelope tracking is applied to the PA under test using PXI VSA/VSG/M320xA AWG. From concept of view, it is similar to envelope tracking done with bench top instruments. The only difference is the hardware used in this example.

The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software

  3. Executing the measurement and viewing results


Setting up the Measurement System

The following figure shows the instrument connection of envelope tracking measurement. The figure shows the measurement setup when M320xA PXI AWG is used as envelope signal generator.

Figure 1. Envelope tracking measurement setup when M320xA PXI AWG is used as envelope signal generator

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference, trigger, and envelope signal connection; the black lines are for instrument control connection with LAN or GPIB. In envelope tracking test, timing alignment is required between the ETPA Vcc input and the RF input signal

Follow the procedure below to set up the measurement system:

System Configuration

Software Installation of M320xA AWG

Instrument Requirements

System Connection

System Configuration

Verify Version of .NET Framework

Ensure that you have Microsoft .NET Framework 4.5 or later installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download.

M9381 and M9391 Configuration

In case you select the M9381 PXIe VSG or M9391 PXIe VSA, it is necessary that one of them should at least contain M9300A Reference module:

In case none of them contains M9300A module, select the Drive BP 10MHz Reference check box from the M9300A SFP to use the 10 MHz reference signal on the backplane for the alignment of the RF signal and the envelope signal.

Trigger Line Connection between PXI VSG and VSA

The following two options are available in the N7614B software to select the source of the trigger signal for PXIe VSA:

External 1

External means that the trigger signal originates at the Trig 1 on the M9214A front panel.

PXI Trigger line 2

PXI Trigger line 2 means that the trigger signal originates from PXI backplane line 2. PXI Trigger Line 2 is the preferred Trigger Source and is the default value.

Initialization of Signadyne AWG

In case there is only one Signadyne AWG module in the PXI chassis, no need to specify the address and slot number of the AWG. N7614B software detects it automatically.

However, in case there are more than one Signadyne AWG modules in a PXI chassis, specify the exact address and slot number of the AWG in the N7614B software.

Software Installation of M320xA AWG

Follow the steps below to install the M320xA AWG software:

  1. Download the necessary M320xA AWG software packages from the links below and install them. In case an old version exists, uninstall it first before installing the latest version.

    • www.signadyne.com/files/Installers/FPGAflow_1.92.02_installer.exe

    • www.signadyne.com/files/Installers/PROCESSflow_1.92.02_installer.exe

    • www.signadyne.com/files/Installers/Essentials_1.92.02_installer.ex.

    • www.signadyne.com/files/UpdatePkgs/updatePkg_AWG_H335x_2016_09_09.sdpkg

  2. Before using Signadyne Manager and Signadyne VIRTUALknob, apply for the Signadyne software license using the instructions provided in the installation guide. Once the license request application is submitted to Signadyne, you will receive a mail shortly with your license file and instructions on how to install the license on your system.

  3. Once the license installation is complete, launch the Signandyne Manager from the bottom-right corner on the task bar or from the Start menu.

  4. Click File > Load SDM package to load *.sdpkg file downloaded from the link below:

    www.signadyne.com/files/UpdatePkgs/updatePkg_AWG_H335x_2016_09_09.sdpkg

  5. Click Refresh HW/SW List and Refresh Licenses to update the M320xA Signadyne Manager user interface and successfully install the licensed version of M320xA AWG software on your system.

    The HW/SW manager tab displays the installed part number of the AWG, and the physical slot position of the AWG in PXI chassis which can be used for initialization of the AWG.

Instrument Requirements

The table below shows the supported instruments for envelope tracking measurement. For details about the options required for each instrument model, see System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | M938xA
Envelope Signal Generator | M320xA Arbitrary Waveform Generator
Signal Analyzer | M939xA

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the M320xA Envelope Signal Generator output to the ETPS. Connect the CH 0 OUT and CH 1 OUT ports of the Envelope Signal Generator to the VETP and VETN ports of the ETPS respectively and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

  2. This is to synchronize the RF Signal Generator and Signal Analyzer in time domain.

    Connect the Trig 2 port on the front panel of the M9311A Modulator of the RF Signal Generator to the Trig 1 port on the front panel of the M9214A Digitizer of the Signal Analyzer. Alternatively, use the trigger signal from PXI backplane line 2, PXI Trigger Line 2.

  3. Connect the RF OUTPUT port of the RF Signal Generator to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.


2. Configuring Parameters in the N7614B Software

The following figure shows the block view settings in N7614B for ET measurement. In this example, the Digital Predistortion block is turned Through and Envelope Tracking block is turned On.

The remaining section of this topic provides an example procedure of setting N7614B for the envelope tracking measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Envelope Tracking Block

Step 4: Set the Envelope Signal Generator Block

Step 5: Set the ETPS Block

Step 6: Set the PA Block

Step 7: Set the RF Signal Generator Block

Step 8: Set the Signal Analyzer Block

Step 9: Set the Measurement View

Step 1: Set the Waveform Block

Click on the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.
    Note that to use a waveform generated by another signal studio software for ET test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the bandwidth to 5 MHz according to the waveform bandwidth.

  3. Set the Resampling Ratio to 3.

Step 2: Set the Crest Factor Reduction Block

Click on the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Envelope Tracking Block

Click on the Envelope Tracking block icon and Closed turn on Envelope Tracking on the UI. In the right panel, do the following:

  1. Set the Envelope Source to From Non-predistorted Signal. Then the software will calculate the envelope signal using the signal before Digital Predistortion block.

  2. Set the Trigger Master to Envelope Signal Generator if the RF Signal Generator in use is M9381 PXI VSG. Otherwise, set the Trigger Master to RF Signal Generator.

  3. Set the OSR for Envelope to 3.

    For signals used for envelope tracking test, it is recommend that the overall oversampling ratio (OSR) is no less than three. In this software, there are three different places related with the overall OSR. One is the OSR in the waveform file imported in the Waveform block. Another is the Resampling ratio setting in the Waveform block. The other is the OSR setting here in the Envelope Tracking block. The overall oversampling ratio is the product of these three values. As you increase the overall OSR, make sure the final sample rate does not exceed the limit of the Envelope Signal Generator.

  4. Set the Conversion Input Type to Absolute RF Output Voltage. This is to set the reference for the RF Voltage column in the shaping table.

  5. Enter the shaping tables.This shaping table is used to map the selected Conversion Input Type, Normalized I/Q Amplitude, Absolute RF Output Voltage or Override Absolute RF, to the supply voltage of the PA (Vcc).

    Here a shaping table is used as an example and you can see the graphic view by clicking the Graph tab.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 4: Set the Envelope Signal Generator Block

Click on the Envelope Signal Generator block icon on the UI. In the right panel, do the following:

  1. Select the type of Envelope Signal Generator in the Configuration setting. In this example, select M320xA PXIe AWG.

  2. Enter the IP address or host name of the Envelope Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  3. For other values, you can use the default settings. Note that the Voltage and Voltage Offset value will be set automatically after the test flow is run.

    Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 5: Set the ETPS Block

Click on the ETPS block icon on the UI. In the right panel, do the following:

  1. Set the ETPS Gain to 7.0 dB.

  2. Set the Vcc Offset to 2.75 V.

  3. Set the Vcm to 450 mV.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 6: Set the PA Block

Click on the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Input as the Power Mode.

  3. Set Power to -5 dBm. This is to set the input power of the PA. Then the Amplitude setting in RF Signal Generator block will be set to (Power + Loss In) automatically.

Step 7: Set the RF Signal Generator Block

Click on the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Select the type of RF Signal Generator in the Configuration setting. In this example, select M9381 PXIe VSG.

  2. Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  3. Set Frequency to 2 GHz.

Step 8: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Select the type of RF Signal Analyzer in the Configuration setting. In this example, select M9391 PXIe VSA or M9393A PXIe VSA.

  2. Enter the IP address or host name of the M9391 or M9393 PXIe Signal Analyzer and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  3. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  4. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. For most cases, you can use the default value.

Step 9: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.

You can turn Intermediate Result to On and set the ACP parameters as required. In this example, the default settings are used.


3. Executing the Measurement and Viewing Results

This section introduce how to execute the envelope tracking test and how to view the measurement results. Follow the procedure below to execute the measurement and view the measurement results.

Initial Run

Timing Alignment

Executing the Measurement

Viewing the Measurement Results

Initial Run

  1. Click the Closed Run button on the tool bar to get the RF and ET waveform downloaded into the instrument and get the initial measurement results.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

The default Delay setting in Envelope Tracking block may not be the optimal value for the current instruments/DUT connections. So the PA output performance (AM-AM, ACP) may be poor. Further timing alignment between the RF Signal Generator and the Envelope Signal Generator is required.

Timing Alignment

Timing alignment is to synchronize the input signal of the PA (the output of the RF Signal Generator) with the input voltage of the PA (the output of the Envelope Signal Generator) in time domain. There are two methods:

  • Manual: Adjust the Delay and Step setting in Envelope Tracking block manually with an oscilloscope connected to the Envelop Signal Generator and RF Signal Generator and observe the signals alignment.

  • Auto: Click the Closed Auto-align ET and RF signals button on the tool bar to get the signals aligned automatically.

    By selecting the Pre-Align with AM-AM for Auto-Align check box in the Envelope Tracking block, you can find a possible better initial delay value with the measured AM-AM results, but this may take longer time. After the auto-alignment is finished, the Delay setting in Envelope Tracking block is updated automatically.

If the related settings (e.g. sample rate, IQ delay, trigger delay in Generator instruments, etc.) are changed and applied, it’s recommended to do the timing alignment again.

Executing the Measurement

Once a proper time alignment has completed, the signal can be played repeatedly without re-alignment. Click the Closed Run button to play the signal and get the measurement results.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. EVM vs. Power results are displayed only when Power Sweeping (in PA block) is set to On.

For ET test, ACP results are viewed. To view more detailed information, double-click on the ACP window to enlarge it as shown in the figure below.

Figure 1. ACP Results

You can make your own measurements, such as power-added efficiency (PAE) test, based on the PA output signal using the Signal Studio for Power Amplifier Test software, Keysight VSA software or applications on the Signal Analyzer. For information on how to make PAE measurements, see Example PAE Measurements.

In case you want to change the delay between envelope signal and RF signal manually, you can set the delay in the Envelope Tracking block of N7614B software and view the delay between the two signals in the oscilloscope. To view the delay between the Envelope signal and the RF signal, connect the Trig 2 output of M9311A Modulator, ETPS output and part of the RF signal (through a RF coupler) to the oscilloscope channels as shown in the figure below.


Example Dynamic EVM Measurement

Example EVM vs. Power Measurement

To improve the efficiency, the PA can work in an energy saving mode. In this mode, an On-Off signal is used to turn the PA on or off. The PA is on when this signal is on, and is off when this signal is off. This signal can be called PA enable signal, which is a mask over the PA input signal.

To evaluate PA’s capability working in energy saving mode, EVM vs. Power measurement is designed. The general measurement flow in N7614B Signal Studio for Power Amplifier Test is as below.

  1. The idle intervals are added to the selected waveform to form a new burst signal with specified duty cycle.

  2. A PA enable signal is generated as a marker trace according to the parameters, T1,T3 and T4 and a burst signal is also generated using the selected waveform.

  3. A power sweep is initiated. The average power of PA input or PA output sweeps with a fixed decrement in a specified power range. At each power level, the PA enable signal and burst signal are simultaneously applied as the PA power supply and the PA input respectively.

  4. The PA output is connected to the Signal Analyzer and the EVM measurement is made.

  5. Power vs. EVM trace is plotted as the final result.

The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in the N7614B software

  3. Executing the measurement and viewing results


1. Setting up the Measurement System

Both typical measurement system and wideband measurement system support EVM vs. Power measurement.

Typical Measurement System

Wideband Measurement System


Setting up the Measurement System

The following figure shows the instrument connection of EVM vs. Power measurement.

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference and trigger signal connection; the black lines are for instrument control connection with LAN or GPIB; the dotted line is for PA enable signal connection and it is optional for this test.
The BB TRIG 1 output (for N5172B/N5182B, TRIG OUT for N5182A, EVENT 2 for E4438C) may not act as the PA enable input for the PA directly because of the limit of its voltage and current output. The PA enable input can be provided by the user or generated with another functional generator using BB TRIG 1 output as a reference.
For the PA Enable Trigger connection, if you are using N5182A as RF Signal Generator, you need to route Marker 2 output to TRIG OUT port manually by pressing Dual ARB, Marker Utilities, Route Connectors, Route to Trig Out BNC, BBG Markers, Marker 2 on the front panel.

Instrument Requirements

The table shows the requirement for the instruments used in DPD measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | E4438C ESG E8267D PSG N5182A MXG N5182B MXG N5172B EXG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio with the RF Signal Generator and Signal Analyzer through LAN or GPIB.

  2. Connect the EVENT 1 port on the rear panel of the RF Signal Generator to the Trigger IN 1 port on the rear panel of the Signal Analyzer using a BNC cable. This is to synchronize the RF Signal Generator and Signal Analyzer in time domain.

  3. Connect the 10 MHz OUT port on the rear panel of the RF Signal Generator to the EXT REF IN port on the rear panel of the Signal Analyzer using a BNC cable.

  4. (Optional) Connect the BB TRIG 1 port (for N5172B/N5182B, TRIG OUT port for N5182A, EVENT 2 port for E4438C) on the rear panel of the RF Signal Generator to the PA enable port of the PA.

    If you are using N5182A as RF Signal Generator, you need to route Marker 2 output to TRIG OUT port manually by pressing Dual ARB, Marker Utilities, Route Connectors, Route to Trig Out BNC, BBG Markers, Marker 2 on the front panel.

  5. Connect the RF OUTPUT port of the RF Signal Generator to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.


Wideband DPD System Setup

The following figure shows the instrument connections for a wideband DPD measurement.

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference and trigger connection; the black lines are for instrument control connection with LAN.

Instrument Requirements

The table shows the requirement for the instruments used in DPD measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | M8190A AWG (Arbitrary Waveform Generator) + E8267D PSG Vector Signal Generator 1
Signal Analyzer | N9020A MXA N9030A/B PXA

1. This configuration is used for wideband DPD support, in which M8190A works as IQ waveform generator and E8267D PSG works as modulator & up converter.

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio to the M8190A AWG, E8267D PSG, and signal analyzer through LAN.

  2. Connect the CHANNEL 1 SAMPLE MRK OUT port of M8190A AWG to the Trigger IN 1 port on the rear panel of the signal analyzer using a BNC cable.

  3. Connect the 10 MHz OUT port on the rear panel of the signal analyzer to the 10 MHz IN port on the rear panel of the E8267D PSG using a BNC cable.

  4. Connect IQ baseband signal from M8190A AWG to the external IQ input port of E8267D PSG:

    1. Connect M8190A Channel 1+ Direct OUT port to E8267D PSG Wideband I input port

    2. Connect M8190A Channel 1- Direct OUT port to E8267D PSG Wideband I̅ input port

    3. Connect M8190A Channel 2+ Direct OUT port to E8267D PSG Wideband Q input port

    4. Connect M8190A Channel 2- Direct OUT port to E8267D PSG Wideband Q̅ input port

    The four cables used for I, I̅, Q, and Q̅ signal connections should have the same characteristics.

  5. Connect the 10 MHz OUT port of E8267D PSG to the REF CLK IN port of M8190A AWG.

  6. Connect the RF OUTPUT port of the E8267D PSG to the RF INPUT port of the signal analyzer for calibration.


2. Configuring Parameters in the N7614B Software

Here, only configurations for typical measurement system are provided as an example. The following figure shows the block view settings in N7614B for EVM vs. Power measurement.

EVM vs. Power measurement and envelope tracking is mutual exclusion. That is to say, while you are making EVM vs. Power measurement, you can NOT make envelope tracking measurement at the same time.

The remaining section of this topic provides an example procedure of setting N7614B for EVM vs. Power measurement. Note that for different PAs, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Digital Predistortion Block

Step 4: Set the RF Signal Generator Block

Step 5: Set the PA Block

Step 6: Set the Signal Analyzer Block

Step 7: Set the Measurement View

Step 1: Set the Waveform Block

Click on the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Signal Studio as the Waveform Type and select a waveform exported by another signal studio. EVM vs. Power measurement is often made on WLAN signals. In this example, a waveform exported by N7617B (802.11ac, 20 MHz)is used. Refer to Creating and Exporting Waveforms for details about exporting a waveform.

    To use a waveform generated by another signal studio for EVM vs. Power test, the instrument needs to have the corresponding license. For this example, N7617B license needs to be installed in the instrument.

  2. Set the Bandwidth to 20 MHzaccording to the waveform bandwidth.

  3. Set the Resampling Ratio to 2.

  4. Set Burst Shape and Mask to On to add a mask to the waveform and set the T1, T3, T4 values as required. In this example, the default values are used. The figure below shows the definition for T1, T2, T3, and T4.

  5. Set the Marker 2 Source to PA Enable Mask using the Closed Marker Source Selection window.

    For different RF signal generators, Marker 2 is routed to different output ports by default as shown in the following table.
    RF Signal Generator Output port for marker 2

    N5172B EXG

    N5182B MXG

             TRIG 1

    N5182A MXG

             TRIG OUT

    E4438C ESG

    E8267D PSG

             EVENT 2

Step 2: Set the Crest Factor Reduction Block

Click on the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Digital Predistortion Block

Click on the Digital Predistortion block icon and Closed turn on Digital Predistortion on the UI. In the right panel, do the following:

  1. Select Extract and Apply as the DPD Mode.

    Two modes are supported to perform the digital predistortion.

    • Extract and apply is to extract the PA model using the signals captured by the Signal Analyzer, so there will be a Closed feedback line from the Spectrum Analyzer block to the Digital Predistortion Block on the block diagram.

    • Apply Only is to use a user-defined PA distortion model in a form of LUT (look-up-table).

  2. Set Number of Iteration to 1. By setting this parameter, the extraction model will be repeated by feeding its output to the input to minimize error. Typically, setting the Number of Iteration to 3 is enough.

  3. Set the PA Model Type to Look-up Table. Refer to DPD Concept for details about different PA model types.

  4. Set the LUT Size to 128, AM/AM Polynomial Order to 5, and AM/PM Polynomial Order to 5.

Different PAs may have different characteristics, which will need different DPD models to simulate the DPD performance. In DPD test, if the measurement results are not as expected, you can try to change the the parameters for DPD model extraction. If the DUT is memoryless, it is recommended to set the PA Model Type to Look-up Table, or to set the PA Model Type to Memory Polynomial or Volterra Series and set the Memory Order to 0 or 1. If the DUT is memory device, it is recommended to set the PA Model Type to Memory Polynomial or Volterra Series.

Step 4: Set the RF Signal Generator Block

Click on the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 2 GHz.

Step 5: Set the PA Block

Click on the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Input as the Power Mode.

  3. Set the Power Sweep State to On and set the Power Max and Power Min as required. Here, Power Max is set to -4 dBm and Power Min is set to -20 dBm.

  4. Set the Min Power with DPD to -20 dBm. For power below this level, the PA is in the linear zone, so there is no need to apply DPD any more.

  5. Set the Extract DPD Once to Off. Then the DPD model will be extracted at each power level.

Step 6: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or the host name of the Signal Analyzer and then toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  3. Set the Trigger Source to External 1 and adjust the Trigger Delay value as needed. For most cases, you can use the default value.

Step 7: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.

  1. Set the Intermediate Results to On to show the intermediate results.

  2. Set the Radio Std to 802.11ac (20 MHz) and set the guard interval to 1/4.

    These two settings are used by the Signal Analyzer to demodulate the input signals.


3. Executing the Measurement and Viewing Results

Here, only measurement procedure for typical measurement system is provided as an example.

Executing the measurement

To execute the measurement,

  1. Click the triangle Closed Run button on the menu bar and tool bar.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. In the EVM vs. Power measurement, the EVM vs. Power results are viewed. To view more detailed information, double-click on the EVM vs. Power window to enlarge it.

You can click on the [image] button below X-axis to change the X-axis value to the output power of the PA.

Figure 1 and figure 2 show the EVM vs. Power results with DPD on and DPD off. When DPD is on, the EVM results are relatively flat for different power levels. When DPD is off, the EVM results deteriorate fast with the increase of the power level.

Figure 1 EVM vs. Power with DPD On

Figure 2. EVM vs. Power with DPD Off


Example PAE Measurement

Power-added efficiency (PAE) is a measure of the power conversion efficiency of the power amplifier. It shows how much of the DC power is converted to RF power in the power amplifier. PAE measurement is used to evaluate the improvements of power efficiency and output signal performance after using envelope tracking. For a PA, envelope tracking and digital predistortion can be used together. In this example, only envelope tracking is applied to the PA under test.

The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Align ET system

  3. Configuring parameters in the N7614B software

  4. Executing the measurement and viewing results


1. Setting up the Measurement System

Calibrate BBA Channel

Calibration of BBA channel is very important especially for small signal measurement. For more information, visit http://literature.cdn.keysight.com/litweb/pdf/5989-6538EN.pdf?id=1444622.

Hardware Setup

N7614B software only supports MXA and PSA with BBA option available for PAE measurement. As compared to envelope tracking measurement setup, an additional cable connection is needed in the PAE measurement setup so that voltage signals of both ends of sensor resistor are connected to BBA port of signal analyzer with scaling circuits if needed in between.

General Hardware Setup Types

There are two kinds of hardware setup types:

  • Output of scaling circuits is connected to I Port and I_Bar ( I̅ ) port
  • Output of scaling circuits is connected to I Port and Q port

Figure 1 shows the first hardware setups with the output of scaling circuits connected to I Port and I_Bar ( I̅ ) port.

Figure 1. Output of scaling circuits is connected to I Port and I_Bar ( I̅ ) port

Figure 2 shows the second hardware setup with the output of scaling circuits connected to I Port and Q port.

Figure 2. Output of scaling circuits is connected to I Port and Q port

Making Proper Scaling Circuits

To perform PAE measurement, current of the ETPS output needs to be tested. N7614B PA Testsoftware only supports those models which have a small sensor resistor placed in in the ETPS output path as the current sensor. In such models, current measurement can be done by measuring the voltage dropping on the resistor. Generally, this resistor value must be very small (for example: 0.05Ω) so as to produce less effect on the PA performance. The voltage dropping is measured using the BBA port of signal analyzer which has 14-bit Analog-to-Digital Converter to obtain excellent dynamic range for small signal measurement. Since the maximal input voltage of BBA port of signal analyzer is 1Vpp, additional circuits are needed to process high voltage signal before supplying it as an input to the BBA port.

Generally, scaling circuits are designed in such a way that the voltage dropping, post-processing by the scaling board, can fulfill the BBA channel sensitivity requirement which is about -136dBm/Hz or 300uV/40MHz as shown in the Figure 3.

Figure 3. MXA Analog BBA Channel Sensitivity

So, the scaling circuits should be designed in such a way that the sensor resistor has an average dropping voltage greater than 10mV because the minimum ETPS output voltage will be greater than 100mV. Such scaling circuits do not affect the working of the power amplifier as well. Common measurement practices show that the BBA port can measure signals with amplitude greater than several milli-volts. Therefore, you can use high resistor value provided they do not affect the PA performance.

The following two types of typical scaling circuits fulfill the requirement:

1. Typical Scaling Circuits 1

If voltages V1 and V2 are greater than 1Vpp, the typical scaling circuit network is as shown in Figure 4.

Figure 4. Typical Scaling Circuits 1

Cable 1 and cable 2 must have same length and the input impedance of BBA port must be 50Ω

This scaling circuit network has the following three advantages:

  1. No obvious big capacitive effect like high impedance passive probes

  2. Utilize BBA dynamic range efficiently as compared to normal passive probes which depend on the value of scaling resistor

  3. Low cost and easy to implement as compared to active probes

This model has been verified with ETPS output less than 2Vrms, and current equal to 200mV. You can change sensor resistor and scaling resistor value as per your requirement.

Figure 5 shows the PAE analyzer and measurement settings of the N7614B software for this type of scaling circuits.

Figure 5. PAE analyzer and measurement settings for Scaling Circuits 1

Gains of the V1 and V2 Scaling can be calculated as follows:

Gain of V1 Scaling=(50Ω+Scaling Resistor 1)/50Ω

Gain of V2 Scaling=(50Ω+Scaling Resistor 2)/50Ω

2. Typical Scaling Circuits 2

If voltages V1 and V2 are lower than 1Vpp, the typical scaling network is as shown in Figure 6.

Figure 6. Typical Scaling Circuits 2

Cable 1 and cable 2 must have same length and the input impedance of BBA port must be 1MΩ. The scaling resistor 1 and scaling resistor 2 must be less than 1MΩ.

The input impedance of BBA channel should be 1MΩ and scaling resistor should be very less than 1MΩ (can be directly connected) to achieve 1:1 high impedance passive probe.

Figure 7 shows the PAE analyzer and measurement settings of the N7614B software for this type of scaling circuits.

Figure 7. PAE analyzer and measurement settings for Scaling Circuits 2

Gains of V1 and V2 Scaling are:

Gain of V1 Scaling=1

Gain of V2 Scaling=1

Mandatory Options and Actions

  • MXA/PXA option BBA: Provides Analog Baseband IQ Inputs

  • MXA/PXA option B25/S40: Provides 25MHz analysis bandwidth or 40MHz analysis bandwidth

  • 89600 VSA Software: Connects the signal analyzer and captures the data for further analysis

  • Basic VSA option: 89601A/AN-200 (required)

  • Hardware connectivity option: 89601A/AN-300 (required)

  • BBA Calibration: BBA function of signal analyzer should be calibrated first before performing PAE measurement ,User can check below documents about the details of how to perform BBA calibration. For more information, visit http://literature.cdn.keysight.com/litweb/pdf/5989-6538EN.pdf?id=1444622.

Instrument Requirements

The table below shows the supported instruments for envelope tracking measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator1 | N5182B MXG N5172B EXG N5182A MXG
Envelope Signal Generator | 33522B Arbitrary Waveform Generator 33622A Arbitrary Waveform Generator N5182B MXG N5172B EXG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

1. When N5172B EXG/N5182B MXG is used as Envelope Signal Generator, only N5172B EXG/N5182B MXG can be supported as RF Signal Generator.

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio to the RF Signal Generator, Envelope Signal Generator, and Signal Analyzer through LAN or GPIB.

  2. Connect the frequency reference and trigger for time alignment between Envelope Signal Generator and RF Signal Generator.

    • If N5172B/N5182B is used as Envelope Signal Generator, connect the 10 MHz Out port of the Envelope Signal Generator to the REF IN port of the RF Signal Generator and connect the EVENT 1 port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator for time alignment of the Envelope Signal Generator output and RF Signal Generator output.

    • If 33522B or 33622A is used as Envelope Signal Generator, connect the 10 MHz Out port of the Envelope Signal Generator to the REF IN port of the RF Signal Generator and connect the Sync port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator for time alignment of the Envelope Signal Generator output and RF Signal Generator output.

      If the RF Signal Generator in use is N5182A MXG, instead of connecting the Sync port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator, you should connect the EVENT 1 port of the RF Signal Generator to the Ext Trig/Gate/FSK/Burst port of the Envelope Signal Generator. Note that in Step 4, EVENT 1 is also connected to the TRIGGER IN 1 port of the Signal Analyzer, so a one-to-two connector needs to be used in EVENT 1 port.

  3. Connect the Envelope Signal Generator output to the ETPS.

    • If N5172B/N5182B is used as Envelope Signal Generator, connect the I OUT and [image] OUT of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

    • If 33522B or 33622A is used as Envelope Signal Generator, connect the Channel 1 and Channel 2 output of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

  4. Connect the EVENT 1 port on the rear panel of the RF Signal Generator to the Trigger IN 1 port on the rear panel of the Signal Analyzer using a BNC cable. This is to synchronize the RF Signal Generator and Signal Analyzer in time domain.

  5. Connect the 10 MHz OUT port on the rear panel of the RF Signal Generator to the EXT REF IN port on the rear panel of the Signal Analyzer using a BNC cable.

  6. Connect the RF OUTPUT port of the RF Signal Generator to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.

  7. Connect the scaling circuits into the system.

  8. Connect the measurement point signal of V1 to the BBA I port with scaling circuits in between.

  9. Connect the measurement point signal of V2 to the BBA I̅ port with scaling circuits in between.

PAE measurement can launch a VSA application if no VSA application is online.


2. Configuring the Parameters in the N7614B software

The following figure shows the block view settings in N7614B for ET measurement. In this example, the Digital Predistortion block is turned Through and Envelope Tracking block is turned On.

The remaining section of this topic provides an example procedure of setting N7614B for the envelope tracking measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Envelope Tracking Block

Step 4: Set the Envelope Signal Generator Block

Step 5: Set the ETPS Block

Step 6: Set the PA Block

Step 7: Set the RF Signal Generator Block

Step 8: Set the Signal Analyzer Block

Step 9: Set the Measurements View

Step 10: Set the PAE Measurements View

Step 1: Set the Waveform Block

Click on the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.
    Note that to use a waveform generated by another signal studio software for ET test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the bandwidth to 5 MHz according to the waveform bandwidth.

  3. Set the Resampling Ratio to 3.

Step 2: Set the Crest Factor Reduction Block

Click on the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Envelope Tracking Block

Click on the Envelope Tracking block icon and Closed turn on Envelope Tracking on the UI. In the right panel, do the following:

  1. Set the Envelope Source to From Non-predistorted Signal. Then the software will calculate the envelope signal using the signal before Digital Predistortion block.

  2. Set the Trigger Master to Envelope Signal Generator if the RF Signal Generator in use is N5172B or N5182B. Otherwise, set the Trigger Master to RF Signal Generator.

  3. Set the OSR for Envelope to 3.

    For signals used for envelope tracking test, it is recommend that the overall oversampling ratio (OSR) is no less than three. In this software, there are three different places related with the overall OSR. One is the OSR in the waveform file imported in the Waveform block. Another is the Resampling ratio setting in the Waveform block. The other is the OSR setting here in the Envelope Tracking block. The overall oversampling ratio is the product of these three values. As you increase the overall OSR, make sure the final sample rate does not exceed the limit of the Envelope Signal Generator.

  4. Set the Conversion Input Type to Absolute RF Output Voltage. This is to set the reference for the RF Voltage column in the shaping table.

  5. Enter the shaping tables.This shaping table is used to map the selected Conversion Input Type, Normalized I/Q Amplitude, Absolute RF Output Voltage or Override Absolute RF, to the supply voltage of the PA (Vcc).

    Here a shaping table is used as an example and you can see the graphic view by clicking the Graph tab.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 4: Set the Envelope Signal Generator Block

Click on the Envelope Signal Generator block icon on the UI. In the right panel, do the following:

  1. Select the type of Envelope Signal Generator in the Configuration setting. In this example, select MXG/EXG.

  2. Enter the IP address or host name of the Envelope Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  3. For other values, you can use the default settings. Note that the Voltage and Voltage Offset value will be set automatically after the test flow is run.

    Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 5: Set the ETPS Block

Click on the ETPS block icon on the UI. In the right panel, do the following:

  1. Set the ETPS Gain to 7.0 dB.

  2. Set the Vcc Offset to 2.75 V.

  3. Set the Vcm to 450 mV.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 6: Set the PA Block

Click on the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Input as the Power Mode.

  3. Set Power to -5 dBm. This is to set the input power of the PA. Then the Amplitude setting in RF Signal Generator block will be set to (Power + Loss In) automatically.

Step 7: Set the RF Signal Generator Block

Click on the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 2 GHz.

Step 8: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Signal Analyzer and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  3. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. For most cases, you can use the default value.

Step 9: Set the Measurements View

Click the [image] button on the Closed UI to change the current view from block view to Measurements View.

You can turn Intermediate Result to On and set the ACP parameters as required. In this example, the default settings are used.

Step 10: Set the PAE Measurements View

Click the [image] button on the Closed UI to change the current view from block view to PAE Measurements View.

  1. Set the Measurement Channel 1 to I.

  2. Set the Measurement Channel 1 impedance to 50Ω.

  3. Set the Measurement Channel 2 to I.̅

  4. Set the Measurement Channel 2 impedance to 50Ω.

  5. Set the Captured Time Length to 50us.

  6. Set the correct sample rate of BBA channel.

  7. Gain is the value obtained from the below equation:

    Gain of V1 Scaling=(50Ω+Scaling Resistor 1)/50Ω

    Gain of V2 Scaling=(50Ω+Scaling Resistor 2)/50Ω

Other settings can be left with default values because they are already coupled.


3. Executing the Measurement and Viewing Results

This section introduce how to execute the PAE measurement test and how to view the measurement results. Follow the procedure below to execute the measurement and view the measurement results.

Initial Run

Timing Alignment

Executing the Measurement

Viewing the Measurement Results

Initial Run

  1. Click the Closed Run button on the tool bar to get the RF and ET waveform downloaded into the instrument and get the initial measurement results.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

The default Delay setting in Envelope Tracking block may not be the optimal value for the current instruments/DUT connections. So the PA output performance (AM-AM, ACP) may be poor. Further timing alignment between the RF Signal Generator and the Envelope Signal Generator is required.

Timing Alignment

Timing alignment is to synchronize the input signal of the PA (the output of the RF Signal Generator) with the input voltage of the PA (the output of the Envelope Signal Generator) in time domain. This can be achieved by performing normal envelope tracking. Refer to Example Envelope Tracking (ET) Measurements to know how to handle the envelope tracking to finish the alignment of ETPS output and RF signal. This is must before making meaningful PAE measurement.

There are two methods:

  • Manual: Adjust the Delay and Step setting in Envelope Tracking block manually with an oscilloscope connected to the Envelope Signal (ETPS output) and RF Signal Generator and observe the signals alignment.

  • Auto: Click the Closed Auto-align ET and RF signals button on the tool bar to get the signals aligned automatically.

    By selecting the Pre-Align with AM-AM for Auto-Align check box in the Envelope Tracking block, you can find a possible better initial delay value with the measured AM-AM results, but this may take longer time. After the auto-alignment is finished, the Delay setting in Envelope Tracking block is updated automatically.

If the related settings (for example, sample rate, IQ delay, trigger delay in Generator instruments and so on) are changed and applied, it is recommended to do the timing alignment again.

Figures 1 and 2 show the DPD results before and after timing alignment respectively.

Figure 1. DPD result before Alignment

Figure 2. DPD result after Alignment

Use DPD performance as a criteria to find whether RF signal and ET signal is aligned well or not.

Executing the Measurement

Once a proper time alignment has completed, the signal can be played repeatedly without re-alignment. Click the Closed Measure button to play the signal and get the measurement results.

Viewing the Measurement Results

In the measurement view, there are two result windows: PAE vs Time and PAE vs PA Power Out.

After PAE measurement is done, click the Measure button to view the results.

Or more result windows if intermediate result is set to “On” state.


User Interface - Arb

User Interface

Menu Bar and Tool Bar

Menu bar and tool bar provides function for saving and recalling current settings, controlling of the measurement process.

Content View, including

  • Block Diagram View

  • Measurement View

This view is the major view for N7614B Signal Studio for Power Amplifier Test. You can configure each block in the block view and view the measurement results in the measurement view.

Details View

When the blocks in Content View area are clicked, this view shows the detailed settings.

You can find information for each parameter under Block Diagram view and Measurement view sections.

Bottom View

  • Hint

  • Log

This view provides some assistant information.

Status Bar

This view shows the information provided in the status bar.


User Interface Basics

Working with Cells

The software interface uses cells for configuring various parameters. Some cells have discrete settings; others are arbitrary. For example, RF Output (in the Basic section of the RF Signal Generator block) uses discrete settings. You must select either On or Off.

RF Amplitude uses arbitrary settings. You can enter any value within the designed range.

To change a discrete setting, double-click the cell with the parameter name, or double-click the cell containing the current setting of the parameter. Each double-click changes the parameter to the next available selection. All non-default selections appear in bold text.

You can also change a setting by clicking the down arrow of the cell and clicking the desired selection.

To change an arbitrary setting, double-click either the cell with the parameter name, or the cell containing the current parameter setting. When the setting is highlighted, enter the new value. All non-default values appear in bold text.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved Closed horizontally or Closed vertically. Hold down the left mouse button and drag the border to its new position.

Mouse pointer for

horizontal resizing

Mouse pointer for

vertical resizing

Collapsing and Expanding Tables

To create more viewing space in a window pane, you can collapse selection tables you are not using. To collapse the table, click the [image] box next to the table title. To expand the table, click the [image] box.


Menu Bar and Tool Bar

Click an icon or a command in the menus shown below to view its description.

File | Control | System | Tools | Help
New Open Settings File Save Settings File Exit | Run Align | PA Test Dual-band PA Test | Start MATLAB | Contents Search API Reference Software License Terms Signal Studio website About

File

New

Sets the software to its standard initial state. You can save the new setup as a settings (.scp) file (saving only the software parameters).

Open Settings File

Opens a saved settings (.scp) file. Opening a settings file configures parameters for use with the currently selected hardware.

If you have made parameter changes, a window opens that enables you to save the settings to a file.

Save Settings File

Saves the current parameters to a specified settings file (.scp).

Exit

Stops and closes the software. The Closed close button performs the same function as selecting Exit.

Control

Run

Press this button to run the test flow based on the current user configurations. The test flow may include various processing, such as importing waveform, CFR/DPD/ET processing, downloading waveform to Signal Generators, capturing data from Signal Analyzer, multi-steps power sweeping, etc.

After pressed, Run button is changed to Stop button [image]. You can press the Stop button to stop an in-progress test flow run. This is especially useful for multi-iteration DPD test or multi-step power sweeping test, which may take long time.

When Run button is flagged with orange background color [image] , it means some settings have been changed since the last time you run the test flow. In this case, you need to run the test another time to get the current settings applied.

Align

Press this button to automatically align the timing of envelope tracking signal and RF signal based on the measurement results (ACP or AM/AM results) from the PA output. The alignment is performed by adjusting the Delay setting in Envelope Tracking block.

Align button is available only when Envelope Tracking block is set to On and the Status bar displays as Connected.

System

PA Test

For the single-band Closed PA test setup, two configuration modes are supported: ARB and Real-time. Select which mode you want to use in the Configuration menu. For more information, see the following topics:

  • ARB Mode

  • Real-time Mode

Dual-band PA Test

For the Closed dual-band PA test setup, only ARB Mode is supported. For more information, see the following topics:

  • User Interface (Dual-band PA Test)

  • Example Dual-Band DPD Measurement

Tools

Start MATLAB

This selection begins MATLAB. The progress dialog (shown below) disappear after MATLAB is started. If MATLAB is not installed, a warning message appears.

Help

Contents opens the help system and displays the table of contents.

Search opens the Help system and displays the search utility.

API Reference opens a Help system for the API programming commands and their descriptions.

Software License Terms displays a description of the licensing terms agreement for Keysight's Signal Studio software.

Signal Studio website opens a webpage of all the Signal Studio products and their available options.

About displays the version and release date of the software.


Status Bar

The status bar at the bottom of the window shows the connection status. There are two status as below.

  • Connected

    When the status is connected, it means all the instruments are connected correctly and the test flow runs successfully once.

    In the Connected status, the changes to the instrument settings on the N7614B user interface are set to the corresponding instrument in real time. For example, if you change the frequency of the RF Signal Generator from 1 GHz to 2 GHz on N7614B, the frequency of the instrument is changed accordingly at the same time, without the requirement of running the test for another time.

  • Idle

    Idle is the default status. Failures in a Run, such as waveform file not found, instrument connection failure, etc., change the status back to Idle from Connected.


 Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic

Block Diagram View

Click on each block in the figure below for detailed information and settings.


Waveform Setup

Waveform

This block provides Closed parameters for adding some basic processing to the original I/Q waveform file prior to further CFR/DPD/ET processing.

Calibrate Button

Opens a Closed Calibration window where you can configure and then run the calibration algorithm.

  • Average Count – Specifies the average count of the calibration. Default: 3. Range: 3 to 10.

  • Sample Rate – Specifies the calibration sample rate. The sample rate should be the same as the waveform sample rate after resampling. Default:1 GHz. Range: 5 MHz to 10 GHz.

  • Calibration Bandwidth – Specifies the calibration bandwidth. This value should be less than the sample rate. Default: 800 MHz. Range: 5 MHz to 10 GHz.

  • Calibrate – Runs and saves the correction filter coefficients to a file.

See also Correction Filter and Correction Filter File.

Tools Button

Opens a Closed drop-down menu with the following MATLAB tools. Waveform Type must be set to User-defined for the selections to be active.

  • Import to MATLAB – Imports the selected I/Q waveform file into a MATLAB workspace.

  • Convert – Converts the selected I/Q file into one of these other file formats: .txt, .csv, .bin (16-bit big endian), or .mat.

Waveform Parameters

1. Basic | 2. Processing | 3. Burst Formation and Mask | 4. Markers
Waveform Type Waveform Location I/Q Variable Name File Type File Name Sample Rate Waveform Length Bandwidth | Resampling Ratio Resampled Waveform Length Filter State Maximum Order Pass Frequency Stop Frequency Pass Ripple Stop Ripple Correction Filter Correction Filter File | Burst Shape & Mask Duty Cycle (%) T1 (Lead Interval) T2 (Waveform Interval) T3 (Lag Interval) T4 (Idle Interval) | Marker 1 Source Marker 2 Source Marker 3 Source Marker 4 Source

1. Basic

Waveform Type

Choice: Preloaded | Signal Studio | User-defined | MATLAB Variable

Default: Signal Studio

Specify the type of waveform. It has three different choices, Preloaded, Signal Studio and User-defined.

  • Preloaded – N7614B Signal Studio for Power Amplifier Test provides about eight waveforms that do not require waveform licenses to use. They are WLAN and LTE waveforms with different settings.

  • Signal Studio – Select this option to use the waveform generated with another Keysight Signal Studio. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.

    To use the waveform generated by another signal studio, the RF Signal Generator needs to have the corresponding license. For this example, if you plan to use the LTE waveform exported by N7624B signal studio, you need to have the N7624B license.

  • User-defined – Select this option to use a waveform in a certain format generated by the user.

  • MATLAB Variable – Select this option to use a waveform from the MATLAB workspace. See also IQ Variable Name.

Waveform Location

Choice: PC | RF Signal Generator

Default: PC

Coupling: This cell is grayed out if the waveform type is set to Preloaded or User-defined or when the RF Signal Generator Configuration is set to AWG + Signal Generator.

Select the waveform location for a signal studio waveform.

I/Q Variable Name

When MATLAB Variable is selected as the Waveform Type, clicking this parameter opens a Closed window where you can choose an I/Q variable name from the MATLAB workspace. The I/Q variable should be a 1-d complex array. If you have a valid license, you can launch MATLAB from the Signal Studio software's System menu and then use this window to browse or directly input a variable.

File Type

Choice: CSV/Text | Big Endian 16 Bits | MATLAB

Default: CSV/Text

Coupling: Available when the Waveform Type is set to User-defined.

Specify the format of the source file when the Waveform Type is set to User-defined.

  • CSV/Text – .csv or .txt format: I/Q data is interleaved and delimited with commas. Example: 1.235,-3.123.

  • Big Endian 16 Bits – This is for unencrypted MXG/EXG waveforms. It is I/Q DAC bit value and the leftmost bit is MSB. I and Q are interleaved.

  • MATLAB – .mat format: This is for Matlab waveforms. If the .mat file contains several complex arrays, only the first array will be imported as the waveform.

File Name

Click the [image] in the right side of the cell to browse the computer and select the waveform file.

Sample Rate

Range: 1 MHz to 8 GHz

Default: 5 MHz

Coupling: This cell is read-only when the Waveform Type is set to Predefined or Signal Studio.

It indicates the sample rate used by the waveform when Waveform Type is set to Predefined or Signal Studio. Sample rate is extracted from the header file of the waveform. You need to specify the sample rate manually when the Waveform Type is set to User-defined.

Waveform Length

Waveform Length is read-only and it indicates the sample number in the waveform.

Bandwidth

Range: 1 to 200 MHz

Default: 5 MHz

Specify the bandwidth of the waveform.

2. Processing

Resampling Ratio

Range: 0.1 to 20

Default: 1

Coupling: The resultant sampling rate will not be greater than 200 MHz if the configuration is set to RF Signal Generator (MXG-B). The resampling ratio is displayed as a fraction after rational approximation. You should set a proper resampling ratio to make the resampled waveform cyclic, that is, the waveform length should be able to be divided by the decimator. The software doesn’t do extra coupling to make sure the waveform is cyclic, instead, it reports an error after you click Run when the waveform length cannot be divided by the decimator.

Specifies the resampling ratio (RSR) that up-samples the waveform. This is not the RSR used by the imported waveform. Rather, it is the RSR that the software uses to resample the waveform. It is expected that the signal employed to extract a DPD model should have a resampling rate no less than 3. If the selected waveform's up-sampling ratio is less, it can be up-sampled here with a resampling ratio greater than 3. If the user-defined or chosen waveform file already has a high over-sampling ratio beyond the capability of the selected signal generator, then the created waveform must be be resampled with a ratio less than 1.

Resampled Waveform Length

Range: 1 to Int32.Max

Default: 10000

Coupling: It equals the product of Waveform Length and Resampling Ratio.

It indicates the sample number of the waveform after resampling.

Filter

Set the parameters to design a Parks-McClellan low pass filter in the menu below. The Parks-McClellan design method uses the Remez exchange algorithm to design linear phase FIR filters such that a filter has minimum weighted Chebyshev error in approximating a desired ideal frequency response. For more details, refer to Chapter 7.4.3 in "The Parks-McClellan Algorithm in Discrete-Time Signal Processing, 2nd ed".

The filter can be depicted as below, in which

fp is the pass frequency,

fs is the stop frequency,

δp is the pass ripple,

δs is the stop ripple.

Sate

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the application of the filter.

Maximum Order

Range: 1 to 2048

Default: 300

Set the maximum filter length. The filter’s length is clipped to the Maximum Order if the minimum filter length required to satisfy its specification exceeds the Maximum Order.

Pass Frequency

Range: 1 Hz to (Stop Frequency - 0.0015*Sample Rate*Resampling Ratio in Waveform block/2)

Default: 1.25 MHz

Set the pass frequency of the filter.

Stop Frequency

Range: 2 Hz to (0.5*Sample Rate*Resampling Ratio)

Default: 1.5625 MHz

Set the stop frequency of the filter.

Pass Ripple

Range: 0.0001 to 5.0

Default: 0.01

Set the maximum ripple in the pass band.

Stop Ripple

Range: 6.0 to 200.0

Default: 50.0

Set the maximum ripple in the stop band.

Correction Filter

Choice: On | Off

Default: Off

This value indicates whether the correction filter will be applied when you run the test flow.

See also Calibrate Button and Correction Filter File.

Correction Filter File

Default: C:\Work\ChannelResponse.csv

Specifies the correction filter file name. When you click the Closed Calibrate button the correction filter coefficients are saved to this file. When Correction Filter is on, the filter coefficients will be read from the file and used in the test flow.

See also Calibrate Button.

3. Burst Formation and Mask

Burst Shape & Mask

Choice: On | Off

Default: Off

Coupling: Its state is mutually exclusive with the state of Envelope Tracking. They can’t be set to On at the same time.

Enable or disable the construction of burst by adding intervals to the waveform and generating of a PA enabling mask signal. When it is set to on, intervals will be added prior to and after the waveform to achieve a certain duty cycle. In the meantime, a mask signal is generated according to the specified time intervals.

Duty Cycle (%)

Range: 1% to 100%

Coupling: Available when Burst Shape & Mask is set to On. Its value is equal to T2/(T1+T2+T3+T4)*100%.

It indicates the Duty Cycle of the burst.

T1 (Lead Interval)

Range: 0 to 100 μs

Default: 1 μs

Coupling: Available when Burst Shape & Mask is set to On. It should be less than T4.

Specifies the time interval ahead of waveform.

T2 (Waveform Interval)

Range: 1 μs to 10 s

Default: 2 ms

Coupling: Available when Burst Shape & Mask is set to On. It equals to the quotient of the Waveform Length and the Sample Rate.

It indicates the time length of the waveform.

T3 (Lag Interval)

Range: 0 to 10 μs

Default: 1 μs

Coupling: Available when Burst Shape & Mask is set to On.

Specify the time interval after waveform.

T4 (Idle Interval)

Range: 0 to 60 s

Default: 1 ms

Coupling: Available when Burst Shape & Mask is set to On.

Specifies the length of the idle interval added to the waveform.

4. Marker

Marker 1 Source

Configure the marker points for Marker 1 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 1 signal from the rear-panel EVENT 1 output. For more information, see the signal generator's User Guide.

Marker 2 Source

Configure the marker points for Marker 2 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 2 signal from the rear-panel EVENT 2 output. For more information, see the signal generator's User Guide.

Marker 3 Source

This parameter is read-only and it indicates Marker 3 is used to control ALC hold.

The signal generator outputs the Marker 3 signal from the rear-panel EVENT 3 output. For more information, see the signal generator's User Guide.

Marker 4 Source

This parameter is read-only and it indicates Marker 4 is used to control Pulse/RF Blank.

The signal generator outputs the Marker 4 signal from the rear-panel EVENT 4 output. For more information, see the signal generator's User Guide.


Crest Factor Reduction (CFR)

Crest Factor Reduction block enables the reduction of PAPR of the input waveform.You can choose to turn on crest factor reduction or turn it through by clicking the Closed toggle button on the block.

With proper configuration, the PAPR of waveform can be suppressed to a specified level with certain damage.

Three general algorithms (“The Peak Windowing is a sequential asymmetric superposition windowing CFR algorithm with “Beta” as the Kaiser window adjustment parameter. Peak Windowing”, “The Clipping and filtering is to clip the amplitude of signal and then suppress the out-of-band regrowth on the spectrum by a low pass filter. Clipping and Filtering” and “The Peak Cancellation is to subtract a signal from the original signal to cancel its peaks. Peak Cancellation”,) are supported, which can be applied to IQ waveform of any wireless communicate formats (for example, LTE, WLAN, and so on).

See the following topics for more information about the user interface:

  • Crest Factor Reduction Setting Table

  • CCDF Graph View

Crest Factor Reduction Setting Table

The settings of Crest Factor Reduction block will be different according to the setting of CFR algorithm as shown in the following figure (Left: CFR Algorithm is set to Peak Windowing; Middle: CFR Algorithm is set to Clipping and Filtering; Right: CFR Algorithm is set to Peak Cancellation).

1. Basic

CFR Algorithm

Target PAPR

Max Iteration

Max Window Length

Beta

1. Basic

CFR Algorithm

Target PAPR

Max Iteration

Filter

    State

    Maximum Order

    Pass Frequency

    Stop Frequency

    Pass Ripple

    Stop Ripple

1. Basic

CFR Algorithm

Target PAPR

Max Iteration

Cancellation Percent

Block Size

Filter Mask

1. Basic

CFR Algorithm

Choice: Peak Windowing | Clipping and Filtering | Peak Cancellation

Default: Peak Windowing

Double-click or use the drop-down menu to select the algorithm to perform CFR.

  • Peak Windowing: Sequential asymmetric superposition windowing CFR.
  • Clipping and Filtering: Time domain clipping on the IQ samples.
  • Peak Cancellation: Subtracting the signal peaks.

Target PAPR

Range: 3 to 100

Default: 8

Set the PAPR value to achieve after CFR.

Max Iteration

Range: 1 to 20

Default: 10

Specify the maximum times of iteration.With the increasing of iteration, the PAPR value should converge to a steady level.

Max Window Length

Range: 10 to 1000

Default: 20

Coupling: Available when the CFR Algorithm is set to Peak Windowing.

Specify the maximum Kaiser window length. Instead of cutting off the peak directly, a window is applied over it with smooth transition edge. This parameter is to specify the maximum window length.

Cancelling Percent

Range: 0 to 100%

Default: 100%

Coupling: Available when the CFR Algorithm is set to Peak Cancellation.

Specify the percentage that the cancellation pulses can be removed.

Beta

Range: 2 to 20

Default: 12

Coupling: Available when the CFR Algorithm is set to Peak Windowing.

Specify the Kaiser window parameter. It determines the rolling off of the window’s edge. With the decrease of Beta, the edge becomes steeper and sharper.

Block Size

Range: 20 to Waveform Length

Default: 1000

Coupling: Available when the CFR Algorithm is set to Peak Cancellation.

Block is the range that a single cancellation pulse can be identified. If the waveform length is L, and the block size is B, then the number of blocks is N=floor(L/B)+1. Therefore, there will be N pulses at most to be removed.

Filter

Set the parameters to design a Parks-McClellan low pass filter in the menu below. The Parks-McClellan design method uses the Remez exchange algorithm to design linear phase FIR filters such that a filter has minimum weighted Chebyshev error in approximating a desired ideal frequency response. For more details, refer to Chapter 7.4.3 in "The Parks-McClellan Algorithm in Discrete-Time Signal Processing, 2nd ed".

The filter can be depict as below, in which

fp is the pass frequency,

fs is the stop frequency,

δp is the pass ripple,

δs is the stop ripple.

Sate

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the application of the filter.

Maximum Order

Range: 1 to 2048

Default: 300

Set the maximum filter length. The filter’s length is clipped to the Maximum Order when the minimum filter length required to satisfy its specification exceeds the Maximum Order.

Pass Frequency

Range: 1 Hz to (Stop Frequency - 0.0015*Sample Rate*Resampling Ratio in Waveform block/2)

Default: 1.25 MHz

Set the pass frequency of the filter.

Stop Frequency

Range: 1 Hz to (0.5*Sample Rate value*Resampling Ratio in Waveform block)

Default: 1.5625 MHz

Set the stop frequency of the filter.

Pass Ripple

Range: 0.0001 to 5.0

Default: 0.01

Set the maximum ripple amplitude in the pass band.

Stop Ripple

Range: 6.0 to 200.0

Default: 50

Set the maximum ripple amplitude in the stop band.

Filter Mask

A table is used to design a filter response in frequency domain. It’s only available when the CFR Algorithm is Peak Cancellation.

In the table, the frequency points are entered with an order of increasing frequency in unit of MHz, and its corresponding amplitude is in unit of dB.

When generating this filter mask, the frequency points between the specified points are linearly interpolated as shown in the Graph.

CCDF Graph View

The CCDF graph view is located at the bottom of the Crest Factor Reduction setting window. It displays the probability (in percentage) that the waveform's (before CFR and after CFR) calculated peak-to-average power ratio (measured in dB) is greater than or equal to a specified level. The table above the CCDF plot displays the calculated peak-to-average values for the current waveform. For additional information, see Understanding CCDF Curves.

Click the Run the test flow button [image] from the tool bar to run the test flow. If the Crest Factor Reduction block is set to On, the CCDF curves before CFR and after CFR will be plotted. If the Crest Factor Reduction block is set to Off, only the CCDF curve before CFR will be plotted.

For the table above the CCDF plot, you can click on the down arrow [image] button to choose between the Before CFR result and After CFR result. In the After CFR result, the ΔEVM value shows the deterioration to the signal after CFR.

Three traces are displayed in the CCDF graph.

  • Gaussian distribution in green

  • CCDF before CFR in yellow

  • CCDF after CFR in red


Envelope Tracking

This block is to generate the Envelope Tracking waveform. You can choose to turn on envelope tracking or turn it through by clicking the Closed toggle button on the block.

  • The ET waveform can be generated from the input IQ waveform, which can be either non-predistorted waveform before the DPD block or predistorted waveform after the DPD block.

    1. The IQ data is oversampled again and then the envelope |X| is calculated.

    2. RF Voltage -> ET Voltage transformation is applied based on the input shaping table.

  • A user-defined ET waveform can also be used. In this case, most of the settings in ET and ETPS blocks are not applicable anymore.

Export Envelope Button

Click this button to save the envelope data to a binary file.

The format of the exported envelope data is compliant with the format of the Envelope Signal Generator. See the "Truefrom Series Waveform Generators - Operating and Service Guide" for more details.

Envelope Tracking Setting Table

1. Basic | 2. Timing Alignment | 3. Shaping Tables
Envelope Source Envelope File Type Envelope File Name Trigger Master OSR for Envelope Conversion Input Type Override Absolute RF Amplitude | Delay Manual-Align Step Pre-Align with AM-AM for Auto-Align | Add Remove Open Save

1. Basic

Envelope Source

Choice: From Non-predistorted Signal | From Predistorted Signal | User Defined

Default: From Non-predistorted Signal

Coupling:

  • The Predistorted Signal option is not available if the Digital Predistortion block is turned through.

  • If the Envelope Source is set to User Defined, the software does NOT support any ET waveform shaping and generation any more. So in this case, the Shaping Tables is not available and the ETPS settings in ETPS block are grayed out. You need to ensure the Voltage and Voltage Offset settings in the Envelope Signal Generator block are correct.

  • The selection of this parameter determines the input signal of the Envelope Tracking block, thus changes the display of the block view.

Double-click or use the drop-down menu to specify the source of the envelope signal.

Envelope File Type

Choice: Big Endian | MATLAB

Default: Big Endian

Coupling: Available only when the Envelope Source is set to User Defined.

Set the type of the envelope file.

Envelope File Name

Coupling: Available only if the Envelope Source is set to User Defined.

Click the [image] in the right side of the cell to browse the computer and select the envelope signal file to use.

The supported format of the envelope file is compliant with the waveform format of the Envelope Signal Generator, which is the same as the format of the exported envelope file by pressing the Export Envelope button.

Trigger Master

Choice: Envelope Signal Generator | RF Signal Generator

Default: Envelope Signal Generator

Coupling:

  • If Trigger Master is set to Envelope Signal Generator, the Trigger Source in the RF Signal Generator block will be set to External, the External Delay in the RF Signal Generator block will be set to On, and the Trigger Source in the Envelope Signal Generator block will be set to Bus.

  • If Trigger Master is set to RF Signal Generator, the Trigger Source in the RF Signal Generator block will be set to Bus, the External Delay in the RF Signal Generator block will be set to Off, and the Trigger Source in the Envelope Signal Generator block will be set to External.

Specify the relationship between the RF Signal Generator and Envelope Signal Generator.

OSR for Envelope

Range: 1 to 32

Default: 3

Set the oversampling ratio for the envelope signal. The overall oversampling ratio should be the product of three OSR, including the OSR of the imported waveform, the Resampling Ratio setting in Waveform block, and the OSR for Envelope setting here.

The final sample rate should not exceed the limit of the Envelope Signal Generator in use.

Conversion Input Type

Choice: Normalized IQ Magnitude | Absolute RF Output Voltage | Override Absolute RF

Default: Normalized IQ Magnitude

Specify the data type for the input of the shaping table. If the Override Absolute RF is selected, the Override Absolute RF Amplitude value is used for shaping table input calculate, instead of the real RF power setting of the RF Signal Generator.

Override Absolute RF Amplitude

Range: -144 to 30 dBm

Default: -10 dBm

Coupling: This parameter is visible only when Conversion Input Type is set to Override Absolute RF.

Set the absolute RMS power for use as the shaping table input.

2. Timing Alignment

Delay

Range: -20 s to 20 s

Default: 0

Set the delay of the envelope signal to the PA input signal. This value can be set by entering a value directly, or by pressing the [image] / [image] buttons.

Manual-Align Step

Range: 1 ns to 100 ns

Default: 1 ns

Set the step of manual-alignment when you change the Delay setting using the [image] / [image] button. This value can be set by entering a value directly or by pressing the [image] / [image] button.

Pre-Align with AM-AM for Auto-Align

Select this check box to turn on Pre-Align for Auto-Align. This parameter is only used in Auto-Align process.

If the check box is selected, Auto-Align starts with a Pre-Align process, in which δEVM is measured using a pre-defined delay value. If the δEVM is smaller than 8%, Auto-Align will continue using ACP results. Otherwise, δEVM measurement will be repeated using another four delay values, centered by the pre-defined delay value. In this process, if the δEVM is smaller than 8%, Auto-Align will continue using ACP results. Otherwise, Auto-Align will quit with warning. Using Pre-Align helps finding a better initial delay value for Auto-Align, but it may take longer time.

If the check box is unselected, Auto-Align is performed using ACP results.

3. Shaping Tables

This section is used to configure the shaping tables. As shown in the following figure, there are four buttons on the top, Add, Remove, Open, and Save.

On the left is a list of the shaping tables, and on the right is the details for the selected shaping table including the content and graph.

For the shaping table, the first column "RF Voltage" stands for the amplitude of the envelope signal with the Conversion Input Type. The second column "ET Voltage" stands for the power supply of the PA (Vcc). For more details about voltage mapping, refer to Voltage Mapping in Envelope Tracking Measurement.

Add

Click [image] button to add a new shaping table. The new table is added to the end of the list.

Remove

To remove a shaping table, select the table name in the list, then click [image] button.

Open

Click [image] button to import a shaping table.

Save

Click [image] button to save the table as .csv file.


Digital Predistortion

This block controls the DPD processing for the IQ waveform. You can turn on digital predistortion or set it Thr (through) by clicking the Closed toggle button on the block.

The Digital Predistortion block supports two DPD modes. Each mode has a unique set of parameters.

  • Extract and Apply: First, the PA model is extracted using the algorithm and parameters set in this block and PA output signal from the Signal Analyzer. Then the waveform is pre-distorted based on the extracted model to compensate for the non-linearity introduced by the PA.

  • Apply Only: The waveform is directly pre-distorted with the user input LUT of PA input versus PA output in terms of amplitude and phase or the Memory Polynomial or Volterra Series Coefficient File.

Extract and Apply Mode

Export DPD Model Button

Click this button to export the DPD model into a .csv file.This button is only visible when the DPD Mode is set to Extract and Apply.

  • If the PA Model Type is Look-up Table, the exported .csv file has three rows, which are AM In (V), AM Out (V), and PM Out (deg) respectively. The exported coefficients of the DPD model can be applied to the IQ data when DPD Mode is set to Apply IQ LUT.

  • If the PA Model Type is Memory Polynomial or Volterra Series, the exported .csv file has one row which is the coefficient of the polynomial that is used for DPD modeling.The exported data can not be applied to the IQ data through N7614B Signal Studio for Power Amplifier Test.

Export Pre-distorted Waveform Button

Click this button to export the pre-distorted waveform to a file. The waveform is encrypted and can be played on a signal generator with the related licenses. Note that no file will be exported if the current Mode is Real-time or the Digital Predistortion block is set to off.

Digital Predistortion Setting Table

1. General | 2. Model Settings | 3. Details
 |  | MATLAB Script
DPD Mode Frequency Offset Compensation | Number of Iteration PA Model Type Model Identification Algorithm Memory Order Nonlinear Order Odd Orders Only Cross Term Order LUT Type LUT Size AM/AM Polynomial Order AM/PM Polynomial Order | 1. Function Command 2. Input Variables Normalized DPD Input Normalized PA Input Captured Signal Generator Power Loss In Loss Out 3. Output Variables DPD Output

1. General

DPD Mode

Choice: Extract and Apply | Apply Only

Default: Extract and Apply

Double-click or use the drop-down menu to set the DPD mode.

Frequency Offset Compensation

Choice: On | Off

Default: Off

Coupling: Disables Burst Shape and Mask in Waveform block

This parameter activates carrier frequency offset compensation. It should be used when one of the 10 MHz reference is not connected.

When you use an AXIe AWG configuration without PSG, the DUT accepts the I/Q signal from M8190A. The I/Q modulation, up-conversion and PA are integrated together. If there is no 10 MHz external reference on the DUT, the RF signal may have a carrier frequency offset when the signal analyzer captures the I/Q data. So frequency offset compensation should be used.

Before playing a waveform, extract DPD model or apply DPD, a training signal will be sent first, and the signal will be captured. The frequency offset will be estimated based on the captured signal.

2. Model Extraction

Number of Iteration

Range: 1 to 1000

Default: 1

Enter the iteration number for the DPD process.

PA Model Type

Choice: Memory Polynomial | Volterra Series | Look-up Table | User-defined MATLAB Script

Default: Look-up Table

Double-click or use the drop-down menu to select the PA model extraction algorithm to be used. Memory Polynomial is a simplified version of Volterra Series. Look-up Table is suitable for memoryless PA component.

When PA Model Type is set to User-defined MATLAB Script (supported only under ARB and Extract and Apply modes), the N7614B software interacts with MATLAB to execute the DPD algorithm defined in the MATLAB script. The N7614B software also controls the instruments to run the whole test flow.

If User-defined MATLAB Script is selected, Signal Studio and Preloaded become invalid selections for Waveform Type.

For more detailed information, refer to DPD Concept.

Model Identification Algorithm

Choice: LSE using QR | LSE using SVD

Default: LSE using QR

Coupling: Available only when the DPD Mode is set to Extract and Apply and the PA Model Type is set to Memory Polynomial or Volterra Series.

Double-click or use the drop-down menu to specify the model identification algorithm.

Memory Order

Range: 0 to 20

Default: 1

Coupling: Available only when the DPD Mode is set to Extract and Apply and the PA Model Type is set to Memory Polynomial or Volterra Series.

Set the memory depth of the DPD model.

Nonlinear Order

Range: 1 to 20

Default: 5

Coupling: Available only when the DPD Mode is set to Extract and Apply and the PA Model Type is set to Memory Polynomial or Volterra Series.

Set the nonlinear order of the DPD model.

Cross Term Order

Range: 0 to 10

Default: 0

Coupling: Available only when the DPD Mode is set to Extract and Apply and the PA Model Type is set to Volterra Series.

Set the order of the cross terms in the Volterra Series algorithm.

Odd Orders Only

Choice: On | Off

Default: Off

Coupling: Available only when the DPD Mode is set to Extract and Apply and the PA Model Type is set to Memory Polynomial or Volterra Series.

Double-click or use the drop-down menu to specify whether to use only the odd orders of the nonlinear terms or not.

LUT Type

Choice: Normalized | Absolute

Default: Normalized

Coupling: Available only when the PA Model Type is set to Look-up Table.

Set the type of values in the AM/AM, AM/PM in the look-up table.

LUT Size

Range: 1 to 3000

Default: 128

Coupling: Available only when the DPD Mode is set to Extract and Apply and the PA Model Type is set to Look-up Table.

Set the size of the look-up table. The amplitude range of the PA input signal is divided into equal parts with the number of LUT Size. And each segment is an entry for look-up table.

AM/AM Polynomial Order

Range: 1 to 12

Default: 5

Coupling: Available only when the DPD Mode is set to Extract and Apply and the PA Model Type is set to Look-up Table.

Enter the order for the polynomial approximation of the AM/AM curve.

AM/PM Polynomial Order

Range: 1 to 12

Default: 5

Coupling: Available only when the DPD Mode is set to Extract and Apply and the PA Model Type is set to Look-up Table.

Enter the order for the polynomial approximation of the AM/PM curve.

3. Details (MATLAB Script)

1. Function

Command

Set the MATLAB script command line. The software will invoke this function via MATLAB API. Assume the script file is under MATLAB working path. The function name (e.g. dpd) should be the same with the MATLAB function name, the input variable name (e.g. dpdIn, dutIn, capture) and output variable name (eg. dpdOut) should match the software settings under Digital Predistortion block.

2. Input Variables

Normalized DPD Input

Default: dpdIn

Set the variable name for normalized DPD input waveform. The waveform is the baseband I/Q waveform without DPD. The waveform is normalized to 1 with its peak magnitude. User’s MATLAB script will apply the extracted DPD model on the DPD input waveform and get the predistorted baseband waveform. For the first iteration, the Normalized DPD input waveform should be the same as the Normalized PA Input.

Normalized PA Input

Default: dutIn

Set the variable name for normalized PA Input waveform. User will use Normalized PA Input waveform and Captured waveform to extract the PA model. If user need absolute PA input waveform, user should calculate the waveform based on Normalized PA Input, Signal Generator Power, and Loss In.

Captured

Default: captured

Set the variable name for captured waveform. User will use Normalized PA Input waveform and Captured waveform to extract the PA model. If user need absolute PA output waveform, user should calculate the waveform based on Captured and Loss Out.

Signal Generator Power

Default: sgPower

Set the variable name for Signal Generator power. The variable value will be the Amplitude value under RF Signal Generator block and it will be written into MATLAB workspace.

Loss In

Default: lossIn

Set the variable name for loss in. The variable value Loss In value under PA block and it will be written into MATLAB workspace.

Loss Out

Default: lossOut

Set the variable name for loss out. The variable value Loss Out value under PA block and it will be written into MATLAB workspace.

3. Output Variables

DPD Output

Default: dpdOut

Set the variable name for predistorted waveform.

Apply Only Mode

Export Pre-distorted Waveform Button

Click this button to export the pre-distorted waveform to a file. The waveform is encrypted and can be played on a signal generator with the related licenses. Note that no file will be exported if the current Mode is Real-time or the Digital Predistortion block is set to off.

1. General | 2. Model Settings | 3. Details
DPD Mode Frequency Offset Compensation Show Results (w/o DPD) | PA Model Type LUT Type LUT Apply Mode Coefficient File | Add Remove Open Save Apply

1. General

DPD Mode

Choice: Extract and Apply | Apply Only

Default: Extract and Apply

Double-click or use the drop-down menu to set the DPD mode.

Frequency Offset Compensation

Choice: On | Off

Default: Off

Coupling: Disables Burst Shape and Mask in Waveform block

This parameter activates carrier frequency offset compensation. It should be used when one of the 10 MHz reference is not connected.

When you use an AXIe AWG configuration without PSG, the DUT accepts the I/Q signal from M8190A. The I/Q modulation, up-conversion and PA are integrated together. If there is no 10 MHz external reference on the DUT, the RF signal may have a carrier frequency offset when the signal analyzer captures the I/Q data. So frequency offset compensation should be used.

Before playing a waveform, extract DPD model or apply DPD, a training signal will be sent first, and the signal will be captured. The frequency offset will be estimated based on the captured signal.

Show Results (w/o DPD)

Choice: On | Off

Default: On

Coupling: Available only when DPD Mode is set to Apply IQ LUT and Measurement Enabled in the Measurement view settings is set to On.

Double-click or use the drop-down menu to choose whether to make AM-AM, AM-PM,and ACP measurements without applying DPD, for comparison.

If this parameter is set to On, in the measurement view, AM-AM, AM-PM, ACP windows will display two measurement traces, with DPD and without DPD.

If this parameter is set to Off, in the measurement view, AM-AM, AM-PM, ACP windows will display only one measurement trace, with DPD.

2. Model Settings

PA Model Type

Choice: Memory Polynomial | Volterra Series | Look-up Table

Default: Look-up Table

Double-click or use the drop-down menu to select the PA model extraction algorithm to be used. Memory Polynomial is a simplified version of Volterra Series. Look-up Table is suitable for memoryless PA component.

For more detailed information, refer to DPD Concept.

LUT Type

Choice: Normalized | Absolute

Default: Normalized

Coupling: Available only when the PA Model Type is set to Look-up Table.

Set the type of values in the AM/AM, AM/PM in the look-up table.

LUT Apply Mode

Choice: AM/AM, then AM/PM | AM/PM, then AM/AM | AM/AM Only | AM/PM Only

Default: AM/AM, then AM/PM

Coupling: Available only when the PA Model Type is set to Memory Polynomial or Volterra Series.

Set the method to apply the LUT table. Refer to Digital Pre-distortion Concept for more details.

Coefficient File

Coupling: Available only when the PA Model Type is set to Memory Polynomial or Volterra Series.

Choose the coefficient file for memory polynomial or Volterra series DPD models.

3. Details

This area is used to configure the IQ LUT. There are five buttons on the top: Add, Remove, Open, Save, and Apply. In the middle, there is a list of LUTs, and at the bottom shows the details of the selected LUT.

Add

Click this button to add a new LUT. The new table is added to the end of the list.

Remove

To remove a LUT, select the table name in the list, then click this button.

Open

Click this button to import a LUT.

Save

Click this button to save the table as .csv file.

Apply

Click this button to apply the selected table.


Envelope Signal Generator

This block is to configure the Envelope Signal Generator instrument.

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Configuration

Three types of instruments are supported in N7614B Signal Studio for Power Amplifier Test as Envelope Signal Generator.

  • Arbitrary Waveform Generator. For detailed settings, refer to Arbitrary Waveform Generator settings.

  • MXG/EXG. For detailed settings, refer to MXG/EXG settings.

  • M320xA PXIe AWG. For detailed settings, refer to M320xA PXIe AWG settings.


Arbitrary Waveform Generator

1. Configuration | 2. Basic | 3. Output
Address Instrument | Sample Rate Filter Trigger Source Trigger Delay Trigger Slope Trigger Level | State Load Dual Channel Operation Voltage Voltage Offset Peak Voltage Voltage Limits Voltage High Limit Voltage Low Limit

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, and so on) configured in Keysight IO Connection Expert.

Instrument

Default: 33522B

This parameter displays the model number and serial number of the instrument if the status of Closed Instrument Connection button is Connected.

2. Basic

Sample Rate

Range: 1 Hz to Maximum sample rate supported by the instrument, which is 1 GHz for 33622A, 250 MHz for 33522B

Default:

PA Test: 15 MSa/s

Dual-band PA Test: 60 MSa/s

Set the sample rate of the Envelope Signal Generator. By default, this value is set to three times of the product of the Sample Rate value and Resampling Ratio value in Waveform block and the OSR for Envelope value in Envelope Tracking block.You can set it to a larger value if you like.

Filter

Choice: Normal | Step |Off

Default: Normal

Specifies the filter setting for an arbitrary waveform.

  • Normal filters the data points with the filter that provides the flattest frequency response. This effectively smoothes the signal, but sharp transitions will have pre-shoot and overshoot.

  • Step filters the data points in a way that effectively smooths the signal while minimizing the pre-shoot and overshoot. However, this setting has a narrower bandwidth than the NORMal setting.

  • Off steps from point to point at the sample rate. Moves between data points are accomplished as quickly as possible with no smoothing. If the <Filter> is set to OFF, the instrument uses a filter whose bandwidth limit restricts the maximum sample rate for the arbitrary waveform to 62.5 MSa/s.

Trigger Source

Choice: External | Bus

Default:

PA Test: Bus

Dual-band PA Test: External

Coupling: Trigger Source will be coupled to External if the Trigger Master setting in the Envelope Tracking block is set to RF Signal Generator, and will be coupled to Bus if the Trigger Master setting in the Envelope Tracking block is set to Envelope Signal Generator.

Set the type of trigger source of the Envelope Signal Generator.

Trigger Delay

Range: 1 ns to 1ks

Default: 0 s

Coupling: If Envelope Tracking block is set to On and the Trigger Master in Envelope Tracking block is set to RF Signal Generator, this setting and the I/Q Delay setting in RF Signal Generator block will be determined by the Delay value in the Envelope Tracking block.

Set the trigger delay of the Envelope Signal Generator.

Trigger Slope

Choice: Rising | Falling

Default: Rising

Set the polarity of the Envelope Signal Generator's external trigger. If the Trigger Source is set to Bus, this setting is read-only.

Trigger Level

Range: 900 mV to 3.8 V

Default: 3.3 V

Coupling: Available only when the envelope signal generator is 33622A.

Set the trigger level of the Envelope Signal Generator's external trigger. If the Trigger Source is set to Bus, this setting is read-only.

3. Output

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn on or turn off the output of the Envelope Signal Generator.

Load

Choice: 50 Ω | 100 Ω | High-Z

Default: 50 Ω

Double-click or use the drop-down menu to set the output load.

Dual Channel Operation

This parameter displays the current Dual Channel Operation Status. For N7614B Signal Studio for Power Amplifier Test, the value is Inverted.

Voltage

Range: 0 to 7.5658 V for 33522B, 10 V for 33622B

Default: 0 V

Coupling: This value is coupled with the calculated peak to peak value of VREF.

Set the output voltage.

Voltage Offset

Range: -4.99950 V to 4.99950 V

Default: 0 V

Coupling: This value is coupled with the Vcm value in ETPS block.

Set the output voltage offset.

Peak Voltage

Range: 0.1 to 1.1 v

Default: 0.4

Coupling:

  • If the Envelope Source setting in the Envelope Tracking block is set to From Predistorted Signal or From Non-predistorted Signal, this value will be calculated and filled automatically when you run the measurement.

  • If the Envelope Source setting in the Envelope Tracking block is set to User Defined, you need to provide the value for this setting.

Set the peak voltage of the envelope signal generator. Refer to Voltage Mapping in Envelope Tracking Measurement for more details about peak voltage.

Voltage Limits

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn on or turn off the voltage limits.

Voltage High Limit

Range: -4.999 V to 5 V

Default: 5 V

Set the output voltage high limit.

Voltage Low Limit

Range: -5 V to 4.999V

Default: -5 V

Set the output voltage low limit.


MXG/EXG

1. Configuration | 2. Basic | 3. Output
Address Instrument | Sample Rate Trigger Source Trigger Delay Delay | State Voltage Offset Peak Voltage

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, and so on) configured in Keysight IO Connection Expert.

Instrument

This parameter displays the model number and serial number of the instrument if the status of Closed Instrument Connection button is Connected.

2. Basic

Sample Rate

Range: 1 Hz to Maximum sample rate supported by the instrument

Default:

PA Test: 15 MSa/s

Dual-band PA Test: 60 MSa/s

Set the sample rate of the Envelope Signal Generator. By default, this value is set to three times of the product of the Sample Rate value and Resampling Ratio value in Waveform block and the OSR for Envelope value in Envelope Tracking block.You can set it to a larger value if you like.

Trigger Source

Choice: External | Bus

Default:

PA Test: Bus

Dual-band PA Test: External

Set the type of trigger source of the Envelope Signal Generator.

Trigger Delay

Range: 1 ns to 1ks

Default: 0 s

Coupling: If Envelope Tracking block is set to On and the Trigger Master in Envelope Tracking block is set to RF Signal Generator, this setting and the I/Q Delay setting in RF Signal Generator block will be determined by the Delay value in the Envelope Tracking block.

Set the trigger delay of the Envelope Signal Generator. This parameter is available for Dual-band PA Test only.

Delay

Range: -250 ns to 250 ns

Default: 0

Set the IQ delay of the Envelope Signal Generator.

3. Output

State

Choice: On | Off

Default: On

Set the IQ state of the MXG/EXG as Envelope Signal Generator.

Voltage Offset

Range: -5.0 v to 5.0 v

Default: 0

Set the voltage offset of the Envelope Signal Generator.

Peak Voltage

Range: 0.1 to 1.1 v

Default: 0.4

Coupling:

If the Envelope Source setting in the Envelope Tracking block is set to From Predistorted Signal or From Non-predistorted Signal, this value will be calculated and filled automatically when you run the measurement.

If the Envelope Source setting in the Envelope Tracking block is set to User Defined, you need to provide the value for this setting.

Set the peak voltage of the envelope signal generator. Refer to Voltage Mapping in Envelope Tracking Measurement for more details about peak voltage.


M320xA PXIe AWG

1. Configuration | 2. Basic | 3. Output
Address Slot Number Instrument | Sample Rate Trigger Source Trigger Delay Trigger Slope | State Dual Channel Operation Voltage Voltage Offset

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, and so on) configured in Keysight IO Connection Expert.

Slot Number

Displays the slot number of the chassis in which the instrument is inserted.

Instrument

Default: M3202

This parameter displays the model number and serial number of the instrument if the status of Closed Instrument Connection button is Connected.

2. Basic

Sample Rate

Range: 1 Hz to Maximum sample rate supported by the instrument

Default: 15 MSa/s

Set the sample rate of the Envelope Signal Generator. By default, this value is set to three times of the product of the Sample Rate value and Resampling Ratio value in Waveform block and the OSR for Envelope value in Envelope Tracking block.You can set it to a larger value if you like.

Trigger Source

Choice: External | Bus

Default:

PA Test: Bus

Dual-band PA Test: External

Coupling: Trigger Source will be coupled to External if the Trigger Master setting in the Envelope Tracking block is set to RF Signal Generator, and will be coupled to Bus if the Trigger Master setting in the Envelope Tracking block is set to Envelope Signal Generator.

Set the type of trigger source of the Envelope Signal Generator.

Trigger Delay

Range: 1 ns to 1ks

Default: 0 s

Coupling: If Envelope Tracking block is set to On and the Trigger Master in Envelope Tracking block is set to RF Signal Generator, this setting and the I/Q Delay setting in RF Signal Generator block will be determined by the Delay value in the Envelope Tracking block.

Set the trigger delay of the Envelope Signal Generator.

Trigger Slope

Choice: Rising | Falling

Default: Rising

Set the polarity of the Envelope Signal Generator's external trigger. If the Trigger Source is set to Bus, this setting is read-only.

3. Output

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to turn on or turn off the output of the Envelope Signal Generator.

Dual Channel Operation

This parameter displays the current Dual Channel Operation Status. For N7614B Signal Studio for Power Amplifier Test, the value is Inverted.

Voltage

Range: 0 to 10 V

Default: 0 V

Coupling: This value is coupled with the calculated peak to peak value of VREF.

Set the output voltage.

Voltage Offset

Range: -4.99950 V to 4.99950 V

Default: 0 V

Coupling: This value is coupled with the Vcm value in ETPS block.

Set the output voltage offset.


RF Signal Generator

This block configures the RF Signal Generator instrument. The following instrument configurations are supported through the Closed Configuration menu.

RF Signal Generator

M8190A + PSG

M8190A

M8190A DUC

M8190A DUC 12 Bit

M8195A DUC

M9381A PXIe VSG

Refer to System Requirements for details on the instrument requirements.


RF Signal Generator

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Download Button

This button opens a menu where you can choose between a user-defined IQ or MATLAB waveform file.

Settings

1. Configuration | 2. Basic | 3. I/Q | 4. ALC
Address Instrument DC Calibration | Frequency Amplitude RF Output | Int Channel Correction I/Q Adjustments I Offset Q Offset I/Q Gain Balance Quadrature Angle Adjustment I/Q Skew I/Q Delay | ALC Power Search Reference
5. Baseband | 6. Markers | 7. Triggers | 8. Real-time Noise Setup
Runtime Scaling Modulation Attenuation Mode Modulation Attenuation Sample Clock | Pulse/RF Blank ALC Hold | Trigger Type Trigger Source External Source External Polarity External Delay External Delay Time Continuous Single Segment Advance Gated | Real-time AWGN Carrier to Noise Ratio Carrier Bandwidth Noise Bandwidth Noise Band Factor

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: N5182B

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

DC Calibration

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the DC calibration after the waveform download.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Default: 1 GHz

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Default: -10 dBm

Enter a value to set the signal generator’s output amplitude in dBm.

  • If the Power Mode in PA block is set to PA input, the Amplitude value here in RF Signal Generator Block is coupled with the Power and Loss In setting in PA block as follows:

    • If the Power or Loss In value in PA block is changed, the Amplitude value here will be changed to (PA Power + Loss In).

    • If the Amplitude value here is changed, the PA Power value in PA block will be changed to (Amplitude - Loss In).

  • If the PA Mode in PA block is set to PA output, the Amplitude value is coupled with the settings under PA block, which is (PA Power + Loss In -Gain).

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

3. I/Q

Int Channel Correction

Choice: On | Off

Default: Off

Coupling: Only visible when the RF Signal Generator connected is N5182A/B MXG or N5172B EXG.

Double-click or use the drop-down menu to turn the internal channel correction On or Off.

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range: -20% to 20%

Default: 0.0%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range: -20% to 20%

Default: 0.0%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

I/Q Gain Balance

Range:-1 dB to 1 dB in 0.001 dB steps

Default: 0.00 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: -10 to 10 degrees

Default: 0 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Skew

Range: -800 ns to 800 ns

Default: 0.0 ns

Changes the absolute phase of both the I and Q signals with respect to triggers and markers. Positive values add delay and negative values advance the signals. This value affects both the baseband signal modulated onto the RF and the external output signals (I and Q). This setting cannot be used with constant envelope modulation and it does not affect external I and Q inputs.

I/Q Delay

Range: -1.0 to 1.0 seconds, 1 ps step

Default: 0.0 ps

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

Power Search Reference

Choice: Fixed | Modulated | RMS | Manual

Default: RMS

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulated – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Manual – On MXG front panel, not on N7614B software user interface.

Set ALC to Off to enable this parameter.

5. Baseband

Runtime Scaling

Range: 1 to 100% (100% = no scaling)

Default: 70%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital-to-analog converters (DAC) and to reduce the overshoot associated with the DAC interpolation filter. Waveform Runtime Scaling does not change the data in the waveform file.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Set the modulation attenuation mode for the I/Q modulator to automatic or manual.

AUTO – the signal generator optimizes the modulation attenuation for the current conditions.

Manual – applies the value set in the Modulation Attenuation cell.

Modulation Attenuation

Range: 0 to 130 dB (minimum increment 0.01 )

Default: 6.00 dB

Use this parameter to reduce the signal level driving the I/Q modulation block. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

Set the Modulation Attenuation Mode to Manual to enable this parameter.

Sample Clock

Range: for sample clock values, see the signal generator's data sheet

Default: 5 MHz

The sample clock rate of the instrument is automatically calculated by the software, which is the product of the Sample Rate and Resampling Ratio in Waveform block.

6. Markers

Pulse/RF Blank

This parameter is read-only and displays the marker used for RF blanking. Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

RF blanking incorporates ALC hold, so you do not need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms to avoid exceeding the ALC hold limit.

ALC Hold

This parameter is read-only and displays the marker for ALC hold. ALC hold is used when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

The hold selection remains until you reconfigure it, preset the signal generator, or cycle the signal generator power.

Incorrect ALC settings can cause a sudden unleveled condition to occur. An unleveled RF output can damage a DUT or connected instrument. Ensure that you set markers such that the ALC obtains a sample that accounts for the high power levels within the signal.

7. Triggers

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

Single – sets up a waveform to play once after receiving a trigger.

Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must select External as the Trigger Source.

Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See Segment Advance.

For Dual Band DPD test, this is read only by setting to default value.

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Coupling: Trigger Source will be coupled to External if the Trigger Master setting in the Envelope Tracking block is set to Envelope Signal Generator, and will be coupled to Bus if the Trigger Master setting in the Envelope Tracking block is set to RF Signal Generator.

Double-click or use the drop-down menu to select the triggering method.

Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External – causes a waveform to trigger from an externally supplied trigger signal.

Bus – enables a command sent through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector to trigger a waveform.

For Dual Band DPD test, this is read only by setting to default value.

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Double-click or use the drop-down menu to select the rear-panel input for the external trigger signal. External must be selected as the trigger source.

Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

External Polarity

Choice: Positive | Negative

Default: Positive

Coupling: This setting will be coupled to Positive if the Envelope Tracking Block is set to On and the Trigger Master is set to Envelope Signal Generator.

Sets the polarity of the external trigger. This parameter is active only if you select External as the trigger source.

Negative – the signal generator triggers an event when it receives a negative change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

Positive – the signal generator triggers an event when it receives a positive change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

External Delay

Choice: On | Off

Default: Off

Coupling: This setting will be coupled to On if the Trigger Master in the Envelope Tracking block is set to Envelope Signal Generator, and will be coupled to Off is the Trigger Master is set to RF Signal Generator.

Turns the external trigger delay off or on. This parameter is active only after selecting External as the trigger source.

External Delay Time

Range: 5 ns to 41 s

Default:1 ms

Coupling: If Envelope Tracking block is set to On and the Trigger Master in Envelope Tracking block is set to Envelope Signal Generator, this setting and the I/Q Delay setting in this block will be determined by the Delay value in the Envelope Tracking block.

Sets the amount of time to delay the signal generator's response to an external trigger, in 8 ns or 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

Coupling: This setting will be coupled to Trigger & Run if the Envelope Tracking block is set to On and the Trigger Master in the Envelope Tracking block is set to Envelope Signal Generator.

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run – immediately triggers when you turn the format on.

Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

For Dual Band DPD test, this is read only by setting to Trigger & Run.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

Double-click or use the drop-down menu to select the single mode and one of the following trigger responses.

No Retrigger – the waveform segment ignores triggers during playback

Buffered Trigger – causes a waveform to accept a trigger during playback and to restart after the current play finishes.

Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

Single – causes a segment to play once and to wait for a trigger before the sequence advances to the next segment.

Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Gated

Choice: Active High | Active Low

Default: Active High

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

Active Low – causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

Active High – causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

8. Real-time Noise Setup

Real-time AWGN

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

On – enables the addition Real-time Noise.

Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: -100 to 100 dB

Default: 0 dB

Enter the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range: 1 Hz to 200 MHz

Default: 1.0 Hz

Specify the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier). Also, the maximum upper range is limited to Base Sampling Rate x OSR before download is finished.

Noise Bandwidth

Range: 1 Hz to 200.000 MHz

Default: 1.000 Hz

Set or change the noise bandwidth.

This parameter is available only when the RF Signal Generator connected is N5172B EXG, N5182A/B MXG.

Noise Band Factor

Range: 1 to 2

Default: 1

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is available only when the RF Signal Generator connected is E4438C ESG and E8267D PSG.


M8190 + PSG

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Download Button

This button opens a menu where you can choose between a user-defined IQ or MATLAB waveform file.

Correct I/Q Button

This button opens the IQ Correction window.

Settings

This configuration is divided into two segments:

AWG

Modulator & Upconverter (PSG)

AWG

1. Configuration | 2. Basic | 3. Channels Adjustment
Address Instrument | Instrument Couple State Reference Source Reference Frequency OSR for AWG Internal Sample Frequency | IQ Skew I/Q Gain Balance
Channel 1 (I) / Channel 2 (Q)
1. Output State Direct Mode Format Amplitude Offset Differential Offset Reduced Noise Floor Fine Delay Coarse Delay | 2. Aux Sync Marker AMPL Sync Marker Offset Sample Marker AMPL Sample Marker Offset

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: M8190A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Instrument Couple State

Choice: On |Off

Default: On

Set whether the two channels of the function generator are coupled or not.

Reference Source

Choice: External | Axi | Internal

Default: External

Specify the source of the reference clock.

Reference Frequency

Range: 1 MHz to 200 MHz

Default: 10 MHz

Coupling: This parameter is only available when the Reference Source is set to External.

Set the expected reference clock frequency, if the external reference clock source is selected.

OSR for AWG

Range: 1 to 100

Default: 1

Coupling: If the sample rate of the waveform from the Waveform block is less than 125 MHz, the OSR for AWG value will be adjusted automatically to set the Internal Sample Frequency greater than or equal to 125 MHz.

Set the oversampling ratio of the M8190A AWG. The main purpose of setting this value is to increase the sample frequency used in M8190A to push away the image signal.

Internal Sample Frequency

Range: 125 MHz to 8 GHz

Default: 125 MHz

This value is calculated by N7614B Signal Studio for Power Amplifier Test software automatically.

3. Channels Adjustment

I/Q Skew

Range: -10.15 ns to 10.15 ns

Default: 0 s

Set the I/Q skew time between its two channels. After IQ Cal process, this value will be updated automatically.

I/Q Gain Balance

Range: -1 dB to 1 dB

Default: 0 dB

Set the I/Q gain balance value between its two channels. After IQ Cal process, this value will be updated automatically.

Channel 1 (I) /Channel 2 (Q)

1. Output

State

Choice: On | Off

Default: On

Enable or disable the related channel output state.

Direct Mode

Choice: Bits 14 | Bits 12

Default: Bits 14

Select the direct mode. This parameter determines and configures the mode of the function generator, either Hi-Speed with 12 bit resolution or High-Precision with 14 bit resolution.

Format

Choice: RZ | NRZ | DNRZ | Doublet

Default: DNRZ

Set the channel format, which determines the format modes in DAC output path.

Amplitude

Range: 01 to 0.7

Default: 0.675

Set the amplitude of the arbitrary waveform that the function generator produces in the DAC output path. Note that the I/Q Gain Balance value would be calculated into the Amplitude value on Channel 1 and Channel 2.

Offset

Range: -0.02 V to 0.02 V

Default: 0

Set the offset of the arbitrary waveform that the function generator produces in the DAC output path.

Differential Offset

Range: -8192 to 8191

Default: 0

Set the offset to the auto-calibrated optimum DAC value so that the hardware can compensate for little offset differences between the normal and complement output..

Reduced Noise Floor

Choice: On | Off

Default: Off

Enables or disables the noise reduction feature. If the noise reduction is enabled, coarse and fine delay are constant and cannot be adjusted.

Fine Delay

Range: 0 to 30 ps (Internal Sample Frequency ≥ 6.25 GSa/s) or 60 ps (2.5 GSa/s ≤ Internal Sample Frequency < 6.25 GSa/s) or 150ps (Internal Sample Frequency < 2.5 GSa/s)

Default: 0

Set the fine delay of the channel in seconds..

Coarse Delay

Range: 0 to 10 ps (Internal Sample Frequency ≥ 6.25 GSa/s) or 20 ps (2.5 GSa/s ≤ Internal Sample Frequency < 6.25 GSa/s) or 50ps (Internal Sample Frequency < 2.5 GSa/s)

Default: 0

Set the coarse delay of the channel in seconds.

2. Aux

Sync Marker AMPL

Range: 0 to 1.5

Default: 1.2

Set the amplitude of the sync marker.

Sync Marker Offset

Range: -0.5 to 1.75

Default: 0.25

Set the offset of the sync marker.

Sample Marker AMPL

Range: 0 to 1.5

Default: 1.2

Set the amplitude of the sample marker.

Sample Marker Offset

Range: -0.5 to 1.75

Default: 0.25

Set the offset of the sample marker.

Modulator & Upconverter (PSG)

1. Configuration | 2. Basic | 3. I/Q | 4. ALC
Address Instrument DC Calibration | Frequency Amplitude RF Output | I/Q Path I/Q Enabled I/Q Adjustments I Offset Q Offset Quadrature Angle Adjustment | ALC Power Search Mode Power Search Reference

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: E8267D

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

DC Calibration

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the DC calibration after the waveform download.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Default: 5.18 GHz

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Default: -10 dBm

Enter a value to set the signal generator’s output amplitude in dBm.

  • If the PA Mode in PA block is set to PA input, the Amplitude value here in RF Signal Generator Block is coupled with the Power and Loss In setting in PA block as follows:

    • If the Power or Loss In value in PA block is changed, the Amplitude value here will be changed to (PA Power + Loss In).

    • If the Amplitude value here is changed, the PA Power value in PA block will be changed to (Amplitude - Loss In).

  • If the PA Mode in PA block is set to PA output, the Amplitude value is coupled with the settings under PA block, which is (PA Power + Loss In -Gain).

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

3. I/Q

I/Q Path

Choice: Wide | Normal

Default: Wide

Select the I and Q modulator inputs. In the current version, this value is set Selecting Normal sets the inputs to the source chosen under the Mux hard key; selecting Wide sets the inputs to the external Wide I and Q inputs on the rear panel.

I/Q Enabled

Choice: On | Off

Default: On

Turn the RF output on or off.

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range: -1 to 1 v

Default: 0 v

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range: -1 to 1 v

Default: 0 v

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: -10 to 10 degrees

Default: 0 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

Power Search Mode

Choice: Manual | Auto | Span

Default: Manual

Coupling: If ALC is on, this setting is grayed out.

Set the power search mode.

Power Search Reference

Choice: RMS | Fixed | Manual | Modulated

Default: RMS

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulated – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.


I/Q Correction

M8190A AWG outputs differential IQ signals, generated separately in its two channels, with channel 1 for I path and channel 2 for Q path. Due to the M8190A itself and the cable used for connection, the output signals are not ideal, including

  • Synchronization in time

  • Balance in amplitude

  • Quadrature error

IQ calibration is used to compensate these imperfections.

Run Button

Click this button to perform IQ calibration. As a result, three parameters will be set to AWG and RF signal generator to compensate the IQ imperfections.

  • "IQ time skew" will be set to the IQ Skew setting under AWG.

  • "Gain imbalance" will be set to the IQ Gain Balance setting under AWG.

  • "Quadrature error" will be set to the Quadrature Angle Adjustment setting under Modulator & Up Convertor.

1. Configuration

Format

Radio Std

Guard Interval

Direction

Preset Radio Std

1. Configuration

Format

Choice: WLAN | LTE FDD

Default: WLAN

Choose the format of the signal for IQ calibration.

Radio Std

Choice: 802.11a/g (OFDM) | 802.11n (20 MHz) | 802.11n (40 MHz) | 802.11ac (20 MHz) | 802.11ac (40 MHz) | 802.11ac (80 MHz) | 802.11ac (80+80 MHz) | 802.11ac (160 MHz)

Default: 802.11a/g (OFDM)

Coupling: This setting is only available when Format is set to WLAN.

Choose the WLAN radio standard for IQ calibration.

Guard Interval

Choice: 1/4 | 1/8

Default: 1/4

Coupling: This setting is only available when Format is set to WLAN.

Choose the guard interval of the WLAN signal used for IQ calibration.

Direction

Choice: Downlink | Uplink

Default: Downlink

Coupling: This setting is only available when Format is set to LTE FDD.

Choose the direction of the LTE signal used for IQ calibration.

Preset Radio Std

Choice: 1.4 MHz (6RB) | 3 MHz (15 RB) | 5 MHz (25 RB) | 10 MHz (50 RB) | 15 MHz (75 RB) | 20 MHz (100 RB)

Default: 5 MHz (25 RB)

Coupling: This setting is only available when Format is set to LTE FDD.

Choose the bandwidth of the LTE signal used for IQ calibration.


M8190

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Download Button

This button opens a menu where you can choose between a user-defined IQ or MATLAB waveform file.

Settings

1. Configuration | 2. Basic | 3. Channels Adjustment
Address Instrument | Instrument Couple State Reference Source Reference Frequency OSR for AWG Internal Sample Frequency | IQ Skew I/Q Gain Balance
Channel 1 (I) / Channel 2 (Q)
1. Output State Direct Mode Format Amplitude Offset Differential Offset Reduced Noise Floor Fine Delay Coarse Delay | 2. Aux Sync Marker AMPL Sync Marker Offset Sample Marker AMPL Sample Marker Offset

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: M8190A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Instrument Couple State

Choice: On |Off

Default: On

Set whether the two channels of the function generator are coupled or not.

Reference Source

Choice: External | Axi | Internal

Default: External

Specify the source of the reference clock.

Reference Frequency

Range: 1 MHz to 200 MHz

Default: 10 MHz

Coupling: This parameter is only available when the Reference Source is set to External.

Set the expected reference clock frequency, if the external reference clock source is selected.

OSR for AWG

Range: 1 to 100

Default: 1

Coupling: If the sample rate of the waveform from the Waveform block is less than 125 MHz, the OSR for AWG value will be adjusted automatically to set the Internal Sample Frequency greater than or equal to 125 MHz.

Set the oversampling ratio of the M8190A AWG. The main purpose of setting this value is to increase the sample frequency used in M8190A to push away the image signal.

Internal Sample Frequency

Range: 125 MHz to 8 GHz

Default: 125 MHz

This value is calculated by N7614B Signal Studio for Power Amplifier Test software automatically.

3. Channels Adjustment

I/Q Skew

Range: -10.15 ns to 10.15 ns

Default: 0 s

Set the I/Q skew time between its two channels. After IQ Cal process, this value will be updated automatically.

I/Q Gain Balance

Range: -1 dB to 1 dB

Default: 0 dB

Set the I/Q gain balance value between its two channels. After IQ Cal process, this value will be updated automatically.

Channel 1 (I) /Channel 2 (Q)

1. Output

State

Choice: On | Off

Default: On

Enable or disable the related channel output state.

Direct Mode

Choice: Bits 14 | Bits 12

Default: Bits 14

Select the direct mode. This parameter determines and configures the mode of the function generator, either Hi-Speed with 12 bit resolution or High-Precision with 14 bit resolution.

Format

Choice: RZ | NRZ | DNRZ | Doublet

Default: DNRZ

Set the channel format, which determines the format modes in DAC output path.

Amplitude

Range: 01 to 0.7

Default: 0.675

Set the amplitude of the arbitrary waveform that the function generator produces in the DAC output path. Note that the I/Q Gain Balance value would be calculated into the Amplitude value on Channel 1 and Channel 2.

Offset

Range: -0.02 V to 0.02 V

Default: 0

Set the offset of the arbitrary waveform that the function generator produces in the DAC output path.

Differential Offset

Range: -8192 to 8191

Default: 0

Set the offset to the auto-calibrated optimum DAC value so that the hardware can compensate for little offset differences between the normal and complement output..

Reduced Noise Floor

Choice: On | Off

Default: Off

Enables or disables the noise reduction feature. If the noise reduction is enabled, coarse and fine delay are constant and cannot be adjusted.

Fine Delay

Range: 0 to 30 ps (Internal Sample Frequency ≥ 6.25 GSa/s) or 60 ps (2.5 GSa/s ≤ Internal Sample Frequency < 6.25 GSa/s) or 150ps (Internal Sample Frequency < 2.5 GSa/s)

Default: 0

Set the fine delay of the channel in seconds..

Coarse Delay

Range: 0 to 10 ps (Internal Sample Frequency ≥ 6.25 GSa/s) or 20 ps (2.5 GSa/s ≤ Internal Sample Frequency < 6.25 GSa/s) or 50ps (Internal Sample Frequency < 2.5 GSa/s)

Default: 0

Set the coarse delay of the channel in seconds.

2. Aux

Sync Marker AMPL

Range: 0 to 1.5

Default: 1.2

Set the amplitude of the sync marker.

Sync Marker Offset

Range: -0.5 to 1.75

Default: 0.25

Set the offset of the sync marker.

Sample Marker AMPL

Range: 0 to 1.5

Default: 1.2

Set the amplitude of the sample marker.

Sample Marker Offset

Range: -0.5 to 1.75

Default: 0.25

Set the offset of the sample marker.


M8190 DUC

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Settings

1. Configuration | 2. Basic | 3. Output
Address Instrument | Carrier Frequency Output Channel OSR for AWG Baseband Sample Rate Interpolated Mode Internal Sample Frequency Reference Source Reference Frequency | Output Route Output State DAC Format Amplitude Amplitude Offset Reduced Noise Floor Carrier Scale

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: M8190A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Carrier Frequency

Range: 0 Hz to 12 GHz

Default: 1 GHz

Sets the center frequency of M8190A output in DUC mode.

Output Channel

Choice: Channel 1 | Channel 2

Default: Channel 1

Coupling: If Option 001 is installed, only Channel 1 available. Both Channel 1 and Channel 2 are available when Option 002 is installed.

Select which channel is being used in DUC mode.

OSR for AWG

Range: Depends on the original waveform properties and internal sample clock setting

It indicates the oversampling ratio that waveform will be resampled before downloading into AWG.

Baseband Sample Rate

Range: 21 MHz to 2.4 GHz

Displays the sample rate of waveform downloaded to M8190A.

Interpolated Mode

Choice: INTx3 | INTx12 | INTx24 | INTx48

Default: INTx3

Coupling: Available choices is coupled with the internal sample clock and baseband sample rate.

Select interpolation rate before digital modulating in DUC mode.

Internal Sample Frequency

Range: 1 GHz to 7.2 GHz

Default: 1.2 GHz

Coupling: It’s coupled with original sample rate from waveform model and OSR for AWG and the interpolation mode and read only.

It indicates the sample rate of waveform which is used before final DAC.

Reference Source

Choice: External | Axi | Internal

Default: External

Displays the reference signal source.

Reference Frequency

Default: 10 MHz

Displays the frequency of the reference source.

3. Output

Output Route

Choice: Direct | AC | DC

Default: Direct

Coupling: This setting is coupled with Option AMP. If Option AMP is installed, then AC | DC can be selected, otherwise Direct is the only available choice.

Select which route is used to output the signal.

Output State

Choice: On | Off

Default: On

Coupling: This setting is available only when Option AMP is installed

To enable or disable the signal output at the following connectors: Direct Out, Direct Out, and AMP Out.

DAC Format

Choice: RZ | NRZ | DNRZ | Doublet

Default: DNRZ

Set the channel format, which determines the format modes in DAC output path.

Amplitude

Range:

AC: 0.1 to 2.0

DC: 0.15 to 1.0

Direct: 0.35 to 0.7

Default: 700 mV

Coupling: Output Route

Specifies the amplitude of the output signal.

Amplitude Offset

Range:

Direct: -0.02 to 0.02

DC: -0.925 to 3.225

Default: 0

Coupling: This setting is coupled with the Output Route value. If Output Route is AC, then this setting is not available.

Specifies the offset of the output signal.

Reduced Noise Floor

Choice: On | Off

Default: Off

Enables or disables the noise reduction feature. If the noise reduction is enabled, coarse and fine delay are constant and cannot be adjusted.

Carrier Scale

Range: 0 to 2.8243

Default: 2

Sets the carrier amplitude scale for interpolated modes.


M8190 DUC 12-bit

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Settings

1. Configuration | 2. Basic | 3. Output
Address Instrument | Carrier Frequency Output Channel OSR for AWG Internal Sample Frequency Reference Source Reference Frequency | Output Route Output State DAC Format Amplitude Amplitude Offset Complement Output State Reduced Noise Floor

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: M8190A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Carrier Frequency

Range: 0 Hz to 6 GHz

Default: 200 MHz

Coupling: Carrier Frequency should be equal to or less than half of Internal Sampling Frequency.

Sets the center frequency of M8190A output in 12 bit software DUC mode.

Output Channel

Choice: Channel 1 | Channel 2

Default: Channel 1

Coupling: If Option 001 is installed, only Channel 1 available. Both Channel 1 and Channel 2 are available when Option 002 is installed.

Select which channel is being used in DUC mode.

OSR for AWG

Range: 1 to 500

Default: 80

Coupling: Internal Sampling Frequency = Waveform Sample Rate * Resampling Ratio * OSR for AWG.

Indicates the oversampling ratio that waveform will be resampled before downloading into AWG.

Internal Sample Frequency

Range: 5 MHz to 12 GHz

Default: 400 MHz

Coupling: Internal Sampling Frequency = Waveform Sample Rate * Resampling Ratio * OSR for AWG.

Indicates the sample rate of waveform which is used before final DAC.

Reference Source

Choice: External | Axi | Internal

Default: External

Displays the reference signal source.

Reference Frequency

Default: 10 MHz

Displays the frequency of the reference source.

3. Output

Output Route

Choice: Direct | AC | DC

Default: Direct

Coupling: This setting is coupled with Option AMP. If Option AMP is installed, then AC | DC can be selected, otherwise Direct is the only available choice.

Select the route to be used to output the signal.

Output State

Choice: On | Off

Default: On

To enable or disable the output of signal output at the following connectors: Direct Out, Direct Out, and AMP Out.

DAC Format

Choice: RZ | NRZ | DNRZ | Doublet

Default: DNRZ

Set the channel format, which determines the format modes in DAC output path.

Amplitude

Range:

AC: 0.2 V to 2.0 V

DC: 0.15 V to 1.0 V

Direct: 0.1 V to 1 V

Default: 0.7 V

Coupling: This setting is coupled with the output route value.

Specifies the amplitude of the output signal.

Amplitude Offset

Range:

Direct: -0.02 V to 0.02 V

DC: -0.925 V to 3.225 V

Default: 0

Coupling: This setting is coupled with the Output Route value. If Output Route is AC, then this setting is not available.

Specifies the offset of the output signal.

Complement Output State

Choice: On | Off

Default: On

Coupling: This setting is available only when option AMP is installed.

To enable or disable the signal output at connector of AMP Out.

Reduced Noise Floor

Choice: On | Off

Default: Off

Enables or disables the noise reduction feature. If the noise reduction is enabled, coarse and fine delay are constant and cannot be adjusted.


M8195A DUC

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Settings

1. Configuration | 2. Basic | 3. Advanced
Address Instrument | Carrier Frequency Voltage Output State | OSR for AWG Sample Rate Divider DAC Sample Frequency FIR Scale Reference Source

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: M8195A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Carrier Frequency

Range: 0 Hz to 35 GHz

Default: 1 GHz

Coupling: Carrier Frequency should be equal to or less than half of Internal Sampling Frequency.

Sets the center frequency of M8195A output in DUC mode.

Voltage

Range: 0.075 V to 1 V

Default: 0.5 V

Specifies the voltage of the output signal.

Output State

Choice: On | Off

Default: On

To enable or disable the output of signal output.

3. Advanced

OSR for AWG

Range: 1 to 5000

Default: 100

Coupling: DAC Sampling Frequency = Waveform Sample Rate * Resampling Ratio * Sample Rate Divider * OSR for AWG.

When waveform is not selected, the coupling rule will be ignored.

It indicates the oversampling ratio that waveform will be resampled before downloading into AWG.

Sample Rate Divider

Range: 1 to 4

Default: 1

Coupling: Only 1, 2, 4 is supported. DAC Sampling Frequency = Waveform Sample Rate * Resampling Ratio * Sample Rate Divider * OSR for AWG.

When waveform is not selected, the coupling rule will be ignored.

When a waveform is selected and the carrier frequency is changed, N7614B will provide a recommended combination of Sample Rate Divider and OSR for AWG.

Advanced user can manually adjust these settings to get better performance.

Sets the oversampling performed on M8195A.

DAC Sample Frequency

Range: 53.76 GHz to 65 GHz

Default: 64 GHz

Coupling: DAC Sampling Frequency = Waveform Sample Rate * Resampling Ratio * Sample Rate Divider * OSR for AWG.

When waveform is not selected, the coupling rule will be ignored.

It indicates the sample rate of waveform used before the final DAC.

FIR Scale

Range: 0.1 to 1

Default: 0.6

Sets the FIR scaling on M8195A.

Reference Source

Choice: External | Axi | Internal

Default: External

Displays the reference signal source.


M9381A PXIe VSG

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Settings

1. Configuration | 2. Basic | 3. I/Q | 4. ALC
Address Instrument DC Calibration | Frequency Amplitude RF Output | I/Q Adjustments I Offset Q Offset I/Q Gain Balance Quadrature Angle Adjustment I/Q Skew I/Q Delay | ALC
5. Baseband | 6. Markers |
Runtime Scaling Sample Clock | Pulse/RF Blank ALC Hold |

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: M9381A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

DC Calibration

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the DC calibration after the waveform download.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Default: 1 GHz

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Default: -10 dBm

Enter a value to set the signal generator’s output amplitude in dBm.

  • If the PA Mode in PA block is set to PA input, the Amplitude value here in RF Signal Generator Block is coupled with the Power and Loss In setting in PA block as follows:

    • If the Power or Loss In value in PA block is changed, the Amplitude value here will be changed to (PA Power + Loss In).

    • If the Amplitude value here is changed, the PA Power value in PA block will be changed to (Amplitude - Loss In).

  • If the PA Mode in PA block is set to PA output, the Amplitude value is coupled with the settings under PA block, which is (PA Power + Loss In -Gain).

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

3. I/Q

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range: -20% to 20%

Default: 0.0%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range: -20% to 20%

Default: 0.0%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

I/Q Gain Balance

Range:-1 dB to 1 dB in 0.001 dB steps

Default: 0.00 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: -10 to 10 degrees

Default: 0 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Skew

Range: -800 ns to 800 ns

Default: 0.0 ns

Changes the absolute phase of both the I and Q signals with respect to triggers and markers. Positive values add delay and negative values advance the signals. This value affects both the baseband signal modulated onto the RF and the external output signals (I and Q). This setting cannot be used with constant envelope modulation and it does not affect external I and Q inputs.

I/Q Delay

Range: -1.0 to 1.0 seconds, 1 ps step

Default: 0.0 ps

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

5. Baseband

Runtime Scaling

Range: 1 to 100% (100% = no scaling)

Default: 70%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital-to-analog converters (DAC) and to reduce the overshoot associated with the DAC interpolation filter. Waveform Runtime Scaling does not change the data in the waveform file.

Sample Clock

Range: for sample clock values, see the signal generator's data sheet

Default: 5 MHz

The sample clock rate of the instrument is automatically calculated by the software, which is the product of the Sample Rate and Resampling Ratio in Waveform block.

6. Markers

Pulse/RF Blank

This parameter is read-only and displays the marker used for RF blanking. Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

RF blanking incorporates ALC hold, so you do not need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms to avoid exceeding the ALC hold limit.

ALC Hold

This parameter is read-only and displays the marker for ALC hold. ALC hold is used when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

The hold selection remains until you reconfigure it, preset the signal generator, or cycle the signal generator power.

Incorrect ALC settings can cause a sudden unleveled condition to occur. An unleveled RF output can damage a DUT or connected instrument. Ensure that you set markers such that the ALC obtains a sample that accounts for the high power levels within the signal.


ETPS (Envelope Tracking Power Supply)

This block is to specify the parameters for the ETPS, which are mostly used in the RF Voltage (power supply of PA) to Envelop Voltage transformation. Most of the definitions in this block follow the terminologies used in MIPI eTrak specification. Refer to Voltage Mapping for more details.

1. ETPS | 2. ETPS Input and Output
ETPS Gain Vcc Offset | Vcm Vcc Clipping Vcc Max Vcc Min

1. ETPS

ETPS Gain

Range: -20 to 20 dB

Default: 7 dB

Coupling: This setting will be grayed out if the Envelope Source is set to User Defined in Envelope Tracking block.

Set the ETPS Gain.

Vcc Offset

Range: 0 to 5 V

Default: 2.750 V

Coupling: This setting will be grayed out if the Envelope Source is set to User Defined in Envelope Tracking block.

Set the Vcc Offset of ETPS.

2. ETPS Input and Output

Vcm

Range: 0 to 2 V

Default: 450 mV

Coupling: This setting will be grayed out if the Envelope Source is set to User Defined in Envelope Tracking block.

Set the common mode voltage specified in the eTrak specification.

Vcc Clipping

Choices: On | Off

Default: Off

Coupling: This setting will be grayed out if the Envelope Source is set to User Defined in Envelope Tracking block.

Double-click or use the drop-down menu to specify whether to clip the envelope value using Vcc Max and Vcc Min values.

Vcc Max

Range: 0.1 to 5 V

Default: 3.8 V

Coupling: Available only when the Vcc Clipping is set to on.

Set the maximum value of Vcc. This parameter is available for Dual-band PA Test only.

If this value is set to a smaller value than Vcc Min, Vcc Min value will be reduced to (Vcc Max -0.1).

Vcc Min

Range: 0 to (Vcc Max - 0.1)

Default: 600 mV

Coupling: Available only when the Vcc Clipping is set to on.

Set the minimum value of Vcc. This parameter is available for Dual-band PA Test only.


PA

This block is to specify the parameters to control the power level at the PA input port and output port.

1. General | 2. Power Control | 3. Power Sweep
PA Input Power Limit Loss In Loss Out PA Gain | Power Mode Input Power Output Power Power Servo Power Tolerance Fast Power | Power Sweep State Power Max Power Min Power Step Min Power with DPD Extract DPD Once

1. General

PA Input Power Limit

Range: -100 to 250 dBm

Default: 0 dBm

Set the maximum power level for the PA input. This parameter is used to protect PA from damage. The maximum power level of the RF Signal Generator is (PA Input Power Limit + Loss In), correspondingly.

Loss In

Range: 0 to 100 dB

Default: 0 dB

Set the path loss between the RF Signal Generator and the PA.

Loss Out

Range: 0 to 100 dB

Default: 0 dB

Set the path loss between the PA and the Signal Analyzer.

PA Gain

Range: 0 to 100 dB

Default: 20 dB

Set the gain of the PA.

2. Power Control

Power Mode

Choice: PA Input | PA Output

Default: PA Input

Specify the exact place that the power settings refer to.

Input Power

Range: -100 to 250 dBm

Default: -10 dBm

Coupling: Visible only when the Power Mode is set to PA Input and the Input Power value will be clipped by the PA Input Power Limit setting.

Set the PA input power level when the Power Sweep State is set to Off.

Output Power

Range: -100 to 250 dBm

Default: -10 dBm

Coupling: Visible only when the Power Mode is set to PA Output and the Output Power value will be clipped by the PA Input Power Limit and PA Gain settings.

Set the PA output power level when the Power Sweep State is set to Off.

Power Servo

Choice: On | Off

Default: Off

Coupling: Visible only when the Power Mode is set to PA Output.

Enable or disable the power servo.If it is set to on, Power Servo will be performed to obtain an accurate PA output power.

Power Servo is a loop, in which the PA output power is measured with the Signal Analyzer and then the PA input power is adjusted accordingly. By such iteration, the PA output power gradually converges to the target power within the limit of Power Tolerance.

Power Tolerance

Range: 0.01 to 3 dB

Default: 1 dB

Coupling: Visible only when the Power Servo is set to On.

Set the accuracy of PA output power. The result PA output power should be within the range of (target power ± Power Tolerance).

Fast Power

Choice: On | Off

Default: Off

Set whether to use fast power function in signal analyzer to measure channel power. When the value is set to on, N7614B Signal Studio for Power Amplifier Test will try to use fast power function if it is available.

For a signal analyzer to support fast power, it requires:

  • N9020A MXA or N9030A PXA with firmware version equal to or above 14.0.

  • FP2 and B40 options in the signal analyzer.

  • waveform bandwidth smaller than 40 MHz.

3. Power Sweep

Power Sweep State

Enable or disable the power sweep. In real-time configuration, power sweep is not supported so this setting is grayed out and set to Off.

Power Max

Range: -100 to 250 dBm

Default: 0 dBm

Coupling: Available only when Power Sweep State is set to On.

Set the upper limit of power sweep.

Power Min

Range: -100 to 250 dBm

Default: -20 dBm

Coupling: Available only when Power Sweep State is set to On.

Set the lower limit of power sweep.

Power Step

Range: -50 to 50 dB

Default: -20 dB

Coupling: Available only when Power Sweep State is set to On.

Set the amount of power increment for power sweep.

Min Power with DPD

Range: -100 to 250 dBm

Default: -20 dBm

Coupling: Available only when Power Sweep State is set to On.

Set the minimum power level for DPD. For power above this value, DPD will be applied.

Extract DPD Once

Choice: On | Off

Default: Off

Coupling: Available only when the Power Sweep State is On, the Digital Predistortion block is On, and DPD Mode in the Digital Predistortion block is set to Extract and Apply.

Specify whether the DPD model extraction is performed just at the first power level or all power levels above Min Power with DPD setting.


Signal Analyzer

This block configures the RF Signal Analyzer instrument. The following instrument configurations are supported through the Closed Configuration Menu.

RF Signal Analyzer

M9391A PXI VSA

M9393A PXI VSA

89600 VSA

Refer to System Requirements for details on the instrument requirements.

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Capture Button

This button captures the IQ waveform from the signal analyzer and converts it to file.

Settings

1. Configuration | 2. Basic
Address Instrument Acq HW Address Visible | Frequency Center Ref Power Mode Ref Power Trigger Source Trigger Delay Sample Rate Capture Sample Length Mirror Spectrum Fast Capture

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

Acq HW Address (89600 VSA only)

Specifies the signal analyzer address when the N7614B connects to the 89600 VSA. If the address is empty, the current hardware of 89600 VSA is used. If 89600 VSA controls PXI instruments or 89600 VSA controls multiple hardware, like downconverter and digitizer, the address should be empty.

Visible (89600 VSA only)

Default: On

Choice: On | Off

This value indicates whether 89600 VSA is visible.

2. Basic

Frequency Center

Range: for frequency range values, see the Signal Analyzer's data sheet

Default: 1 GHz

Coupling: This setting is coupled with the Frequency value in RF Signal Generator block.

Set the RF center frequency of the Signal Analyzer.

Ref Power Mode

Choice: Auto | Manual

Default: Auto

Set the method of setting reference power in the signal analyzer.

Ref Power

Range: -100 to 30 dBm

Default: -10 dBm

Coupling: Available only when the Ref Power Mode is set to Manual.

Set the reference power for the signal analyzer. This setting will affect the preamplifier and attenuator settings in the Signal Analyzer.

Trigger Source

Choice: Free Run | Video | Line | External 1 | External 2 | External 3 | RF Burst

Default: External 1

Coupling: If 89600 VSA connects to a N90x0A MXA/PXA/UXA Signal Analyzer, the valid values are External1, External2, External 3, RFBurst, and Immediate. If 89600 VSA connects to an oscilloscope, the valid values are External1 and Immediate. External 3 is for UXA-H1G

Specifies the trigger source.

Trigger Delay

Range: for trigger delay values, see the Signal Analyzer's data sheet

Default: 0 s

Set the trigger delay.

Sample Rate

Range: for sample rate values, see the Signal Analyzer's data sheet

Default: 5 MHz

Coupling: This value is coupled with the Sample Clock value in RF Signal Generator block.

This parameter displays the sample rate used for capturing data in the Signal Analyzer.

Capture Sample Length

Range: for different signal analyzers, the range of capture sample length is different.

Default: 50000

Set the number of samples the Signal Analyzer captures. This value indicates the number of samples that are used to extract the DPD model. It should be less than the Oversampled Waveform Length value in the Waveform block.

Mirror Spectrum

Default: Off

Choice: On | Off

Specifies the whether mirror spectrum is enabled.

Fast Capture (RF Signal Analyzer only)

Default: On

Choice: On | Off

This value indicates whether fast capture is enabled for signal analyzer. MXA/PXA provides fast capture SCPI commands to transfer large amount of data.

Some older MXAs and some UXA firmware revisions do not support fast capture for certain bandwidths, therefore this setting is provided to disable the capability in those cases.


Measurement View

Measurement View shows the measurement results of the PA test. Four result windows are provided: AM-AM, AM-PM, ACP, and EVM vs. Power. When Measurement Enable is set to Off, none of these measurements will be run and shown. You can double click on each result window to enlarge it to see more detailed information and then double click again to be back to the default layout.

  • AM-AM, AM-PM and ACP results will be shown for every “Run”. If DPD is enabled (Digital Predistortion is set to On), there will be two sets of results, one without DPD and the other with DPD.

  • The EVM vs. Power result shows EVM (Y axis) versus PA Output Power (X axis) results when running a power sweeping test flow in which the Power Sweep State in PA block is set to On.

AM-AM

AM-PM

ACP

EVM vs. Power

Export Trace Button

Click this button to export all the measurement results into combined and separate trace files using using the .csv file format. You will get a Warning message in the Log when there is no measurement result to be exported.

This button does not support MATLAB script and PXI instruments.

1. General | 2. AM/AM & AM/PM | 3. ACP | 4. EVM vs. Power
Measurement Enabled | AM/AM Polynomial Order | Saved Instrument State | Format
Intermediate Results | AM/PM Polynomial Order | Fast Power | Radio Std
Traces |  | In Channel Bandwidth | Guard Interval
 |  | Adjacent Channel Count | Equalizer Training
 |  | Adjacent Channel BW | Direction
 |  | Channel Offset | Preset Radio Std

1. General

Measurement Enabled

Choice: On | Off

Default: On

Choose whether to make measurement during the running process. If this parameter is set to Off, measurement will NOT be perform during the running process, and no results will be shown in the measurement view.

Intermediate Results

Choice: On | Off

Default: Off

Choose whether to display the intermediate results or not. This parameter controls whether the single-step measurements (AM-AM, AM-PM, ACP) will be performed during the multi-step test flow, including power sweeping and RF-ET signals auto-timing alignment.

Traces

Choice: Show w/o DPD | Show with DPD | Show Both

Default: Show Both

Choose the display of the traces, with DPD, without DPD, or both.

2. AM/AM & AM/PM

AM/AM Polynomial Order

Range: 3 to 12

Default: 5

Set the polynomial order used to fit the AM/AM curve on the measurement diagram.

AM/PM Polynomial Order

Range: 1 to 12

Default: 5

Set the polynomial order used to fit the AM/PM curve on the measurement diagram.

3. ACP

Saved Instrument State

Choice: None | Register 1 | Register 2 | Register 3 | Register 4 | Register 5 |… | Register 16 |

Default: None

Coupling: If Register X option has been selected, then default ACP measurement setup on software will be invisible, otherwise will be visible.

Specify which setting option will be used to measure ACP. None means default setting from the software. Register X (1…16) means setting which user defined and stored into Register X will be used to measure ACP.

When user choose the Saved instrument State=Register X(1…16), then ACP measurement will use the setting user have defined and stored into SA Register X(1…16). This options is used to fulfill the case which user want to use some special setting which 7614B cannot fulfilled or have not provided so far. Here only ACP measurement with 1 carrier in ACP mode of GPSA application will be supported, other setting will not update SA display on N7614B, user can check the display result on SA .

Fast Power

Choice: On | Off

Default: Off

Choose whether to use fast power function in Signal analyzer. To use fast power function, it requires:

  • the signal analyzer in use is N9020A MXA or N9030A PXA with firmware version equal to or greater than 14.0.

  • FP2 and B40 licenses installed in the signal analyzer.

  • the total span of ACP smaller than 40 MHz.

Adjacent Channel Count

Range: 1 to 6

Default: 1

Set the number of adjacent channels for ACP measurement.

In-Channel Bandwidth

Range: 10 Hz to 200 MHz

Default: 5 MHz

Coupling: This parameter is coupled with the Bandwidth setting in Waveform block.

Set the in-channel bandwidth.

Adjacent Channel BW

Range: 10 Hz to 200 MHz

Default: 5 MHz

Coupling: This parameter is coupled with the Bandwidth setting in Waveform block.

Set the integration bandwidth for the adjacent channel.

Channel Offset

Range: 0 to 200 MHz

Default: 5 MHz

Coupling: This parameter is coupled with the Bandwidth setting in Waveform block.

Set the frequency offset between the main channel and the adjacent channel.

4. EVM vs. Power

Format

Choice: WLAN | LTE FDD | Raw

Default: WLAN

Choose the signal format. If the signal under test is in other format, the EVM vs. Power results is invalid. If Raw is selected as the format, the software will provide ∆EVM results.

Radio Std

Choice: 802.11a/g (OFDM) | 802.11n (20 MHz) | 802.11n (40 MHz) | 802.11ac (20 MHz) | 802.11ac (40 MHz)

Default: 802.11a/g (OFDM)

Coupling: Available only when Format is set to WLAN.

Select the radio standard of the signal under test.

Guard Interval

Choice: 1/4 | 1/8

Default: 1/4

Coupling: Available only when Format is set to WLAN.

Select the guard interval of the signal under test.

Equalizer Training

Choice: Preamble Only | Preamble, Pilots & Data

Default: Preamble Only

Coupling: Available only when Format is set to WLAN.

Specify how the equalizer is initialized or trained.

  • Preamble Only specifies that the equalizer is trained using only the channel estimation sequence (also called the “long sync”) portion of the burst preamble.

  • Preamble, Pilots & Data specifies that the equalizer should be trained using both the channel estimation sequence and the entire data portion of the burst. This usually gives a more accurate estimate of the equalizer response. It also typically lowers the EVM by between one and three dB.

Direction

Choice: Downlink | Uplink

Default: Downlink

Coupling: Available only when Format is set to LTE FDD.

Choose the direction of the LTE signal.

Preset Radio Std

Choice: 1.4 MHz (6RB) | 3 MHz (15 RB) | 5 MHz (25 RB) | 10 MHz (50 RB) | 15 MHz (75 RB) | 20 MHz (100 RB)

Default: 5 MHz (25 RB)

Coupling: Available only when Format is set to LTE FDD.

Choose the bandwidth of the LTE signal used for IQ calibration.


AM-AM and AM-PM

To get the AM-AM and AM-PM results, two signals are used. One is the reference signal, which is the PA input signal. The other is the PA output signal, for which the IQ waveform data is captured using the Signal Analyzer.

For AM-AM curve, you can click on the Normalized check box to choose whether to display the normalized results. You can also click the Show Coef button to show the coefficients used to fit the Am-AM and AM-PM curve.

  • If Digital Predistortion is set to On, two curves will be displayed, with DPD and without DPD.

  • If Digital Predistortion is set to Off, only one curve will be displayed.

The above graphs are captured with CFR set to On, so two sets of ∆EVM results (before/after CFR) are provided. If CFR is set to Pass Through, just one set of ∆EVM results will be provided.


ACP

The ACP results are based on the ACP measurement in the Signal Analyzer. The software configures the Signal Analyzer using SCPI command and then fetch the results to display. To view the detailed information, you can double click on the window to enlarge it.

  • If the Digital Predistortion block is set to On, there will be two signals to measure, with DPD and without DPD.

  • If the Digital Predistortion block is set to Off, there will be one signal to measure.


EVM vs. Power

EVM vs. Power measurement is performed when running a power sweeping test flow. The EVM vs. Power result shows EVM (Y axis) versus PA Input/Output Power (X axis) result. The PA Input/Output Power (X axis) range is specified by Power Max and Power Min (in PA block). The distance between each points is set by the Power Step (in the PA block) value.

  • EVM vs. Power results are required in PA tests and the waveform in use is usually required to have specified duty cycles, which can be configured using the Burst Formation and Mask settings in the Waveform block.

  • The X axis values are real PA output power measured by the Signal Analyzer.

  • The Y axis values are the EVM results queried from the WLAN or LTE FDD measurement application in the Signal Analyzer.

You can click on the [image] button to change the X axis from the output power of the PA to the input power of the PA.


PAE Measurement View

PAE Measurement View shows the PAE measurement results of the PA test. Two result windows are provided: PAE vs Time and PAE vs PA Out Power. Double-click each result window to enlarge it to see more detailed information and then double-click again to return to the default layout.

PAE vs Time result windows displays the PAE result against time.

PAE vs PA Out Power result window shows the statistical distribution of PAE result. It helps to find the input or output levels at which the DUT works most efficiently.

PAE is calculated using the following formulas:

Voltage Dropping on Sensor Resistor = V1-V2

ETPS Output Power = V2*(V1-V2)/(Sensor Resistor)

If Intermediate results is in “Off” state, then only PAE vs Time and PAE vs PA Out Power results are visible.

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Settings

1. Configuration | 2. Basic | 3. Advanced | 4. V1/V2 External Scaling | 5. Current Sensoring
Address Instrument | Measurement Channel 1 Measurement Channel 1 Impedance Measurement Channel 2 Measurement Channel 2 Impedance Frequency Center Sample Rate Trigger Source Trigger Delay Capture Time Length | Intermediate Results | Gain Offset | R(Ohms)

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: I

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Measurement Channel 1

Default: I

Define the BBA port used for measuring V1 scaling out of scaling circuits. V1 is the voltage signal at the entry point of the sensor resistor.

Measurement Channel 1 Impedance

Default: 50Ω

Choice: 50Ω|1MΩ

Define the input impedance of measurement channel 1.

Measurement Channel 2

Default: I̅ (I_Bar)

Choice: I̅ | Q

Define the BBA port used for measuring V2 scaling out of scaling circuits. V2 is the voltage signal at the exit point of the sensor resistor.

Measurement Channel 2 Impedance

Default: 50Ω

Choice: 50Ω|1MΩ

Define the input impedance of measurement channel 2.

Frequency Center

Range: Determined by the instrument models and options.

Default: The value should not be less than the waveform sample rate.

Coupling: Available choices are coupled with the internal sample clock and baseband sample rate.

Gets or sets the RF carrier frequency of PA output in Hertz.

Sample Rate

Range: 1 MHz to Sample rate determined by the instrument models and options.

Default: 5 MHz

Coupling: It has default sample rate same as the sample clock of envelope signal generator,

Indicates the sample rate used to sample the ETPS output waveform,

Trigger Source

Default: External1

Choice:External 1

Coupling: Read only, External 1 is the only choice.

Sets the Trigger Source.

Trigger Delay

Choice: Determined by the instrument models and options.

Default: 0 sec

Gets or sets the Signal Analyzer Trigger Delay.

Capture Time Length

Range: 20us to 500us

Default: 20us

Set time duration of data including the ETPS output and RF signal will be captured for PAE measurement.

3. Advanced

Intermediate Results

Choice: On | Off

Default: Off

Coupling: When the value is On, six result traces are displayed. Otherwise only two traces (PAE vs Time, PAE vs PA Out Power) are displayed.

Choose whether to display the intermediate results or not.

DUT Connection

1. V1/V2 External Scaling

Gain

Range: 1 to 20

Default: 5

Set the ratio of V1/BBA measurement value

Gain of V1 Scaling=(BBA Input Impedance 1+Scaling Resistor 1)/(BBA Input Impedance 1)

Gain of V2 Scaling=(BBA Input Impedance 2+Scaling Resistor 2)/(BBA Input Impedance 2)

Generally,

Scaling Resistor 1= Scaling Resistor 1

BBA Input Impedance 1= BBA Input Impedance 2

Offset

Range: 0 to 20

Default: 0

Compensate the offset value when V1=0 or V2=0. Generally, V1=0. For example, the BBA measurement should be zero after BBA calibration. If not, it can be used as compensation, but generally after BBA calibration, this value should be zero as default.

2. Current Sensoring

R(Ohms)

Range: 0.01Ω to 100Ω

Default: 0.05Ω

Value of sensor resistor, used in current calculation based on voltage dropping.


Bottom View

There are two tabs in the bottom view.

Hints

Log


Hints

This tab displays supporting information for the user interface.

  • Displays the start up hints including general instructions after the software starts or when you click on the blank space in the block diagram view.

  • Updates to the description of the function/usage of the selected block/measurement when you select a block or switch to the measurement view.


Log

The bottom view will be changed to Log view automatically after you press the Closed Run the test flow button on the toolbar.

There are four types of information in the Log view.

  • Info in black color, providing a lot of help information, for example, signal PAPR, power, Delta EVM, SCPI commands used and so on.

  • Status in blue color for important test flow steps, for example, start digital predistortion, start ET, start downloading, DPD model extraction, iteration #1.

  • Warning in brown color for warning information, for example, coupling errors, over-range on instruments, and so on. This type of information just gives you a warning information, but does NOT abort running the test flow.

  • Error in red color for errors/exceptions/abortions, for example, no appropriate license, instrument cannot be connected, user stopped the test flow running, and so on. This type of information aborts running the test flow.


User Interface (Dual-band PA Test)

Menu Bar and Tool Bar

Menu bar and tool bar provides function for saving and recalling current settings, controlling of the measurement process.

Content View, including

  • Block Diagram View

  • Measurement View

This view is the major view for N7614B Signal Studio for Power Amplifier Test. You can configure each block in the block view and view the measurement results in the measurement view.

Details View

When the blocks in Content View area are clicked, this view shows the detailed settings.

You can find information for each parameter under Block Diagram view and Measurement view sections.

Bottom View

  • Hint

  • Log

This view provides some assistant information.

Status Bar

This view shows the information provided in the status bar.


 Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic Go to topic

Block Diagram View for Dual-Band PA Test

Click on each block in the figure below for detailed information and settings.


Waveform Setup

Waveform (Dual-band PA Test)

This block is to load the original IQ waveform file with some basic processing, then pass it along to do further CFR/DPD processing.

  • Basic is to select the IQ waveform file. You need to specify the bandwidth for the waveform, and also specify the sample rate if the Waveform Type is set to User-defined.
  • Processing is to do the resampling and filtering. Resampling Ratio is the ratio between the Sample Rate in Digital Predistortion block and the Sample Rate of the currently selected waveform.
  • Marker is to specify the marker sources for Marker 1~4. It can be from the original Signal Studio WFM file, or user input bits, or some events (for example, Waveform Start) generated by this software.
1. Basic | 2. Processing | 3. Markers
Waveform Type File Type File Name Sample Rate Waveform Length Time Duration Bandwidth | Resampling Ratio Resampled Waveform Length Filter State Maximum Order Pass Frequency Stop Frequency Pass Ripple Stop Ripple | Marker 1 Source Marker 2 Source Marker 3 Source Marker 4 Source

1. Basic

Waveform Type

Choice: Preloaded | Signal Studio | User-defined

Default: Signal Studio

Specify the type of waveform. It has three different choices, Preloaded, Signal Studio and User-defined.

  • Preloaded – N7614B Signal Studio for Power Amplifier Test provides about eight waveforms that do not require waveform licenses to use. They are WLAN and LTE waveforms with different settings.

  • Signal Studio – Select this option to use the waveform generated with another Keysight Signal Studio. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.

    To use the waveform generated by another signal studio, the RF Signal Generator needs to have the corresponding license. For this example, if you plan to use the LTE waveform exported by N7624B signal studio, you need to have the N7624B license.

  • User-defined – Select this option to use a waveform in a certain format generated by the user.

File Type

Choice: CSV/Text | Big Endian 16 Bits | MATLAB

Default: CSV/Text

Coupling: Available when the Waveform Type is set to User-defined.

Specify the format of the source file when the Waveform Type is set to User-defined.

  • CSV/Text – .csv or .txt format: I/Q data is interleaved and delimited with commas. Example: 1.235,-3.123.

  • Big Endian 16 Bits – This is for unencrypted MXG/EXG waveforms. It is I/Q DAC bit value and the leftmost bit is MSB. I and Q are interleaved.

  • MATLAB – .mat format: This is for Matlab waveforms. If the .mat file contains several complex arrays, only the first array will be imported as the waveform.

File Name

Click the [image] in the right side of the cell to browse the computer and select the waveform file.

Sample Rate

Range: 1 MHz to 8 GHz

Default: 5 MHz

Coupling: This cell is read-only when the Waveform Type is set to Predefined or Signal Studio.

It indicates the sample rate used by the waveform when Waveform Type is set to Predefined or Signal Studio. Sample rate is extracted from the header file of the waveform. You need to specify the sample rate manually when the Waveform Type is set to User-defined.

Waveform Length

Waveform Length is read-only and it indicates the sample number in the waveform.

Time Duration

Time Duration is read-only and it indicates the time duration of the selected waveform.

Bandwidth

Range: 1 to 200 MHz

Default: 5 MHz

Specify the bandwidth of the waveform.

2.Processing

Resampling Ratio

Coupling: It equals to the ratio of Sample Rate in Digital Predistortion model to Sample Rate in Waveform model.

Resampling Ratio is read-only and it indicates the oversampling ratio to be applied on the selected waveform.

Resampled Waveform Length

Coupling: It equals to the multiplication of the Waveform Length and the Resampling Ratio.

It is read-only and indicates the sample number of the waveform after oversampling.

Filter

Set the parameters to design a Parks-McClellan low pass filter in the menu below. The Parks-McClellan design method uses the Remez exchange algorithm to design linear phase FIR filters such that a filter has minimum weighted Chebyshev error in approximating a desired ideal frequency response. For more details, refer to Chapter 7.4.3 in "The Parks-McClellan Algorithm in Discrete-Time Signal Processing, 2nd ed".

The filter can be depicted as below, in which

fp is the pass frequency,

fs is the stop frequency,

δp is the pass ripple,

δs is the stop ripple.

Sate

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the application of the filter.

Maximum Order

Range: 1 to 2048

Default: 300

Set the maximum filter length. The filter’s length is clipped to the Maximum Order if the minimum filter length required to satisfy its specification exceeds the Maximum Order.

Pass Frequency

Range: 1 Hz to (Stop Frequency - 0.0015*Sample Rate*Resampling Ratio in Waveform block/2)

Default: 1.25 MHz

Set the pass frequency of the filter.

Stop Frequency

Range: 2 Hz to (0.5*Sample Rate*Resampling Ratio)

Default: 1.5625 MHz

Set the stop frequency of the filter.

Pass Ripple

Range: 0.0001 to 5.0

Default: 0.01

Set the maximum ripple in the pass band.

Stop Ripple

Range: 6.0 to 200.0

Default: 50.0

Set the maximum ripple in the stop band.

3. Marker

Marker 1 Source

Choice: None | FromWaveformFile | WaveformStart | UserDefined

Default: WaveformStart

Configure the marker points for Marker 1 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 1 signal from the rear-panel EVENT 1 output. For more information, see the signal generator's User Guide.

Marker 2 Source

Configure the marker points for Marker 2 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 2 signal from the rear-panel EVENT 2 output. For more information, see the signal generator's User Guide.

Marker 3 Source

Choice: RF ALC Control | UserDefined

Default: RF ALC Control

This parameter is editable only when the Waveform Type is User-defined.

This parameter indicates Marker 3 is used to control ALC hold.

The signal generator outputs the Marker 3 signal from the rear-panel EVENT 3 output. For more information, see the signal generator's User Guide.

Marker 4 Source

Choice: RF Blanking | UserDefined

Default: RF Blanking

This parameter is editable only when the Waveform Type is User-defined.

This parameter indicates Marker 4 is used to control Pulse/RF Blank.

The signal generator outputs the Marker 4 signal from the rear-panel EVENT 4 output. For more information, see the signal generator's User Guide.


Envelope Tracking (Dual-band PA Test)

This block is to generate the Envelope Tracking waveform. You can choose to turn on envelope tracking or turn it through by clicking the Closed toggle button on the block.

  • The ET waveform can be generated from the input IQ waveform, which can be either non-predistorted waveform before the DPD block or predistorted waveform after the DPD block.

    1. The IQ data is oversampled again and then the envelope |X| is calculated.

    2. RF Voltage -> ET Voltage transformation is applied based on the input shaping table.

  • A user-defined ET waveform can also be used. In this case, most of the settings in ET and ETPS blocks are not applicable anymore.

Export Envelope Button

Click this button to save the envelope data to a binary file.

The format of the exported envelope data is compliant with the format of the Envelope Signal Generator. See the "Truefrom Series Waveform Generators - Operating and Service Guide" for more details.

Envelope Tracking Setting Table

1. Basic | 2. Timing Alignment | 3. Details
 |  | Shaping Tables | Matlab Script
Envelope Source Envelope File Type Envelope File Name Trigger Master Algorithm OSR for Envelope Conversion Input Type ApplyShaping | RF1/ET Delay RF1/RF2 Delay Manual-Align Step | Add Remove Open Save | Go to description below

1. Basic

Envelope Source

Choice: From Non-predistorted Signal | From Predistorted Signal | User Defined

Default: From Non-predistorted Signal

Coupling:

  • The Predistorted Signal option is not available if the Digital Predistortion block is turned through.

  • If the Envelope Source is set to User Defined, the software does NOT support any ET waveform shaping and generation any more. So in this case, the Shaping Tables is not available and the ETPS settings in ETPS block are grayed out. You need to ensure the Voltage and Voltage Offset settings in the Envelope Signal Generator block are correct.

  • The selection of this parameter determines the input signal of the Envelope Tracking block, thus changes the display of the block view.

Double-click or use the drop-down menu to specify the source of the envelope signal.

Envelope File Type

Choice: Big Endian | MATLAB

Default: Big Endian

Coupling: Available only when the Envelope Source is set to User Defined.

Set the type of the envelope file.

Envelope File Name

Coupling: Available only if the Envelope Source is set to User Defined.

Click the [image] in the right side of the cell to browse the computer and select the envelope signal file to use.

The supported format of the envelope file is compliant with the waveform format of the Envelope Signal Generator, which is the same as the format of the exported envelope file by pressing the Export Envelope button.

Trigger Master

Choice: Envelope Signal Generator | RF Signal Generator

Default: Envelope Signal Generator

Coupling:

  • If Trigger Master is set to Envelope Signal Generator, the Trigger Source in the RF Signal Generator block will be set to External, the External Delay in the RF Signal Generator block will be set to On, and the Trigger Source in the Envelope Signal Generator block will be set to Bus.

  • If Trigger Master is set to RF Signal Generator, the Trigger Source in the RF Signal Generator block will be set to Bus, the External Delay in the RF Signal Generator block will be set to Off, and the Trigger Source in the Envelope Signal Generator block will be set to External.

Specify the relationship between the RF Signal Generator and Envelope Signal Generator.

Algorithm

Choice: 2D Supply Modulation Technique | User Defined Matlab Script

Default: 2D Supply Modulation Technique

When envelope source is not defined, you can choose which algorithm is used to calculate the combined envelope of two signals of different bands.

2D Supply Modulation Technique

combined Envelope=(|E1|+|E2|)×Shaping(E)

E1 and E2 is the absolute RF voltage, which has been scaled based on actual RF power.

User Defined Matlab Script

When PA Model Type is set to User-defined MATLAB Script (supported only under ARB), the N7614B software interacts with MATLAB to execute the ET algorithm defined in the MATLAB script. The N7614B software also controls the instruments to run the whole test flow. If User-defined MATLAB Script is selected, Signal Studio and Preloaded become invalid selections for Waveform Type.

OSR for Envelope

Range: 1 to 32

Default: 3

Set the oversampling ratio for the envelope signal. The overall oversampling ratio should be the product of three OSR, including the OSR of the imported waveform, the Resampling Ratio setting in Waveform block, and the OSR for Envelope setting here.

The final sample rate should not exceed the limit of the Envelope Signal Generator in use.

Conversion Input Type

Choice: Normalized IQ Magnitude | Absolute RF Output Voltage | Override Absolute RF

Default: Normalized IQ Magnitude

Specify the data type for the input of the shaping table. If the Override Absolute RF is selected, the Override Absolute RF Amplitude value is used for shaping table input calculate, instead of the real RF power setting of the RF Signal Generator.

ApplyShaping

Choice: On | Off

Default: On

Enables Shaping Tables. When using an internal ET algorithm, this parameter is always enabled and read-only. However, when you select a User Defined Matlab Script for Algorithm, this parameter allows you to choose whether to enable shaping or not, as it may already be defined in the Matlab script file.

2. Timing Alignment

Before you can adjust the timing to optimize envelope tracking, ensure that the N7614B software has established communication with all instruments. This can be done via the Closed Run or Closed Align action from the software's tool bar.

The align action automatically handles the timing alignment of the ET signal and the two RF signals. The final result is displayed on in the Log window, as shown below. The accuracy will be effected by the waveform, RF power, shaping table, PA performance, and other components in the system. If the final result is not acceptable, you can adjust the timing relationship manually in the software. This requires an oscilloscope and appropriate cable connections.

RF1/ET Delay

Range: -20 s to 20 s

Default: 0 (Can be optimized to about 460 ns to help auto time alignment.)

Set the delay of the envelope signal to the PA input signal 1. It can be set by directly inputting a value, or pressing the +/- buttons (and the step is Delay Step every time +/- is pressed).

RF1/RF2 Delay

Range: -400 ns to 400 ns

Default: 0 (Can be optimized to about 460 ns to help auto time alignment.)

Set the delay of PA input signal 2 to the PA input signal 1. It can be set by directly inputting a value, or pressing the +/- buttons (and the step is Delay Step every time +/- is pressed).

Manual-Align Step

Range: 1 ns to 100 ns

Default: 1 ns

Specify the step when adjusting the value of RF1/ET and RF2/RF1 . It can be set by directly inputting a value, or pressing the “+/-“ buttons (and the step is 1ns every time +/- is pressed). The Step is only used for manually adjusting the Delay value.

3. Details

Shaping Tables

This section is used to configure the shaping tables. As shown in the following figure, there are four buttons on the top, Add, Remove, Open, and Save.

On the left is a list of the shaping tables, and on the right is the details for the selected shaping table including the content and graph.

For the shaping table, the first column "RF Voltage" stands for the amplitude of the envelope signal with the Conversion Input Type. The second column "ET Voltage" stands for the power supply of the PA (Vcc). For more details about voltage mapping, refer to Voltage Mapping in Envelope Tracking Measurement.

Add

Click [image] button to add a new shaping table. The new table is added to the end of the list.

Remove

To remove a shaping table, select the table name in the list, then click [image] button.

Open

Click [image] button to import a shaping table.

Save

Click [image] button to save the table as .csv file.

Matlab Script

Parameter | Description
1. Function
Matlab File | User to define the absolute path of Matlab m file
Command | is the command which called by N7614B to execute the function defined in Matlab file
2. Input Variables
ET Input IQ 1 | IQ data of band 1 which has been resampled based on the parameter: OSR for Envelope in envelope tracking block
ET Input IQ 2 | IQ data of band 2 which has been resampled based on the parameter: OSR for Envelope in envelope tracking block
PA Input Power 1 | Absolute signal power of band 1 in the input end of PA
PA Input Power 2 | Absolute signal power of band 2 in the input end of PA
PA Input Frequency 1 | Signal frequency of band 1
PA Input Frequency 2 | Signal frequency of band 2
Input IQ Sample Rate | Sample rate of IQ data which as the input of user defined Matlab script algorithm
3. Output Variables
Combined Envelope | IQ data as the output parameter of user Matlab script; if shaping is done inside the Matlab script, then output envelope is the VBAT bias of PA; Otherwise it's just the combined envelope of 2 RF input signals
Output Envelope Sample Rate | Sample rate of output envelope, if user function has changed sample rate of input IQ data, then this parameter must be one of output variable of user defined algorithm, otherwise ET operation will fail.

Related Topics

Example Dual Band ET + DPD Measurements


Digital Predistortion (Dual-band PA Test)

This block controls the DPD processing for the IQ waveform. You can turn on digital predistortion or set it Thr (through) by clicking the Closed toggle button on the block.

In order for DPD to be executed, the two waveforms must have equal time durations; otherwise, the process will be aborted.

Once it starts:

• Firstly, the waveform of both bands will be re-sampled from their original Sample Rate specified in the Waveform block to the Sample Rate specified in this block. As a result, the waveforms would have the equal sampling rate.

• Secondly, the waveforms will be transmitted simultaneously by signal generators, combined and fed into the PA. Then, the PA output at each band is captured with signal analyzer respectively. Next, for each single band, a DPD model is extracted by an algorithm based on the knowledge of the PA input signals at both bands and the PA output at that band of interest.

• Finally, the waveform of each band is pre-distorted with their corresponding DPD model to compensate the non-linearity introduced by PA.

Memory Polynomial or User Defined Matlab Script algorithms can be used in the this block.

Unlike single band PA, dual band PA introduces cross-modulation between the signals located in two separated bands, other than the inter-modulation of each own band.

Digital Predistortion Setting Table

1. General | 2. Band 1 | 3. Band 2
Sample Rate Algorithm | Memory Order Nonlinear Order | Memory Order Nonlinear Order

1. General

Sample Rate

Range: 1 MHz to 8 GHz

Default: 20 MHz

Specify the sample rate when doing dual band DPD model extraction and application. The signal on both bands will be re-sampled to this rate.

Algorithm

Choice: Memory Polynomial | User Defined Matlab Script

Default: Memory Polynomial

Double-click or use the drop-down menu to select the PA model extraction algorithm to be used. Memory Polynomial is a simplified version of Volterra Series.

When Algorithm is set to User-defined MATLAB Script, the N7614B software interacts with MATLAB to execute the DPD algorithm defined in the MATLAB script. The N7614B software also controls the instruments to run the whole test flow.

2. Band 1

Memory Order

Range: 0 to 20

Default: 1

Set the memory depth of the dual-band DPD models.

Nonlinear Order

Range: 1 to 20

Default: 5

Set the nonlinear order of the dual-band DPD models.

3. Band 2

Memory Order

Range: 0 to 20

Default: 1

Set the memory depth of the dual-band DPD models.

Nonlinear Order

Range: 1 to 20

Default: 5

Set the nonlinear order of the dual-band DPD models.

2. Details (Matlab Script)

Parameter | Description
1. Function
Matlab File | User to define the absolute path of Matlab m file
Command | is the command which called by N7614B to execute the function defined in Matlab file
2. Input Variables
Normalized DPD Input 1 | IQ data of band 1 which has been RMS power normalized and is used to apply the DPD model
Normalized DPD Input 2 | IQ data of band 2 which has been RMS power normalized and is used to apply the DPD model
Normalized Captured 1 | SA Captured IQ Data of band 1 which is used to calculate the DPD model and has been RMS power normalized
Normalized Captured 2 | SA Captured IQ Data of band 2 which is used to calculate the DPD model and has been RMS power normalized
Normalized PA Input 1 | IQ data of band 1 which is used to calculate the DPD model and has been RMS power normalized
Normalized PA Input 2 | IQ data of band 2 which is used to calculate the DPD model and has been RMS power normalized
3. Output Variables
DPD Output 1 | IQ data of band 1 has been applied DPD model on Normalized PA Input IQ 1
DPD Output 2 | IQ data of band 2 has been applied DPD model on Normalized PA Input IQ 1

Related Topics

Example Dual-Band DPD Measurement


RF Signal Generator

This block is to configure the RF Signal Generator instruments.

Two Signal Generator are required to play two signals simultaneously. The Signal Generator which plays Band 1 signal acts as Master, and the other one is Slave. The two Signal Generators are setup in Multi-BBG sync mode.

The supported Signal Generator models are listed below, including the necessary option for internal baseband generator and memory:

Model Number | Internal Baseband Option | Memory Option
N5182A | Option 652 (48 MHz, 8 MSa) Option 654 (100 MHz, 8 MSa) | Option 019 (upgrade memory to 64 MSa)
N5182B | Option 656 (80 MHz, 32 MSa) Option 657 (upgrade to 160 MHz) | Option 022 (upgrade memory to 256MSa) Option 023 (upgrade memory to 1GSa)
N5172B | Option 653 (60 MHz, 32 MSa) Option 655 (upgrade to 120 MSa) | Option 022 (upgrade memory to 256MSa) Option 021 (upgrade memory to 512MSa)
Both N5182B and N5172B can act as either Master or Slave, but N5182A can only act as Slave.

For more information about the user interface parameter settings, see RF Signal Generator Parameter Settings.


PA

This block is to specify the parameters to control the power level at the PA input port and output port.

1. General | 2. Band 1 3. Band 2
PA Input Power Limit Loss Out Power Mode | Loss In PA Gain Input Power Output Power

1. General

PA Input Power Limit

Range: -100 to 250 dBm

Default: 0 dBm

Set the maximum power level for the PA input. This parameter is used to protect PA from damage. The maximum power level of the RF Signal Generator is (PA Input Power Limit + Loss In), correspondingly.

Loss Out

Range: -100 dB to 100 dB

Default: 0 dB

Set the path loss between the PA and the Signal Analyzer.

Power Mode

Choice: PA Input | PA Output

Default: PA Input

Specify the exact place that the power settings refer to.

2. Band 1 / 3. Band 2

Loss In

Range: -100 dB to 100 dB

Default: 0 dB

Set the path loss between the RF Signal Generator and the PA of each band.

PA Gain

Range: 0 to 100 dB

Default: 20 dB

Set the gain of PA at Band 1 or Band 2.

Input Power

Range: -100 to 250 dBm

Default: -10 dBm

Coupling: Visible only when the Power Mode is set to PA Input and the Input Power value will be clipped by the PA Input Power Limit and PA Gain settings.

Set the input power level for DUT (PA).

Output Power

Range: -100 to 250 dBm

Default: -10 dBm

Coupling: Visible only when the Power Mode is set to PA Output and the Output Power value will be clipped by the PA Input Power Limit and PA Gain settings.

Set the PA output power level.


Signal Analyzer

This block is to configure the Signal Analyzer instrument.

The supported Signal Analyzer models are listed below, including the necessary option for bandwidth:

Model Number | Bandwidth Option
N9010A | Option B40 (40 MHz) Option B85 (85 MHz) Option B1A (125 MHz) Option B1X (160 MHz)
N9020A
N9030A

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Capture Button

Click this button to capture the IQ waveform from the signal analyzer into a I/Q file or a MATLAB Variable.

Signal Analyzer Setting Table

1. Configuration | 2. Basic
Address Instrument | Ref Power Mode Ref Power Trigger Source Trigger Delay Sample Rate Capture Sample Length Trigger Source

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: N9020A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Ref Power Mode

Choice: Auto | Manual

Default: Auto

Set the method of setting reference power in the signal analyzer.

Ref Power

Range: -100 to 30 dBm

Default: -10 dBm

Coupling: Available only when the Ref Power Mode is set to Manual.

Set the reference power for the signal analyzer. This setting will affect the preamplifier and attenuator settings in the Signal Analyzer.

Trigger Source

Choice: Free Run | Video | Line | External 1 | External 2 | RF Burst

Default: External 1

Set the trigger source.

Trigger Delay

Range: for trigger delay values, see the Signal Analyzer's data sheet

Default: 0 s

Set the trigger delay.

Sample Rate

Range: for sample rate values, see the Signal Analyzer's data sheet

Default: 5 MHz

Coupling: This value is coupled with the Sample Clock value in RF Signal Generator block.

This parameter is read only and displays the sample rate used for capturing data in the Signal Analyzer.

Capture Sample Length

Range: for different signal analyzers, the range of capture sample length is different.

Default: 50000

Set the number of samples the Signal Analyzer captures. This value indicates the number of samples that are used to extract the DPD model. It should be less than the Oversampled Waveform Length value in the Waveform block.


Measurement View

Measurement View shows the measurement results of the Dual Band DPD test. Six result windows are provided: Band 1 AM-AM, Band 1 AM-PM, Band 1 ACP, Band 2 AM-AM, Band 2 AM-PM, and Band 2 ACP. When Measurement Enable is set to Off, none of these measurements will be run and shown.

You can double click on each result window to enlarge it to see more detailed information and then double click again to be back to the default layout (3x2).

  • AM-AM, AM-PM and ACP results will be shown for every “Run”. If DPD is enabled (Digital Predistortion is set to On), there will be two sets of results, one without DPD and the other with DPD. You can select which Traces will be displayed on the screen.

Band 1 AM-AM | Band 2 AM-AM
Band 1 AM-PM | Band 2 AM-PM
Band 1 ACP | Band 2 ACP

Export Trace Button

Click this button to export all the measurement results into combined and separate trace files using using the .csv file format. You will get a Warning message in the Log when there is no measurement result to be exported.

This button does not support MATLAB script and PXI instruments.

1. General | 2. Band 1 3. Band 2
Measurement Enabled Traces | Adjacent Channel Count Adjacent Channel BW Channel Offset In-Channel Bandwidth

1. General

Measurement Enabled

Choice: On | Off

Default: On

Choose whether to make measurement during the running process. If this parameter is set to Off, measurement will NOT be perform during the running process, and no results will be shown in the measurement view.

Traces

Choice: Show w/o DPD | Show with DPD | Show Both

Default: Show Both

Choose the display of the traces, with DPD, without DPD, or both.

2. Band 1 / 3. Band 2

Adjacent Channel Count

Range: 1 to 6

Default: 1

Set the number of adjacent channels for ACP measurement.

Adjacent Channel BW

Range: 10 Hz to 200 MHz

Default: 5 MHz

Coupling: This parameter is coupled with the Bandwidth setting in Waveform block.

Set the integration bandwidth for the adjacent channel.

In-Channel Bandwidth

Range: 10 Hz to 200 MHz

Default: 5 MHz

Coupling: This parameter is coupled with the Bandwidth setting in Waveform block.

Set the in-channel bandwidth.

Channel Offset

Range: 0 to 200 MHz

Default: 5 MHz

Coupling: This parameter is coupled with the Bandwidth setting in Waveform block.

Set the frequency offset between the main channel and the adjacent channel.


AM-AM

To get the AM-AM, two signals are used. One is the reference signal, which is the PA input signal. The other is the PA output signal, for which the IQ waveform data is captured using the Signal Analyzer.

For AM-AM curve, you can click on the Normalized check box [image] to choose whether to display the normalized results.

You can double-click the result window to enlarge it to see more detailed information and then double click again to be back to the default layout (3x2).

  • If Digital Predistortion is set to On, two curves will be displayed, with DPD and without DPD.

  • If Digital Predistortion is set to Off, only one curve will be displayed.


AM-PM

To get the AM-PM results, two signals are used. One is the reference signal, which is the PA input signal. The other is the PA output signal, for which the IQ waveform data is captured using the Signal Analyzer.

You can double click on the result window to enlarge it to see more detailed information and then double click again to be back to the default layout (3x2).

  • If Digital Predistortion is set to On, two curves will be displayed, with DPD and without DPD.

  • If Digital Predistortion is set to Off, only one curve will be displayed.


Bottom View

There are two tabs in the bottom view.

  • Hints
  • Log


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | provides information on accessing API help, usage requirements, and references.
Sample API Programs | provides information about API examples included with the software that can be modified for your application.
Using the API with LabVIEW | provides instructions on using Signal Studio .NET APIs with LabVIEW.


API Help

API Class Library

API commands for controlling the N7614B Signal Studio graphical user interface (GUI) are documented in the N7614B Documented Class Library (N7614API.chm). This help file is located in the following directory: C:\Program Files\Keysight\Signal Studio\PA Test.

Many of the links in the API help require the Microsoft Visual Studio .NET integrated development environment (IDE). Without the IDE, these links appear broken. Download the IDE to repair the links.

The application/software using N7614B API command can NOT be run together with N7614B Signal Studio for Power Amplifier Test.

Refer to www.Keysight.com/find/signalstudio for the latest software updates.

Sample API Programs

Sample API programming files are placed in the following default location when you install the software. You can use these samples as a starting point to develop your own API programs.

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\PA Test\Samples

Numeric Format

This software recognizes only US style numeric format, for example, floating point is "."

Language Requirements

You must set the API locale to "en-US" using the following commands prior to starting the user main routine:

Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US"); // Sets the culture to English (US)

Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US"); // Sets the UI culture to English (US)

You can see these culture setting commands in the Main() method at:

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\PA Test\Samples\SimpleControl\Main.cs.

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version="1.0" encoding="utf-8"?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0" />

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

.NET Version Workaround

If you are using a recent version of Visual Studio, such as VS 2015, the default .NET version will be later than .NET 3.5, which is required for using the Signal Studio API. In this case, if you change the project settings of the Visual Studio program to .NET 3.5, you will not benefit from the latest .NET features. Therefore, it is better to create a .config file in your VS project, enabling you to benefit from the latest .NET features. To do this, follow the exact same steps described in Loading .NET Mixed-Mode Assemblies above.

References

The Microsoft.NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


Sample API Programs

Sample programs are placed in these default locations when you install the software:

C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\PA Test\Samples\SimpleControl

Using Microsoft Visual C# .NET or a similar IDE, you can modify these sample projects to develop your own API programs.

Basic Program Flow

You can create an API program by performing the following general steps. This sequence is demonstrated in the Main.cs file (C:\Users\<my account>\AppData\Roaming\Keysight\Signal Studio\PA Test\Samples\SimpleControl\Main.cs).

  1. Create an API object.

  2. Configuration the software, including

    • Waveform name

    • Instrument address

    • Toggle features, to turn Crest Factor Reduction, Digital Predistortion, or Envelop Tracking block On or Off

    • Other necessary settings

  3. Run the software.

Before editing the sample programs, make backup copies of all files. To save the edited files, right-click each file, select Properties, and de-select the Read-only attribute.

Simple Control Project

The Simple Control project (...\SimpleControl\ConsoleApplication1.sln) provides a basic program for applying an ET only use case.

To view the code, open the ConsoleApplication1.sln file using the Microsoft Visual C# .NET IDE, or open the Main.cs file using a text editor, such as Notepad. Since the ConsoleApplication1.sln program flow does not use the API GUI, you will see only the code contained in the Program.cs file in the Code Editor.

static void Main(string[] args)

{

Api api = new Api();

api.PATestApplication.WaveformModel.FileName = @"C:\Program Files\Keysight\Signal Studio\PA Test\Waveforms\LTE_FDD_5M_QPSK_FullRB.wfm";

api.PATestApplication.EnvelopeTrackingModel.Enabled = true;

api.PATestApplication.DigitalPredistortionModel.Enabled = false;

api.PATestApplication.SignalGeneratorModel.Address = "192.168.0.100";

api.PATestApplication.EnvelopeSignalGeneratorModel.Address = "192.168.0.101";

api.PATestApplication.Run();

api.PATestApplication.EnvelopeTrackingModel.Delay = -490e-9;

api.Close();

}

Figure 1. Main.cs displayed in the Microsoft Visual C# .NET IDE


Using API in LabVIEW

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click to “Select Constructor” and in the pop-up window “Browse” to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Then, select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to create Property or Method node.

You can also right click the name of the Property to create sub Property or sub Method nodes.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “Read,” so you may need to “Change To Write” to assign value to the property.

From the context help in LabVIEW, you can know the type of a certain property node, which is helpful to wire the correct type of node/control to the property node.

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run (click the toolbar button) the VI. Below is a completed small VI whose function is to set some basic configurations of 802.11ac waveform then generate 802.11ac waveforms and download it to a Signal Generator.

Some Signal Studio apps provide Close() and/or Dispose() methods in the constructor class. It is important to add a method node to call Close() or Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VIs using Signal Studio APIs

Attached are two example VIs for a coupleSignal Studio applications:

  • N7614B.vi performs a simple waveform downloading procedure for the Power Amplifier Test application

  • N7617B.vi is a relatively complex example that uses different WLAN 802.11ac waveform configurations, including MIMO

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


Using the Software – Real Time

Tutorials | provides several exercises designed to help you become familiar with the software
User Interface | describes the features and the user interface of the software
SCPI | accesses links to the various SCPI lists


Tutorials

Example Envelope Tracking (ET) Measurement

Example DPD Measurement

Example ET+DPD Measurement


Example Envelope Tracking (ET) Measurements

Envelope tracking measurement is used to evaluate the improvements of power efficiency and output signal performance after using envelope tracking. For a PA, envelope tracking and digital predistortion can be used together. In this example, only envelope tracking is applied to the PA under test.

The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in N7614B Signal Studio for Power Amplifier Test software

  3. Executing the measurement and viewing the measurement results


1. Setting up the Measurement System

The following figure shows the instrument connection of envelope tracking measurement.

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference, trigger, and envelope signal connection; the black lines are for instrument control connection with LAN or GPIB. In envelope tracking test, timing alignment is required between the ETPA Vcc input and the RF input signal.

Instrument Supported

The table below shows the supported instruments for envelope tracking measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | N5182B MXG N5172B EXG
Envelope Signal Generator | N5182B MXG N5172B EXG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio with the RF Signal Generator, Envelope Signal Generator, and Signal Analyzer through LAN or GPIB.

  2. Connect the 10 MHz Ref Out port of the Envelope Signal Generator to the 10 MHz Ref In port of the RF Signal Generator and connect the EVENT 1 port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator for time alignment of the Envelope Signal Generator output and RF Signal Generator output.

  3. Connect the I OUT and [image] OUT of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

  4. Connect the EVENT 1 port on the rear panel of the RF Signal Generator to the Trigger IN 1 port on the rear panel of the Signal Analyzer using a BNC cable. This is to synchronize the RF Signal Generator and Signal Analyzer in time domain.

  5. Connect the 10 MHz OUT port on the rear panel of the RF Signal Generator to the EXT REF IN port on the rear panel of the Signal Analyzer using a BNC cable.

  6. Connect the RF OUTPUT port of the RF Signal Generator to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.


2. Configuring Parameters in N7614B Signal Studio

The following figure shows the block view settings in N7614B for ET measurement. In this example, the Digital Predistortion block is turned Through and Envelope Tracking block is turned On.

The remaining section of this topic provides an example procedure of setting N7614B for the envelope tracking measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Envelope Tracking Block

Step 4: Set the Envelope Signal Generator Block

Step 5: Set the ETPS Block

Step 6: Set the PA Block

Step 7: Set the RF Signal Generator Block

Step 8: Set the Signal Analyzer Block

Step 9: Set the Measurement View

Step 1: Set the Waveform Block

Click on the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.
    Note that to use a waveform generated by another signal studio software for ET test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the bandwidth to 5 MHz according to the waveform bandwidth.

  3. Set the Resampling Ratio to 3.

Step 2: Set the Crest Factor Reduction Block

Click on the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Envelope Tracking Block

Click on the Envelope Tracking block icon and Closed turn on Envelope Tracking on the UI. In the right panel, do the following:

  1. Set the Envelope Source to From Non-predistorted Signal. Then the software will calculate the envelope signal using the signal before Digital Predistortion block.

  2. Set the Conversion Input Type to Absolute RF Output Voltage. This is to set the reference for the RF Voltage column in the shaping table.

  3. Enter the shaping tables.This shaping table is used to map the selected Conversion Input Type, Normalized I/Q Amplitude, Absolute RF Output Voltage or Override Absolute RF, to the supply voltage of the PA (Vcc).

    Here a very simple shaping table is used as an example.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 4: Set the Envelope Signal Generator Block

Click on the Envelope Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Envelope Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. For other values, you can use the default settings. Note that the Voltage and Voltage Offset value will be set automatically after the test flow is run.

    Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 5: Set the ETPS Block

Click on the ETPS block icon on the UI. In the right panel, do the following:

  1. Set the ETPS Gain to 7.0 dB.

  2. Set the Vcc Offset to 2.75 V.

  3. Set the Vcm to 450 mV.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 6: Set the PA Block

Click on the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Input as the Power Mode.

  3. Set Power to -3.00 dBm. This is to set the input power of the PA. Then the Amplitude setting in RF Signal Generator block will be set to (Power + Loss In) automatically.

Step 7: Set the RF Signal Generator Block

Click on the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 2 GHz.

Step 8: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Signal Analyzer and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  3. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. For most cases, you can use the default value.

Step 9: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.

You can turn Intermediate Result to On and set the ACP parameters as required. In this example, the default settings are used.


3. Executing the Measurement and Viewing the Measurement Results

This section introduce how to execute the envelope tracking test and how to view the measurement results. Follow the procedure below to execute the measurement and view the measurement results.

Initial Run

Timing Alignment

Executing the Measurement

Viewing the Measurement Results

Initial Run

  1. Click the Closed Run button on the tool bar to get the RF and ET waveform downloaded into the instrument and get the initial measurement results.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

The default Delay setting in Envelope Tracking block may not be the optimal value for the current instruments/DUT connections. So the PA output performance (AM-AM, ACP) may be poor. Further timing alignment between the RF Signal Generator and the Envelope Signal Generator is required.

Timing Alignment

Timing alignment is to synchronize the input signal of the PA (the output of the RF Signal Generator) with the input voltage of the PA (the output of the Envelope Signal Generator) in time domain. There are two methods:

  • Manual: Adjust the Delay and Step setting in Envelope Tracking block manually with an oscilloscope connected to the Envelop Signal Generator and RF Signal Generator and observe the signals alignment.

  • Auto: Click the Closed Auto-align ET and RF signals button on the tool bar to get the signals aligned automatically.

    By selecting the Pre-Align with AM-AM for Auto-Align check box in the Envelope Tracking block, you can find a possible better initial delay value with the measured AM-AM results, but this may take longer time. After the auto-alignment is finished, the Delay setting in Envelope Tracking block is updated automatically.

If the related settings (e.g. sample rate, IQ delay, trigger delay in Generator instruments, etc.) are changed and applied, it’s recommended to do the timing alignment again.

Executing the Measurement

Once a proper time alignment has completed, the signal can be played repeatedly without re-alignment. Click the Closed Run button to play the signal and get the measurement results.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. EVM vs. Power results are displayed only when Power Sweeping (in PA block) is set to On.

For ET test, ACP results are viewed. To view more detailed information, double-click on the ACP window to enlarge it as shown in the figure below.

Figure 1. ACP Results

You can make your own measurements, such as power-added efficiency (PAE) test, based on the PA output signal using the Keysight VSA software or applications on the Signal Analyzer.


Example DPD Measurement

DPD measurement is to evaluate the PA performance in terms of linearity when pre-distortion is applied. The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in N7614B Signal Studio for Power Amplifier Test software

  3. Executing the measurement and viewing the measurement results


1. Setting up the Measurement System

The following figure shows the instrument connection of DPD measurement.

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference and trigger connection; the black lines are for instrument control connection with LAN or GPIB.

Instrument Requirements

The table shows the requirement for the instruments used in DPD measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | N5182B MXG N5172B EXG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio with the RF Signal Generator and Signal Analyzer through LAN or GPIB.

  2. Connect the EVENT 1 port on the rear panel of the RF Signal Generator to the Trigger IN 1 port on the rear panel of the Signal Analyzer using a BNC cable. This is to synchronize the RF Signal Generator and Signal Analyzer in time domain.

  3. Connect the 10 MHz OUT port on the rear panel of the RF Signal Generator to the EXT REF IN port on the rear panel of the Signal Analyzer using a BNC cable.

  4. Connect the RF OUTPUT port of the RF Signal Generator to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.


Configuring Parameters in N7614B

2. Configuring Parameters in N7614B Power Amplifier Test Software

The following figure shows the block view settings in N7614B for DPD measurement. In this example, the Envelope Tracking block is turned Off.

The remaining section of this topic provides an example procedure of setting N7614B for DPD measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Digital Predistortion Block

Step 4: Set the RF Signal Generator Block

Step 5: Set the PA Block

Step 6: Set the Signal Analyzer Block

Step 7: Set the Measurement View

Step 1: Set the Waveform Block

Click on the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.
    Note that to use a waveform generated by another signal studio software for DPD test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the Bandwidth to 5 MHz according to the waveform bandwidth.

  3. Set the Resampling Ratio to 3.

    To extract the DPD model, it is expected that the oversampling ratio of the waveform is no less than 3. If the selected waveform has less oversampling ratio, you can set the oversampling ratio. For example, if the oversampling ratio for the original waveform is 2, and the oversampling ratio here is set to 3, then the final oversampling ratio will be 6, which is sufficient to perform DPD measurement.

Step 2: Set the Crest Factor Reduction Block

Click on the Crest Factor Reduction block icon and Closed turn on Crest Factor Reduction on the UI. In the right panel, do the following:

  1. Set the CFR Algorithm to Peak Windowing. Refer to CFR Concept for details about the two different CFR algorithm.

  2. Set the Target PAPR to 7 dB.

Step 3: Set the Digital Predistortion Block

Click on the Digital Predistortion block icon and Closed turn on Digital Predistortion on the UI. In the right panel, do the following:

  1. Set Reference (w/o DPD) to On.

  2. Set the PA Model Type to Look-up Table. Refer to DPD Concept for details about different PA model types.

  3. Set the LUT Type to Absolute and LUT Apply Mode to AM/AM, then AM/PM.

  4. Enter the look-up table as below or you can also use an existing look-up table.Below is an example of the look-up table used here.

    In the process of measurement, you can also select another look-up table and click the Apply button [image]. This look-up table will be applied to the waveform under test directly.

Different PAs may have different characteristics, which will need different DPD models to simulate the DPD performance. In DPD test, if the measurement results are not as expected, you can try to change the the parameters for DPD model extraction. If the DUT is memoryless, it is recommended to set the PA Model Type to Look-up Table, or to set the PA Model Type to Memory Polynomial or Volterra Series and set the Memory Order to 0 or 1. If the DUT is memory device, it is recommended to set the PA Model Type to Memory Polynomial or Volterra Series.

Step 4: Set the RF Signal Generator Block

Click on the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 5.18 GHz.

Step 5: Set the PA Block

Click on the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Output as the Power Mode and set Power Servo to On.

    After turning on the Power Servo, N7614B Signal Studio for Power Amplifier Test will adjust the output power of the RF Signal Generator according to the power received by the Signal Analyzer to make sure the PA output power is close to the specified value.

  3. Set Power to 17.00 dBm and Power Tolerance to 1 dB. This is to set the output power of the PA and the accuracy of the power servo.

    The initial Amplitude setting in RF Signal Generator block will be set to (Power - PA Gain + Loss In) automatically.

    When the output power level of the RF Signal Generator is high, the DPD model extracted is a combination of the RF Signal Generator and the DUT.

Step 6: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Signal Analyzer and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  3. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. For most cases, you can use the default value.

Step 7: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.

You can turn Intermediate Result to On and set the ACP parameters as required. In this example, the default settings are used.


Executing the Measurement and Viewing Measurement Results

3. Executing the Measurement and Viewing Measurement Results

This section focuses on executing the measurement and viewing the measurement results.

Executing the measurement

To execute the measurement,

  1. Click the triangle Closed Run button on the menu bar.

  2. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. For DPD measurements, only the first three results are used. These three results give an insight of PA's improvement on linearity after using DPD. If the results are not satisfactory, you need to adjust the settings, such as PA model extraction parameters in the Digital Predistortion block under the block view, and rerun the measurement.

DPD measurement results are updated for each iteration if the Number of Iteration setting is larger than one in Digital Predistortion block.

You can double-click on each window to enlarge it and double-click it again to return to the four-window view.

AM-AM

AM-AM curve displays ratio of the PA output signal amplitude to the PA input signal amplitude. So two signals are used use to plot the AM-AM curve. One is the reference signal, that is the PA input signal. The other is the PA output signal, which is the IQ waveform data captured by the Signal Analyzer in the IQ Analyzer(Basic) mode.

There are two results: the red one shows the AM-AM value without using DPD, and the green one shows the AM-AM value after using DPD.

There is also a "Normalized" check box in the window. Check it or uncheck it will decide whether to display the normalized value or not.

  1. Normalized: It displays the PAout/PAin value

  2. Not normalized: It displays the PA output value

AM-PM

AM-PM curve displays ratio of the PA output signal phase to the PA input signal amplitude.

There are two results: the red one shows the AM-PM value without using DPD, and the green one shows the AM-PM value after using DPD.

ACP

The ACP results are from the ACP measurement results in the Spectrum Analyzer mode of the Signal Analyzer. It displays the improvements in ACP (Adjacent Channel Power Ratio) after using DPD.

There are four ACP settings in the right panel, In-Channel Bandwidth, Adjacent Channel Count, Adjacent Channel BW, and Channel Offset, in which In-Channel Bandwidth, Adjacent Channel BW, and Channel Offset are coupled to the Bandwidth settings in the Waveform block in the block view. If you want to view the ACP results of more than one adjacent channel, you can adjust the Adjacent Channel Count value. The results will be updated after you rerun the measurement.


Example ET + DPD Measurement

ET is usually used together with DPD to improve the PA performance and efficiency. In this example, ET + DPD measurement is performed. The whole measurement process includes the following three parts.

  1. Setting up the measurement system

  2. Configuring parameters in N7614B Signal Studio for Power Amplifier Test software

  3. Executing the measurement and viewing the measurement results


1. Setting up the Measurement System

The following figures show the instrument connection of envelope tracking measurement.

Figure 1. Envelope tracking measurement setup when N5172B EXG/N5182B MXG is used as envelope signal generator

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference, trigger, and envelope signal connection; the black lines are for instrument control connection with LAN or GPIB. In envelope tracking test, timing alignment is required between the ETPA Vcc input and the RF input signal.

Instrument Supported

The table below shows the supported instruments for envelope tracking measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | N5182B MXG N5172B EXG
Envelope Signal Generator | N5182B MXG N5172B EXG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio with the RF Signal Generator, Envelope Signal Generator, and Signal Analyzer through LAN or GPIB.

  2. Connect the 10 MHz Ref Out port of the Envelope Signal Generator to the 10 MHz Ref In port of the RF Signal Generator and connect the EVENT 1 port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator for time alignment of the Envelope Signal Generator output and RF Signal Generator output.

  3. Connect the I OUT and [image] OUT of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

  4. Connect the EVENT 1 port on the rear panel of the RF Signal Generator to the Trigger IN 1 port on the rear panel of the Signal Analyzer using a BNC cable. This is to synchronize the RF Signal Generator and Signal Analyzer in time domain.

  5. Connect the 10 MHz OUT port on the rear panel of the RF Signal Generator to the EXT REF IN port on the rear panel of the Signal Analyzer using a BNC cable.

  6. Connect the RF OUTPUT port of the RF Signal Generator to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.


2. Configuring Parameters in N7614B Signal Studio

The following figure shows the block view settings in N7614B for ET+DPD measurement. In this example, both the Envelope Tracking block and the Digital Predistortion block are turned On.

The remaining section of this topic provides an example procedure of setting N7614B for ET+DPD measurement. Note that for different PA, the settings are different.

Step 1: Set the Waveform Block

Step 2: Set the Crest Factor Reduction Block

Step 3: Set the Digital Predistortion Block

Step 4: Set the Envelope Tracking Block

Step 5: Set the Envelope Signal Generator Block

Step 6: Set the ETPS Block

Step 7: Set the PA Block

Step 8: Set the RF Signal Generator Block

Step 9: Set the Signal Analyzer Block

Step 10: Set the Measurement View

Step 1: Set the Waveform Block

Click on the Waveform block icon on the UI. In the right panel, do the following:

  1. Select Preloaded as the Waveform Type and select the "LTE_FDD_5M_QPSK_FullRB.wfm" file.

    Closed Waveform Settings

    If you want to use a waveform generated by another Keysight signal studio, set Waveform Type to Signal Studio and select the file. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.
    Note that to use a waveform generated by another signal studio software for DPD test, the instrument needs to have the corresponding license. For this example, to use LTE waveform, the N7624B license needs to be installed in the instrument.

  2. Set the Resampling Ratio to 3.

  3. Set the bandwidth to 5 MHz according to the waveform bandwidth.

Step 2: Set the Crest Factor Reduction Block

Click on the Crest Factor Reduction block icon and Closed turn Crest Factor Reduction to Through on the UI.

Step 3: Set the Digital Predistortion Block

Click on the Digital Predistortion block icon and Closed turn on Digital Predistortion on the UI. In the right panel, do the following:

  1. Set Reference (w/o DPD) to On.

  2. Set the PA Model Type to Look-up Table. Refer to DPD Concept for details about different PA model types.

  3. Set the LUT Type to Absolute and LUT Apply Mode to AM/AM, then AM/PM.

  4. Enter the look-up table as below or you can also use an existing look-up table.Below is an example of the look-up table used here.

    In the process of measurement, you can also select another look-up table and click the Apply button [image]. This look-up table will be applied to the waveform under test directly.

Different PAs may have different characteristics, which will need different DPD models to simulate the DPD performance. In DPD test, if the measurement results are not as expected, you can try to change the the parameters for DPD model extraction. If the DUT is memoryless, it is recommended to set the PA Model Type to Look-up Table, or to set the PA Model Type to Memory Polynomial or Volterra Series and set the Memory Order to 0 or 1. If the DUT is memory device, it is recommended to set the PA Model Type to Memory Polynomial or Volterra Series.

Step 4: Set the Envelope Tracking Block

Click on the Envelope Tracking block icon and Closed turn on Envelope Tracking on the UI. In the right panel, do the following:

  1. Set the Envelope Source to From Predistorted Signal. Then the software will calculate the envelope signal using the signal after Digital Predistortion block.

  2. Set the Conversion Input Type to Absolute RF Output Voltage. This is to set the reference for the RF Voltage column in the shaping table.

  3. Enter the shaping tables.This shaping table is used to map the selected Conversion Input Type, Normalized I/Q Amplitude, Absolute RF Output Voltage or Override Absolute RF, to the supply voltage of the PA (Vcc).

    Here is the shaping table used as an example.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 5: Set the Envelope Signal Generator Block

Click on the Envelope Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Envelope Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. For other values, you can use the default settings. Note that the Voltage and Voltage Offset value will be set automatically after the test flow is run.

    Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 6: Set the ETPS Block

Click on the ETPS block icon on the UI. In the right panel, do the following:

  1. Set the ETPS Gain to 7.0 dB.

  2. Set the Vcc Offset to 2.75 V.

  3. Set the Vcm to 750 mV.

Refer to Voltage Mapping in Envelope Tracking Measurement for more details about Voltage Mapping.

Step 7: Set the PA Block

Click on the PA block icon on the UI. In the right panel, do the following:

  1. Enter the PA information by setting the Loss In, Loss Out, and PA Gain.

  2. Select PA Output as the Power Mode.

  3. Set Power to -10.00 dBm. This is to set the output power of the PA. Then the Amplitude setting in RF Signal Generator block will be set to (Power - PA Gain + Loss In) automatically.

Step 8: Set the RF Signal Generator Block

Click on the RF Signal Generator block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the RF Signal Generator and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Set Frequency to 2 GHz.

Step 9: Set the Signal Analyzer Block

Click on the Signal Analyzer block icon on the UI. In the right panel, do the following:

  1. Enter the IP address or host name of the Signal Analyzer and the toggle the Closed connect button on the top of the window to Connected state. After the instrument is connected, the model number and serial number of the instrument will be displayed in the Instrument cell.

  2. Note that the Frequency value is coupled to the frequency setting in RF Signal Generator block.

  3. Set the Trigger Source to External 1 and adjust Trigger Delay value as needed. For most cases, you can use the default value.

Step 10: Set the Measurement View

Click the [image] button on the Closed UI to change the current view from block view to measurement view.

You can turn Intermediate Result to On and set the ACP parameters as required. In this example, the default settings are used.


3. Executing the Measurement and Viewing the Measurement Results

This section introduce how to execute the ET+DPD test and how to view the measurement results. Follow the procedure below to execute the measurement and view the measurement results.

Initial Run

Timing Alignment

Executing the Measurement

Viewing the Measurement Results

Initial Run

  1. Closed Click on the Digital Predistortion block icon and turn it through.

    In ET+DPD test, it is recommended to run timing alignment first with DPD turned through. After timing alignment is finished, turn on DPD to run ET+DPD test.
  2. Click the Closed Run button on the tool bar to get the RF and ET waveform downloaded into the instrument and get the initial measurement results.

  3. Once the measurement begins, the detailed information will be displayed in the Log view at the bottom of the window as shown below.

    During the running process, you can stop it any time by clicking the Closed Stop button. When you see the "Complete!" message in the Log view, it indicates that the measurement is completed.

The default Delay setting in Envelope Tracking block may not be the optimal value for the current instruments/DUT connections. So the PA output performance (AM-AM, ACP) may be poor. Further timing alignment between the RF Signal Generator and the Envelope Signal Generator is required.

Timing Alignment

Timing alignment is to synchronize the input signal of the PA (the output of the RF Signal Generator) with the input voltage of the PA (the output of the Envelope Signal Generator) in time domain. There are two methods:

  • Manual: Adjust the Delay and Step setting in Envelope Tracking block manually with an oscilloscope connected to the Envelop Signal Generator and RF Signal Generator and observe the signals alignment.

  • Auto: Click the Closed Auto-align ET and RF signals button on the tool bar to get the signals aligned automatically.

    By selecting the Pre-Align with AM-AM for Auto-Align check box in the Envelope Tracking block, you can find a possible better initial delay value with the measured AM-AM results, but this may take longer time. After the auto-alignment is finished, the Delay setting in Envelope Tracking block is updated automatically.

If the related settings (e.g. sample rate, IQ delay, trigger delay in Generator instruments, etc.) are changed and applied, it’s recommended to do the timing alignment again.

Executing the Measurement

Once a proper time alignment has completed, the signal can be played repeatedly without re-alignment.

  1. Closed Click on the Digital Predistortion block icon and turn it on.

  2. Click the Closed Run button to play the signal and get the measurement results.

Viewing the Measurement Results

In the measurement view, there are four result windows: AM-AM, AM-PM, ACP, and EVM vs. Power. For ET+DPD test, only the first three results are used. These three results give an insight of PA's improvement on linearity after using ET and DPD.

You can double-click on each window to enlarge it and double-click it again to return to the four-window view.

You can make your own measurements, such as power-added efficiency (PAE) test, based on the PA output signal using the Keysight VSA software or applications on the Signal Analyzer.

AM-AM

AM-AM curve displays ratio of the PA output signal amplitude to the PA input signal amplitude. So two signals are used use to plot the AM-AM curve. One is the reference signal, that is the PA input signal. The other is the PA output signal, which is the IQ waveform data captured by the Signal Analyzer in the IQ Analyzer(Basic) mode.

There are two results: the red one shows the AM-AM value without using DPD, and the green one shows the AM-AM value after using DPD.

There is also a "Normalized" check box in the window. Check it or uncheck it will decide whether to display the normalized value or not.

  1. Normalized: It displays the PAout/PAin value

  2. Not normalized: It displays the PA output value

AM-PM

AM-PM curve displays ratio of the PA output signal phase to the PA input signal amplitude.

There are two results: the red one shows the AM-PM value without using DPD, and the green one shows the AM-PM value after using DPD.

ACP

The ACP results are from the ACP measurement results in the Spectrum Analyzer mode of the Signal Analyzer. It displays the improvements in ACP (Adjacent Channel Power Ratio) after using DPD.

There are four ACP settings in the right panel, In-Channel Bandwidth, Adjacent Channel Count, Adjacent Channel BW, and Channel Offset, in which In-Channel Bandwidth, Adjacent Channel BW, and Channel Offset are coupled to the Bandwidth settings in the Waveform block in the block view. If you want to view the ACP results of more than one adjacent channel, you can adjust the Adjacent Channel Count value. The results will be updated after you rerun the measurement.


User Interface

Menu Bar and Tool Bar

Menu bar and tool bar provides function for saving and recalling current settings, controlling of the measurement process, and

Content View, including

  • Block Diagram View

  • Measurement View

This view is the major view for N7614B Signal Studio for Power Amplifier Test. You can configure each block in the block view and view the measurement results in the measurement view.

Details View

When the blocks in Content View area are clicked, this view shows the detailed settings.

You can find information for each parameter under Block Diagram view and Measurement view sections.

Bottom View

  • Hint

  • Log

This view provides some assistant information.

Status Bar

This view shows the information provided in the status bar.


Waveform Setup

Waveform

This block is to load the original IQ waveform file with some basic processing, then pass it along to do further CFR/DPD/ET processing.

1. Basic | 2. Processing | 3. Burst Formation and Mask | 4. Markers
Waveform Type Waveform Location I/Q Variable Name File Name File Type Sample Rate Waveform Length Bandwidth | Resampling Ratio Resampled Waveform Length Filter State Maximum Order Pass Frequency Stop Frequency Pass Ripple Stop Ripple | Burst Shape & Mask | Marker 1 Source Marker 2 Source Marker 3 Source Marker 4 Source

1. Basic

Waveform Type

Choice: Preloaded | Signal Studio | User-defined | MATLAB Variable

Default: Signal Studio

Specify the type of waveform. It has three different choices, Preloaded, Signal Studio and User-defined.

  • Preloaded – N7614B Signal Studio for Power Amplifier Test provides about eight waveforms that do not require waveform licenses to use. They are WLAN and LTE waveforms with different settings.

  • Signal Studio – Select this option to use the waveform generated with another Keysight Signal Studio. Refer to Creating and Exporting Waveforms for details about exporting a waveform file.

    To use the waveform generated by another signal studio, the RF Signal Generator needs to have the corresponding license. For this example, if you plan to use the LTE waveform exported by N7624B signal studio, you need to have the N7624B license.

  • User-defined – Select this option to use a waveform in a certain format generated by the user.

  • MATLAB Variable – Select this option to use a waveform from the MATLAB workspace. See also IQ Variable Name.

Waveform Location

Choice: PC | RF Signal Generator

Default: PC

Coupling: This cell is grayed out if the waveform type is set to Preloaded or User-defined or when the RF Signal Generator Configuration is set to AWG + Signal Generator.

Select the waveform location for a signal studio waveform.

I/Q Variable Name

When MATLAB Variable is selected as the Waveform Type, clicking this parameter opens a Closed window where you can choose an I/Q variable name from the MATLAB workspace. The I/Q variable should be a 1-d complex array. If you have a valid license, you can launch MATLAB from the Signal Studio software's System menu and then use this window to browse or directly input a variable.

File Name

Click the [image] in the right side of the cell to browse the computer and select the waveform file.

File Type

Choice: CSV/Text | Big Endian 16 bits | MATLAB

Default: CSV/Text

Coupling: Available when the Waveform Type is set to User-defined.

Specify the format of the source file when the Waveform Type is set to User-defined.

  • CSV / Text
    .txt or .csv file format. The I/Q data is interleaved and delimited with comma.
    1.235, -3.123
    1.72, -2.15
    -0.5, -1.2
    …, …

  • Big Endian 16bits
    In this type of file, the DAC bit values of the IQ data are included with the leftmost bit is MSB. The I and Q data are interleaved. Unencrypted X-Series signal generator/ESG waveforms are stored in this format.

  • Matlab
    Matlab .mat waveforms. The .mat file may contain several complex arrays, but only the first array will be imported as the waveform.

Sample Rate

Range: 1 MHz to 8 GHz

Default: 5 MHz

Coupling: This cell is read-only when the Waveform Type is set to Predefined or Signal Studio.

It indicates the sample rate used by the waveform when Waveform Type is set to Predefined or Signal Studio. Sample rate is extracted from the header file of the waveform. You need to specify the sample rate manually when the Waveform Type is set to User-defined.

Waveform Length

Waveform Length is read-only and it indicates the sample number in the waveform.

Bandwidth

Range: 1 to 200 MHz

Default: 5 MHz

Specify the bandwidth of the waveform.

2.Processing

Resampling Ratio

Range: 0.1 to 20

Default: 1

Coupling: The resultant sampling rate will not be greater than 200 MHz if the configuration is set to RF Signal Generator (MXG-B). The resampling ratio is displayed as a fraction after rational approximation. You should set a proper resampling ratio to make the resampled waveform cyclic, that is, the waveform length should be able to be divided by the decimator. The software doesn’t do extra coupling to make sure the waveform is cyclic, instead, it reports an error after you click Run when the waveform length cannot be divided by the decimator.

Specifies the resampling ratio (RSR) that up-samples the waveform. This is not the RSR used by the imported waveform. Rather, it is the RSR that the software uses to resample the waveform. It is expected that the signal employed to extract a DPD model should have a resampling rate no less than 3. If the selected waveform's up-sampling ratio is less, it can be up-sampled here with a resampling ratio greater than 3. If the user-defined or chosen waveform file already has a high over-sampling ratio beyond the capability of the selected signal generator, then the created waveform must be be resampled with a ratio less than 1.

Resampled Waveform Length

Range: 1 to Int32.Max

Default: 10000

Coupling: It equals the product of Waveform Length and Resampling Ratio.

It indicates the sample number of the waveform after resampling.

Filter

Set the parameters to design a Parks-McClellan low pass filter in the menu below. The Parks-McClellan design method uses the Remez exchange algorithm to design linear phase FIR filters such that a filter has minimum weighted Chebyshev error in approximating a desired ideal frequency response. For more details, refer to Chapter 7.4.3 in "The Parks-McClellan Algorithm in Discrete-Time Signal Processing, 2nd ed".

The filter can be depicted as below, in which

fp is the pass frequency,

fs is the stop frequency,

δp is the pass ripple,

δs is the stop ripple.

Sate

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the application of the filter.

Maximum Order

Range: 1 to 2048

Default: 300

Set the maximum filter length. The filter’s length is clipped to the Maximum Order if the minimum filter length required to satisfy its specification exceeds the Maximum Order.

Pass Frequency

Range: 1 Hz to (Stop Frequency - 0.0015*Sample Rate*Resampling Ratio in Waveform block/2)

Default: 1.25 MHz

Set the pass frequency of the filter.

Stop Frequency

Range: 2 Hz to (0.5*Sample Rate*Resampling Ratio)

Default: 1.5625 MHz

Set the stop frequency of the filter.

Pass Ripple

Range: 0.0001 to 5.0

Default: 0.01

Set the maximum ripple in the pass band.

Stop Ripple

Range: 6.0 to 200.0

Default: 50.0

Set the maximum ripple in the stop band.

3. Burst Formation and Mask

Burst Shape & Mask

In real-time configuration mode, the Burst Shape & Mask function is not supported. It is grayed out and set to Off by default.

4. Marker

Marker 1 Source

Configure the marker points for Marker 1 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 1 signal from the rear-panel EVENT 1 output. For more information, see the signal generator's User Guide.

Marker 2 Source

Configure the marker points for Marker 2 using the Marker Source Selection dialog box.

The signal generator outputs the Marker 2 signal from the rear-panel EVENT 2 output. For more information, see the signal generator's User Guide.

Marker 3 Source

This parameter is read-only and it indicates Marker 3 is used to control ALC hold.

The signal generator outputs the Marker 3 signal from the rear-panel EVENT 3 output. For more information, see the signal generator's User Guide.

Marker 4 Source

This parameter is read-only and it indicates Marker 4 is used to control Pulse/RF Blank.

The signal generator outputs the Marker 4 signal from the rear-panel EVENT 4 output. For more information, see the signal generator's User Guide.


Envelope Tracking

This block is to generate the Envelope Tracking waveform.You can choose to turn on digital predistortion or turn it through by clicking the Closed toggle button on the block.

The ET waveform can be generated from the input IQ waveform, which can be either non-predistorted waveform before the DPD block or predistorted waveform after the DPD block.

  1. The IQ data is oversampled again and then the envelope |X| is calculated.

  2. RF Voltage -> ET Voltage transformation is applied based on the input shaping table.

Envelope Tracking Setting Table

1. Basic | 2. Timing Alignment | 3. Shaping Tables
Envelope Source | Delay | Add
Trigger Master | Manual-Align Step | Remove
Conversion Input Type | Pre-Align with AM-AM for Auto-Align | Open
Override Absolute RF Amplitude |  | Save
 |  | Apply

1. Basic

Envelope Source

Choice: From Non-predistorted Signal | From Predistorted Signal

Default: From Predistorted Signal

Coupling:

  • The Predistorted Signal option is not available if the Digital Predistortion block is turned through.

  • The selection of this parameter determines the input signal of the Envelope Tracking block, thus changes the display of the block view.

Double-click or use the drop-down menu to specify the source of the envelope signal.

Trigger Master

Specify the relationship between the RF Signal Generator and Envelope Signal Generator.

In real-time mode, Trigger Master is grayed out and set to Envelope Signal Generator. Then the Trigger Source in the RF Signal Generator block will be set to External, the External Delay in the RF Signal Generator block will be set to On, and the Trigger Source in the Envelope Signal Generator block will be set to Bus automatically.

Conversion Input Type

Choice: Normalized IQ Magnitude | Absolute RF Output Voltage | Override Absolute RF

Default: Normalized IQ Magnitude

Specify the data type for the input of the shaping table. If the Override Absolute RF is selected, the Override Absolute RF Amplitude value is used for shaping table input calculate, instead of the real RF power setting of the RF Signal Generator.

Override Absolute RF Amplitude

Range: -144 to 30 dBm

Default: -10 dBm

Coupling: This parameter is visible only when Conversion Input Type is set to Override Absolute RF.

Set the absolute RMS power for use as the shaping table input.

2. Timing Alignment

Delay

Range: -20 s to 20 s

Default: 0

Set the delay of the envelope signal to the PA input signal. This value can be set by entering a value directly, or by pressing the [image] / [image] buttons.

Manual-Align Step

Range: 1 ns to 100 ns

Default: 1 ns

Set the step of using the [image] / [image] buttons to set the Delay. This value can be set by entering a value directly or by pressing the [image] / [image] buttons.

Pre-Align with AM-AM for Auto-Align

Select this check box to turn on Pre-Align for Auto-Align. This parameter is only used in Auto-Align process.

If the check box is selected, Auto-Align starts with a Pre-Align process, in which δEVM is measured using a pre-defined delay value. If the δEVM is smaller than 8%, Auto-Align will continue using ACP results. Otherwise, δEVM measurement will be repeated using another four delay values, centered by the pre-defined delay value. In this process, if the δEVM is smaller than 8%, Auto-Align will continue using ACP results. Otherwise, Auto-Align will quit with warning. Using Pre-Align helps finding a better initial delay value for Auto-Align, but it may take longer time.

If the check box is unselected, Auto-Align is performed using ACP results.

3. Shaping Tables

This section is used to configure the shaping tables. As shown in the following figure, there are five buttons on the top, Add, Remove, Open, Save, and Apply.

On the left is a list of the shaping tables, and on the right is the details for the selected shaping table including the content and graph.

For the shaping table, the first column "RF Voltage" stands for the amplitude of the envelope signal with the Conversion Input Type. The second column "ET Voltage" stands for the power supply of the PA (Vcc). For more details about voltage mapping, refer to Voltage Mapping in Envelope Tracking Measurement.

Add

Click [image] button to add a new shaping table. The new table is added to the end of the list.

Remove

To remove a shaping table, select the table name in the list, then click [image] button.

Open

Click [image] button to import a shaping table.

Save

Click [image] button to save the table as .csv file.

Apply

Click [image] button to apply the shaping table in real-time.


Digital Predistortion

This block is to do the DPD processing for the IQ waveform. You can choose to turn on digital predistortion or turn it through by clicking the Closed toggle button on the block.

Digital Predistortion block supports two DPD modes. In real-time configuration, only Apply Only mode is supported.

1. General | 2. Model Settings | 3. IQ LUT
DPD Mode | PA Model Type | Add
Reference (w/o DPD) | LUT Type | Remove
 | LUT Apply Mode | Open
 |  | Save
 |  | Apply

1. General

DPD Mode

In Real-time mode, this setting is grayed out and set to Apply Only by default.

Reference (w/o DPD)

Choice: On | Off

Default: On

Coupling: Available only when DPD Mode is set to Apply Only and Measurement Enabled in the Measurement view settings is set to On.

Double-click or use the drop-down menu to choose whether to make AM-AM, AM-PM,and ACP measurements without applying DPD, for comparison.

If this parameter is set to On, in the measurement view, AM-AM, AM-PM, ACP windows will display two measurement traces, with DPD and without DPD.

If this parameter is set to Off, in the measurement view, AM-AM, AM-PM, ACP windows will display only one measurement trace, with DPD.

2. Model Settings

PA Model Type

Select the PA model extraction algorithm to be used. In real-time configuration, this setting is grayed out and fixed to Look-up Table.

For more detailed information about look-up table PA model type, refer to DPD Concept.

LUT Type

Choice: Normalized | Absolute

Default: Normalized

Set the type of values in the AM/AM, AM/PM in the look-up table.

LUT Apply Mode

Choice: AM/AM, then AM/PM | AM/PM, then AM/AM | AM/AM Only | AM/PM Only

Default: AM/AM, then AM/PM

Coupling: Available only when the PA Model Type is set to Look-up Table.

Set the method to apply the LUT table. Refer to Digital Pre-distortion Concept for more details.

3. IQ LUT

This area is used to configure the IQ LUT. There are five buttons on the top, Add, Remove, Open, Save, and Apply. In the middle, there is a list of LUTs, and at the bottom shows the details of the selected LUT.

Add

Click [image] button to add a new LUT. The new table is added to the end of the list.

Remove

To remove a LUT, select the table name in the list, then click [image] button.

Open

Click [image] button to import a LUT.

Save

Click [image] button to save the table as .csv file.

Apply

Click [image] button to apply the LUT table in real-time.


Envelope Signal Generator

This block is to configure the Envelope Signal Generator instrument.

Instrument Connection Button

Click this button to connect to the instrument after entering the address. This button has three status: Idle, Connecting, Connected.

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

1. Configuration | 2. Basic | 3. Output
Address | Sample Rate | State
Instrument | Trigger Source | Voltage Offset
 | Delay | Peak Voltage

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in Keysight IO Connection Expert.

Instrument

Default: N5182B

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Sample Rate

Range: 1 Hz to Maximum sample rate supported by the instrument

Default: 15 MSa/s

Set the sample rate of the Envelope Signal Generator. By default, this value is set to three times of the product of the Sample Rate value and Resampling Ratio value in Waveform block and the OSR for Envelope value in Envelope Tracking block.You can set it to a larger value if you like.

Trigger Source

Choice: External | Bus

Default: Bus

Set the type of trigger source of the Envelope Signal Generator.

Delay

Range: -250 ns to 250 ns

Default: 0

Set the IQ delay of the Envelope Signal Generator.

3. Output

State

Choice: On | Off

Default: On

Set the IQ state of the MXG/EXG as Envelope Signal Generator.

Voltage Offset

Range: -1.5 v to 1.5 v

Default: 0

Set the voltage offset of the Envelope Signal Generator.

Peak Voltage

Range: 0.1 to 1.1 v

Default: 0.4

Coupling:

  • If the Envelope Source setting in the Envelope Tracking block is set to From Predistorted Signal or From Non-predistorted Signal, this value will be calculated and filled automatically when you run the measurement.

  • If the Envelope Source setting in the Envelope Tracking block is set to User Defined, you need to provide the value for this setting.

Set the peak voltage of the envelope signal generator. Refer to Voltage Mapping in Envelope Tracking Measurement for more details about peak voltage.


RF Signal Generator

This block is to configure the RF Signal Generator instrument.

Instrument Connection Button

Click this button to connect to the instrument after entering the address. This button has three status: Idle, Connecting, Connected.

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

RF Signal Generator Setting Table

1. Configuration | 2. Basic | 3. I/Q | 4. ALC
Address | Frequency | Int Channel Correction | ALC
Instrument | Amplitude | I/Q Adjustments | Power Search Reference
DC Calibration | RF Output | I Offset |
 |  | Q Offset |
 |  | I/Q Gain Balance |
 |  | Quadrature Angle Adjustment |
 |  | I/Q Skew |
 |  | I/Q Delay |
5. Baseband | 6. Markers | 7. Triggers | 8. Real-time Noise Setup
Runtime Scaling | Pulse/RF Blank | Trigger Type | Real-time AWGN
Modulation Attenuation Mode | ALC Hold | Trigger Source | Carrier to Noise Ratio
Modulation Attenuation |  | External Source | Carrier Bandwidth
Sample Clock |  | External Polarity | Noise Bandwidth
 |  | External Delay |
 |  | External Delay Time |
 |  | Continuous |
 |  | Single |
 |  | Segment Advance |
 |  | Gated |

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: N5182B

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

DC Calibration

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the DC calibration after the waveform download.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Default: 1 GHz

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Default: -10 dBm

Enter a value to set the signal generator’s output amplitude in dBm.

  • If the PA Mode in PA block is set to PA input, the Amplitude value here in RF Signal Generator Block is coupled with the Power and Loss In setting in PA block as follows:

    • If the Power or Loss In value in PA block is changed, the Amplitude value here will be changed to (PA Power + Loss In).

    • If the Amplitude value here is changed, the PA Power value in PA block will be changed to (Amplitude - Loss In).

  • If the PA Mode in PA block is set to PA output, the Amplitude value is coupled with the settings under PA block, which is (PA Power + Loss In -Gain).

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

3. I/Q

Int Channel Correction

Choice: On | Off

Default: Off

Coupling: Only visible when the RF Signal Generator connected is N5182A/B MXG or N5172B EXG.

Double-click or use the drop-down menu to turn the internal channel correction On or Off.

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range: -20% to 20%

Default: 0.0%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range: -20% to 20%

Default: 0.0%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

I/Q Gain Balance

Range: -1 dB to 1 dB in 0.001 dB steps

Default: 0.00 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: -10 to 10 degrees

Default: 0 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

I/Q Skew

Range: -800 ns to 800 ns

Default: 0.0 ns

Changes the absolute phase of both the I and Q signals with respect to triggers and markers. Positive values add delay and negative values advance the signals. This value affects both the baseband signal modulated onto the RF and the external output signals (I and Q). This setting cannot be used with constant envelope modulation and it does not affect external I and Q inputs.

I/Q Delay

Range: -1.0 to 1.0 seconds, 1 ps step

Default: 0.0 ps

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

Power Search Reference

Choice: RMS |Fixed |Manual| Modulated

Default: RMS

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulated – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.

5. Baseband

Runtime Scaling

Range: 1 to 100% (100% = no scaling)

Default: 70%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital-to-analog converters (DAC) and to reduce the overshoot associated with the DAC interpolation filter. Waveform Runtime Scaling does not change the data in the waveform file.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Set the modulation attenuation mode for the I/Q modulator to automatic or manual.

AUTO – the signal generator optimizes the modulation attenuation for the current conditions.

Manual – applies the value set in the Modulation Attenuation cell.

Modulation Attenuation

Range: 0 to 130 dB (minimum increment 0.01 )

Default: 6.00 dB

Use this parameter to reduce the signal level driving the I/Q modulation block. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

Set the Modulation Attenuation Mode to Manual to enable this parameter.

Sample Clock

Range: for sample clock values, see the signal generator's data sheet

Default: 200 MHz

The sample clock rate of the instrument is automatically calculated by the software, which is the product of the Sample Rate and Resampling Ratio in Waveform block.

6. Markers

Pulse/RF Blank

This parameter is read-only and displays the marker used for RF blanking. Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

RF blanking incorporates ALC hold, so you do not need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms to avoid exceeding the ALC hold limit.

ALC Hold

This parameter is read-only and displays the marker for ALC hold. ALC hold is used when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

The hold selection remains until you reconfigure it, preset the signal generator, or cycle the signal generator power.

Incorrect ALC settings can cause a sudden unleveled condition to occur. An unleveled RF output can damage a DUT or connected instrument. Ensure that you set markers such that the ALC obtains a sample that accounts for the high power levels within the signal.

7. Triggers

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

Single – sets up a waveform to play once after receiving a trigger.

Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must select External as the Trigger Source.

Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See Segment Advance.

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Coupling: Trigger Source will be coupled to External if the Trigger Master setting in the Envelope Tracking block is set to Envelope Signal Generator, and will be coupled to Bus if the Trigger Master setting in the Envelope Tracking block is set to RF Signal Generator.

Double-click or use the drop-down menu to select the triggering method.

Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External – causes a waveform to trigger from an externally supplied trigger signal.

Bus – enables a command sent through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector to trigger a waveform.

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Double-click or use the drop-down menu to select the rear-panel input for the external trigger signal. External must be selected as the trigger source.

Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

External Polarity

Choice: Positive | Negative

Default: Positive

Coupling: This setting will be coupled to Positive if the Envelope Tracking Block is set to On and the Trigger Master is set to Envelope Signal Generator.

Sets the polarity of the external trigger. This parameter is active only if you select External as the trigger source.

Negative – the signal generator triggers an event when it receives a negative change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

Positive – the signal generator triggers an event when it receives a positive change in the signal at the PAT TRIG IN or AUX I/O rear panel connector.

External Delay

Choice: On | Off

Default: Off

Coupling: This setting will be coupled to On if the Trigger Master in the Envelope Tracking block is set to Envelope Signal Generator, and will be coupled to Off is the Trigger Master is set to RF Signal Generator.

Turns the external trigger delay off or on. This parameter is active only after selecting External as the trigger source.

External Delay Time

Range:

N5182A: 8 ns to 30 s, in 8 ns steps

All other models: 10 ns to 40 s, in 10 ns steps

Default:

1 ms

Coupling: If Envelope Tracking block is set to On and the Trigger Master in Envelope Tracking block is set to Envelope Signal Generator, this setting and the I/Q Delay setting in this block will be determined by the Delay value in the Envelope Tracking block.

Sets the amount of time to delay the signal generator's response to an external trigger, in 8 ns or 10 ns steps. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

Coupling: This setting will be coupled to Trigger & Run if the Envelope Tracking block is set to On and the Trigger Master in the Envelope Tracking block is set to Envelope Signal Generator.

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run – immediately triggers when you turn the format on.

Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

Double-click or use the drop-down menu to select the single mode and one of the following trigger responses.

No Retrigger – the waveform segment ignores triggers during playback

Buffered Trigger – causes a waveform to accept a trigger during playback and to restart after the current play finishes.

Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

Single – causes a segment to play once and to wait for a trigger before the sequence advances to the next segment.

Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Gated

Choice: Active High | Active Low

Default: Active High

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

Active Low – causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

Active High – causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

8. Real-time Noise Setup

Real-time AWGN

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

On – enables the addition Real-time Noise.

Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: -100 to 100 dB

Default: 0 dB

Enter the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range:

N5182A 1.0 Hz to 100 MHz

E4438C 1.0 Hz to 80 MHz

Default: 1.0 Hz

Specify the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier). Also, the maximum upper range is limited to Base Sampling Rate x OSR before download is finished.

Noise Bandwidth

Range: 0.001 Hz to 100.000 MHz

Default: 1.000 Hz

Set or change the noise bandwidth.

This parameter is available only when the RF Signal Generator connected is N5172B EXG, N5182A/B MXG.


ETPS (Envelope Tracking Power Supply)

This block is to specify the parameters for the ETPS, which are mostly used in the RF Voltage (power supply of PA) to Envelop Voltage transformation. Most of the definitions in this block follow the terminologies used in MIPI eTrak specification. Refer to Voltage Mapping for more details.

1. ETPS | 2. ETPS Input and Output
ETPS Gain | Vcm
Vcc Offset | Vcc Clipping
 | Vcc Max
 | Vcc Min

1. ETPS

ETPS Gain

Range: 0 to 20 dB

Default: 7 dB

Set the ETPS Gain.

Vcc Offset

Range: 0 to 5 V

Default: 2.750 V

Set the Vcc Offset of ETPS.

2. ETPS Input and Output

Vcm

Range: 0 to 2 V

Default: 450 mV

Set the common mode voltage specified in the eTrak specification.

Vcc Clipping

Choices: On | Off

Default: Off

Double-click or use the drop-down menu to specify whether to clip the envelope value using Vcc Max and Vcc Min values.

Vcc Max

Range: 0.1 to 5 V

Default: 3.8 V

Coupling: Available only when the Vcc Clipping is set to on.

Set the maximum value of Vcc.

If this value is set to a smaller value than Vcc Min, Vcc Min value will be reduced to (Vcc Max -0.1).

Vcc Min

Range: 0 to (Vcc Max - 0.1)

Default: 600 mV

Coupling: Available only when the Vcc Clipping is set to on.

Set the minimum value of Vcc.


PA

This block is to specify the parameters to control the power level at the PA input port and output port.

1. General | 2. Power Control | 3. Power Sweep
PA Input Power Limit | Power Mode | Power Sweep State
Loss In | Input Power |
Loss Out | Output Power |
PA Gain | Power Servo |
 | Power Tolerance |
 | Fast Power |

1. General

PA Input Power Limit

Range: -100 to 250 dBm

Default: 0 dBm

Set the maximum power level for the PA input. This parameter is used to protect PA from damage. The maximum power level of the RF Signal Generator is (PA Input Power Limit + Loss In), correspondingly.

Loss In

Range: 0 to 100 dB

Default: 0 dB

Set the path loss between the RF Signal Generator and the PA.

Loss Out

Range: 0 to 100 dB

Default: 0 dB

Set the path loss between the PA and the Signal Analyzer.

PA Gain

Range: 0 to 100 dB

Default: 20 dB

Set the gain of the PA.

2. Power Control

Power Mode

Choice: PA Input | PA Output

Default: PA Input

Specify the exact place that the power settings refer to.

Input Power

Range: -100 to 250 dBm

Default: -10 dBm

Coupling: Visible only when the Power Mode is set to PA Input and the Input Power value will be clipped by the PA Input Power Limit setting.

Set the PA input power level when the Power Sweep State is set to Off.

Output Power

Range: -100 to 250 dBm

Default: -10 dBm

Coupling: Visible only when the Power Mode is set to PA Output and the Output Power value will be clipped by the PA Input Power Limit and PA Gain settings.

Set the PA output power level when the Power Sweep State is set to Off.

Power Servo

Choice: On | Off

Default: Off

Coupling: Visible only when the Power Mode is set to PA Output.

Enable or disable the power servo.If it is set to on, Power Servo will be performed to obtain an accurate PA output power.

Power Servo is a loop, in which the PA output power is measured with the Signal Analyzer and then the PA input power is adjusted accordingly. By such iteration, the PA output power gradually converges to the target power within the limit of Power Tolerance.

Power Tolerance

Range: 0.01 to 3 dB

Default: 1 dB

Coupling: Visible only when the Power Servo is set to On.

Set the accuracy of PA output power. The result PA output power should be within the range of (target power ± Power Tolerance).

Fast Power

Choice: On | Off

Default: Off

Set whether to use fast power function in signal analyzer to measure channel power. When the value is set to on, N7614B Signal Studio for Power Amplifier Test will try to use fast power function if it is available.

For a signal analyzer to support fast power, it requires:

  • N9020A MXA or N9030A PXA with firmware version equal to or above 14.0.

  • FP2 and B40 options in the signal analyzer.

  • waveform bandwidth smaller than 40 MHz.

3. Power Sweep

Power Sweep State

Enable or disable the power sweep. In real-time configuration, power sweep is not supported so this setting is grayed out and set to Off.


SCPI

SCPI Basics | provides basic information about SCPI commands
SCPI Command List | provides a comprehensive list of the EXG and MXG SCPI commands with links to their descriptions


SCPI Command Basics

This section describes the general use of SCPI commands. It is not intended to teach you everything about the SCPI language; the SCPI Consortium or IEEE can provide that level of detailed information. For a list of the specific commands available, refer to the SCPI list.

For additional information on the SCPI language, refer to the following publications:

  • IEEE Standard 488.1-2003, IEEE Standard For Higher Performance Protocol for the Standard Digital Interface for Programmable Instrumentation. New York, NY, 2003.

  • IEEE Standard 488.2-1992, IEEE Standard Codes, Formats, Protocols and Command Commands for Use with ANSI/IEEE Standard 488.1-1987. New York, NY, 1998.

Common Terms

The following terms are used throughout the remainder of this section:

Command | A command is an instruction in SCPI consisting of mnemonics (keywords), parameters (arguments), and punctuation. You combine commands to form messages that control instruments.
Controller | A controller is any device used to control the instrument, for example a computer or another instrument.
Event Command | Some commands are events and cannot be queried. An event has no corresponding setting; it initiates an action at a particular time.
Query | A query is a special type of command used to instruct the instrument to make response data available to the controller. A query ends with a question mark. Generally you can query any command value that you set.
Response Message | A response message is a collection of data in specific SCPI formats sent from the instrument to the controller. Response messages tell the controller about the internal state of the instrument.

Command Syntax

A typical command is made up of keywords prefixed with colons (:). The keywords are followed by parameters. The following is an example syntax statement:

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

In the example above, the [:STATe] portion of the command immediately follows the :DM:IQADjustment portion with no separating space. The portion following [:STATe], ON|OFF|1|0, are the parameters (argument for the command statement). There is a separating space (white space) between the command and its parameter.

Additional conventions in syntax statements are shown in Table 1. Special Characters in Command Syntax and Table 2. Command Syntax.

Table 1. Special Characters in Command Syntax
Characters | Meaning | Example
| | A vertical stroke between keywords or parameters indicates alterative choices. For parameters, the effect of the command varies depending on the choice. | [:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative POSitive or NEGative are the choices.
[ ] | Square brackets indicate that the enclosed keywords or parameters are optional when composing the command. These implied keywords or parameters will be executed even if they are omitted. | [:SOURce]:FREQuency[:CW]? SOURce and CW are optional items.
< > | Angle brackets around a word (or words) indicate they are not to be used literally in the command. They represent the needed item. | [:SOURce]:FREQuency[:CW] <value><unit> In this command, the words <value> and <unit> should be replaced by the actual frequency and unit. :FREQuency 2.5GHz
{ } | Braces indicate that parameters can optionally be used in the command once, several times, or not at all. | [:SOURce]:LIST:POWer <value>{,<value>} a single power listing: :LIST:POWer 5 a series of power listings: :LIST:POWer 5,10,15,20

Table 2. Command Syntax

Characters, Keywords, and Syntax

Example

Upper-case lettering indicates the minimum set of characters required to execute the command. But, each mode of the command must be in either short form or the complete long form (no in between).

[:SOURce]:FREQuency[:CW]?,

:FREQ is the minimum requirement.

Lower-case lettering indicates the portion of the command that is optional; it can either be included with the upper-case portion of the command or omitted. This is the flexible format principle called forgiving listening. Refer to Command Parameters and Responses for more information.

:FREQuency

Either :FREQ, :FREQuency, or :FREQUENCY is correct.

:FREQuenc is incorrect.

When a colon is placed between two command mnemonics, it moves the current path down one level in the command tree. Refer to Command Tree for more information on command paths.

:IQ:OUTPut:TRIGger:EXTernal:POLarity?

:IQ is the root level keyword for this command.

If a command requires more than one parameter, you must separate adjacent parameters using a comma. Parameters are not part of the command path, so commas do not affect the path level.

[:SOURce]:LIST:DWELl <value>{,<value>}

White space characters, such as <tab> and <space>, are generally ignored as long as they do not occur within or between keywords.

However, you must use white space to separate the command from the parameter, but this does not affect the current path.

:FREQ uency or :POWer :LEVel are not allowed.

A <space> between :LEVel and 6.2 is mandatory: :POWer:LEVel 6.2

Command Tree

SCPI uses a structure for the commands similar to the file systems on most computers. In SCPI, this command structure is called a command tree and is shown in Figure 2. Simplified Command Tree.

Figure 2. Simplified Command Tree

The command closest to the top is the root command, or simply “the root.” Notice that you must follow a particular path to reach lower level commands. In the following example, :POWer represents AA, :ALC represents BB, :SOURce represents GG. The complete command path is :POWer:ALC:SOURce? (:AA:BB:GG).

Command Parameters and Responses

SCPI defines different data formats for use in program and response messages. It does this to accommodate the principle of forgiving listening and precise talking. For more information on program data types refer to IEEE 488.2.

Forgiving listening means the command and parameter formats are flexible.

For example, with the :OUTPut:STATe ON|OFF|1|0 command, an MXG accepts :OUTPut:STATe ON, :OUTPut:STATe 1, :OUTP:STAT ON, :OUTP:STAT 1 to turn on the RF output.

Each parameter type has one or more corresponding response data types. A setting that you program using a numeric parameter returns either real or integer response data when queried. Response data (data returned to the controller) is more concise and restricted, and is called precise talking.

Precise talking means that the response format for a particular query is always the same.

For example, if you query the power state (:POWer:ALC:STATe?) when it is on, the response is always 1, regardless of whether you previously sent :POWer:ALC:STATe 1 or :POWer:ALC:STATe ON. Table 3. Parameter and Response Types shows the response for a given parameter type.

Table 3. Parameter and Response Types
Parameter Types | Response Data Types
Numeric | Real, Integer
Extended Numeric | Real, Integer
Discrete | Discrete
Boolean | Numeric Boolean
String | String
Definite Block | Arbitrary byte data(i.e. text, binary, discrete, real, integer, etc.-). 1

Numeric Parameters

Numeric parameters are used in many commands and these commands accept all commonly used decimal representations of numbers including optional signs, decimal points, and scientific notation.

If an instrument setting is programmed with a numeric parameter, which can only assume a finite value, it automatically rounds any entered parameter which is greater or less than the finite value. For example, if a signal generator has a programmable output impedance of 50 or 75 ohms, and you specified 76.1 for the output impedance, the value is rounded to 75.

The following are examples of numeric parameters:

100 | no decimal point required
100. | fractional digits optional
-1.23 | leading signs allowed
4.56E<space>3 | space allowed after the E in exponential
-7.89E-001 | use either E or e in exponential
+256 | leading + allowed
.5 | digits left of decimal point optional

Extended Numeric Parameters

When specifying physical quantities, most commands use extended numeric parameters. Extended numeric parameters accept all numeric parameter values and other special values as well.

The following are examples of extended numeric parameters:

100 | any simple numeric value
1.2GHz | GHz can be used for exponential (E009)
200MHz | MHz can be used for exponential (E006)
-100mV | negative 100 millivolts
10DEG | 10 degrees

Extended numeric parameters also include the following special parameters:

DEFault | resets the parameter to its default value
UP | increments the parameter
DOWN | decrements the parameter
MINimum | sets the parameter to the smallest possible value
MAXimum | sets the parameter to the largest possible value

Discrete Parameters

Discrete parameters use mnemonics to represent each valid setting. They have a long and a short form, just like command mnemonics. You can mix upper and lower case letters for discrete parameters.

The following examples of discrete parameters are used with the command

:POWer:ALC:SEARch:REFerence RMS|FIXed|MODulated

RMS | power search uses a DC bias value
FIXed | power search uses a fixed 0.5 V reference
MODulated | power search uses an AC bias from the modulating signal

Although discrete parameters look like command keywords, do not confuse the two. In particular, be sure to use colons and spaces properly. Use a colon to separate command mnemonics from each other and a space to separate parameters from command mnemonics.

The following are examples of discrete parameters in commands:

:POWer:ALC:SEARch:REFerence RMS

:POWer:ALC:SEARch:REFerence FIXed

:POWer:ALC:SEARch:REFerence MODulated

Boolean Parameters

Boolean parameters represent a single binary condition that is either true or false. The two-state boolean parameter has four arguments.

The following list shows the arguments for the two-state boolean parameter:

ON | boolean true, upper/lower case allowed
OFF | boolean false, upper/lower case allowed
1 | boolean true
0 | boolean false

String Parameters

String parameters allow ASCII strings to be sent as parameters. Single or double quotes are used as delimiters.

The following are examples of string parameters:

'This is valid'

"This is also valid"

'SO IS THIS'

Definite Block

Definite block is always prefixed by the # symbol to indicate the beginning of block data. The definite block (#ABC) is described as follows:

# | This character indicates the beginning of the data block
A | Number of digits in the byte count B
B | Byte count in C
C | data

Real Response Data

Real response data represent decimal numbers in either fixed decimal or scientific notation. Most high-level programming languages that support instrument input/output (I/O) handle either decimal or scientific notation transparently.

The following are examples of real response data:

+4.000000E+010, -2.000000E+004

-9.990000E+002

+4.0000000000000E+010

+1

0

Integer Response Data

Integer response data are decimal representations of integer values including optional signs.

The following are examples of integer response data:

0 | signs are optional
+100 | leading + allowed
-100 | leading - allowed
256 | never any decimal point

Discrete Response Data

Discrete response data are similar to discrete parameters. The main difference is that discrete response data only returns the short form of a particular mnemonic, in all upper case letters.

The following are examples of discrete response data:

IMM

EXT

INT

NEG

Numeric Boolean Response

Boolean response data returns a binary numeric value of one or zero.

String Response Data

String response data are similar to string parameters. The main difference is that string response data returns double quotes, rather than single quotes. Embedded double quotes may be present in string response data. Embedded quotes appear as two adjacent double quotes with no characters between them.

The following are examples of string response data:

"This is a string"

"one double quote inside brackets: [""]"

"Hello!"

File Name Variables

File name variables designate a data file and file path. File name variables are used in the SCPI command syntax whenever files are accessed. The name of the file is always required, but the file path can sometimes be optional or designated. See Table 4. File Name Path Formats for examples:

Table 4. File Name Path Formats
Format | File Name Variable | Example
Format 1 | "<file name>" | "Test_Data"
Format 2 | "<file path/file name>" | "/USER/SEQ/Test_Data"

Format 1 can only be used with SCPI commands that imply the path name as part of the command syntax. Typically, SCPI load commands that access user-data files do not need to have a file path designated.

The maximum length for a file name is 23 characters, excluding the file path.

Quote Usage with SCPI Commands

As a general rule, programming languages require that SCPI commands be enclosed in double quotes as shown in the following example:

":POWer:ALTernate:AMPLitude 55"

However when a string is the parameter for a SCPI command, additional quotes or other delimiters may be required to identify the string. Your programming language may use two sets of double quotes, one set of single quotes, or back slashes with quotes to signify the string parameter. The following examples illustrate these different formats:

"RADio:EDGE:BURSt:SHAPe ""myfile""" used in BASIC programming languages

"RADio:EDGE:BURSt:SHAPe \"myfile"" used in C, C++, Java, and PERL

"RADio:EDGE:BURSt:SHAPe 'myfile'" accepted by most programming languages

Consult your programming language reference manual to determine the correct format.

Binary, Decimal, Hexadecimal, and Octal Formats

Command values may be entered using a binary, decimal, hexadecimal, or octal format. When the binary, hexadecimal, or octal format is used, their values must be preceded with the proper identifier. The decimal format (default format) requires no identifier and an instrument assumes this format when a numeric value is entered without one. The identifiers for the formats that require them are as follows:

#B identifies the number as a binary numeric value (base-2).

#H identifies the number as a hexadecimal alphanumeric value (base-16).

#Q identifies the number as a octal alphanumeric value (base-8).

The following are examples of SCPI command values and identifiers for the decimal value 45:

#B101101 binary equivalent

#H2D hexadecimal equivalent

#Q55 octal equivalent

The following example sets the RF output power to 10 dBm (or the equivalent value for the currently selected power unit, such as DBUV or DBUVEMF) using the hexadecimal value 000A:

:POW #H000A

A unit of measure such as dBm or mV will not work with the values when using a format other than decimal.


SCPI Command List

SCPI | Description
[:SOURce]:RADio:PATest:DPD:STATe ON|OFF|1|0 | Enable DPD
[:SOURce]:RADio:PATest:DPD:AMAM <in0>,<amam0>,<in1>,<amam1>,…,<inN>,<amamN> | Set AM/AM LUT only (binary only), all values are in float 32 format
[:SOURce]:RADio:PATest:DPD:AMPM <in0>,<ampm0>,<in1>,<ampm1>,…,<inN>,<ampmN> | Set AM/PM LUT only (binary only), all values are in float 32 format
[:SOURce]:RADio:PATest:DPD:LUT:MODe AMFirst|PMFirst|AMOnly|PMOnly | Set/get the Apply mode used in DPD
[:SOURce]:RADio:PATest:DPD:CONVersion NORMalized|ABSolute | Set/get whether the table is using Normalized value or Absolute value
[:SOURce]:RADio:PATest:ET:PSGain <value> | Set/get ETPS gain
[:SOURce]:RADio:PATest:ET:SCALing <value> | Set/get ET Scaling value for ET. It is used to adjust the absolute value of I/Q output of MXG. The scaling value = 1 / Max Output voltage
[:SOURce]:RADio:PATest:ET:STATe ON|OFF|1|0 | Enable ET
[:SOURce]:RADio:PATest:ET:TEXT <in0>,<out0>;<in1>,<out1>;…;<inN>,<outN> | Set/get ET Shaping table by text (undocumented SCPI)
[:SOURce]:RADio:PATest:FORMat:BORDer NORMal|SWAPped | Sets/gets the data transfer order of each byte
[:SOURce]:RADio:PATest:ET:VOFFset <value> | Set/get Vcc offset
[:SOURce]:RADio:PATest:ET:DATA <in0>,<out0>,…,<inN>,<outN> | Set/get ET Shaping Table, all values are in float 32 format.
[:SOURce]:RADio:PATest:ET:CONVersion NORMalized|ABSolute | Set/get whether the shaping table input is using Normalized value or Absolute value
[:SOURce]:RADio:PATest:PAIN <value> | Set/get PA input power for scaling absolute shaping table
[:SOURce]:RADio:PATest:PAPR <value> | Set/get PAPR value of input waveform in dB
[:SOURce]:RADio:PATest:FILE <filename> | Select waveform file from ARB memory
[:SOURce]:RADio:PATest:SRATe <value> | Set/get waveform sample rate


Troubleshooting

Instrument Problems | provides solutions for measurement or operation problems with the instrument.
User Permissions | describes how to set user permissions for installing and running the software.


Instrument Problems

Signal Generator

Front panel keys do not work

Downloading the waveform places the signal generator in the remote operation mode and deactivates front panel operation. On the signal generator, press the Local key to restore front panel operation.

Error messages

  1. Check the signal generator for error messages; if possible, correct the conditions indicated by the messages.

When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the signal generator display. To view the full text of the error messages use the method shown for your instrument:

ESG/PSG:

Press Utility > Error Info on the signal generator front panel to view error messages on the display.

Execute the SCPI error commands described in the System Subsystem section of the SCPI Reference manual.

EXG/MXG:

Press the Error hardkey on the signal generator front panel to view error messages on the display.

  2. Refer to the instrument's documentation for further troubleshooting information.

  3. Contact a Keysight Technologies Service Center.

Computer

  1. Verify that the equipment meets the minimum requirements. See System Requirements.

  2. Refer to the computer's documentation for troubleshooting and repair.


User Permissions

To install and run the N7614B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the PA Test installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Release Notes

N7614B Release Notes

Version 5.2 - Aug 2017

Version 5.0 - Apr 2017

Version 4.0 - Sep 2016

Version 3.0 - Jan 2016

Version 2.1 - Jun 2015

Version 2.0 - May 2015

Version 1.0 - Aug 2014

Version 5.2 - Aug 2017

  • Added M8190A AWG support for Envelope Tracking testing

  • Added VXT support for Digital Pre-Distortion and Envelope Tracking testing

  • Signal Analyzer trigger level setting updated to visible

  • Added Export Pre-Distorted Waveform and Export DPD Model features

Version 5.0 - Apr 2017

  • Added PAE measurements for Envelope Tracking testing

  • Added M320xA PXIe AWG support for Envelope Tracking testing

  • Added M8195A Digital Up-Conversion (DUC) support

  • Added M8190A12-bit DUC support for signals with high sampling frequency (up to 12 GHz)

Version 4.0 - Sep 2016

Enhancements

  • Added support for wideband DPD with calibration (Option Hxx) (requires DPD, Option Fxx)

  • Added 89600 VSA support

  • Added M8190A AXIe AWG baseband-only support

  • Added envelope tracking for dual-band DPD

  • Enhanced calibration algorithm

  • Carrier frequency offset compensation (requires DPD, Option Fxx)

  • Tools for importing I/Q waveform to MATLAB and I/Q waveform conversion

  • Added fast capture capability to signal analyzer settings

Bug Fixes

  • Fixed an issue where the EVM V.S. Power data was not exported correctly.

  • Fixed an issue where the WLAN 160MHz preloaded waveform wrongly included idle interval.

  • Fixed an issue where the software was not finding large waveform files on signal generators.

  • Fixed an issue where the software was not playing waveforms with an M8190A in 12-bit mode when Option 14B is missing.

Version 3.0 - Jan 2016

Enhancements

  • Added support for dual-band DPD

  • Added support for user-defined MATLAB DPD algorithms

  • Added direct connectivity support for the following instruments:

    • M9381A PXIe Vector Signal Generator

    • M9391A PXIe Vector Signal Analyzer

    • M9393A PXIe Performance Vector Signal Analyzer

    • Digital Up-Conversion (DUC) Modes of M8190A Arbitrary Waveform Generator

  • Added Peak Cancellation algorithm to Crest Factor Reduction

  • Other enhancements include:

    • The resampling function is now more flexible for either up-sampling or down-sampling

    • The ACP measurement is now able to use a saved SA instrument state file to do the measurement

    • Refined the ACP measurement results display and added a new Peak Power result

    • Added new ∆EVM results before CFR

    • Added graph for the Waveform block settings

    • The Export Trace function now generates separated .csv files for different measurement results

    • Added I/Q waveform download utility in the RF Signal Generator block

Bug Fixes

  • Fixed an issue where the Frequency Center setting in the Signal Analyzer block was limited to 27 GHz

Version 2.1 - Jun 2015

Bug Fixes

  • Fixed an issue where API commands were called by x64 application

  • Fixed an issue where the EVM vs. Power graph incorrectly displayed output power in cases where any Loss Out was entered in the Power Amplifier settings

Version 2.0 - May 2015

Enhancements

  • Added real-time ET and DPD solution support with two N5182B MXG/N5172B EXGs

  • Added M8190A AWG support for wideband DPD

  • Added N5172B EXG/N5182B MXG support as envelope signal generator in ARB mode

  • Added support for selecting the order of look-up table application (AM/AM then AM/PM, AM/PM then AM/AM, AM/AM Only, AM/PM Only)in the Digital Predistoriton block

  • Added support for using Fast Power feature in the signal analyzer to measure channel power

  • Added EVM vs. Power measurement on LTE signals

  • Added several features in each block diagram as following:

    • Pre-distorted waveform export in Digital Predistortion block

    • I/Q waveform capture in Signal Analyzer block

    • ET shaping graph in Envelope Tracking block

    • Trace export in Measurement view

    • Polynomial curve fitting on AM/AM and AM/PM trace in the Measurement view

Bug Fixes

  • Fixed a defect related to attenuator handling of N9030A PXA

  • Fixed a defect that the power servo power is higher than expected by using the appropriate filter type in SA

  • Fixed a defect that Envelop Source parameter cannot be recalled correctly from a .scp file for some configurations

  • Fixed a defect that the default value for 33xxx AWG Filter should be Normal

  • Fixed a defect that the waveform cannot be updated/used if the new waveform file has the same name

  • Fixed a defect that the applied table is different from the selected one after adding/removing DPD LUT table several times

  • Fixed a defect that waveform capture is failed when the max SA capture memory length is less than 536870908 samples

  • Fixed a defect that FETCh:ACP7? is invalid on very old SA firmware like A.08.03

Version 1.0 - Aug 2014

Software version 1.0 is the initial release of N7614B Signal Studio for PA test. It supports power amplifier (PA) test flow including CFR (crest factor reduction), ET (Envelope Tracking)and DPD (Digital Predistortion).

Initial Release Features

  • I/Q waveform import

    • Preloaded (eight waveforms, including LTE and WLAN waveforms with different settings)

    • Encrypted waveform from another Signal Studio

    • User-defined waveform in .CSV/Text, Big Endian 16 bits, or Matlab format

  • User interface block diagram, supporting CFR, ET and DPD functions. Each function can be disabled respectively.

    • CFR (Crest Factor Reduction): general algorithm is used. It is not specific for any format.

    • DPD: both Look-up table input (AM-AM. AM-PM) method and close loop DPD model extraction are supported.

    • ET: three envelope sources are supported: From Non-predistorted Signal , From Pre-distorted Signal, and User Defined.

  • Synchronization between ET signal from the Envelope Signal Generator and RF signal from RF Signal Generator. Two methods are supported:

    • Manually setting the Delay value on the user interface

    • Automatically in real time

  • Shaping table input

  • Four measurement results: AM/AM, AM/PM, ACP, and Dynamic-EVM

  • Instrument control from the user interface

    • Envelope Signal Generator to generate envelope signal

    • RF Signal Generator to generate RF signals in DPD/ET tests

    • Signal Analyzer to make the measurements

  • API for programming control

  • Test flow automatic run


Additional Information

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are available for connectivity with SystemVue ESL Software only. The floating license resides on a network server and is accessible by multiple users. Floating licenses are perpetual (permanent) and can be upgraded.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License


Open Source Acknowledgement

Portions of this software, including open source, may be licensed by third parties. If so, terms and conditions (and source code, if required) can be accessed from C:\Program Files (x86)\Keysight\Signal Studio\PA Test\Open Source.

This is the default installation path. During the installation process, you may have chosen a different location to install the software and associated files.


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.


N7614B System Requirements

To generate signals using the N7614B Signal Studio for Power Amplifier Test software, you must have a properly configured PC and a properly configured instrument, as described in the following tables. N7614B Signal Studio for PA Test supports two configuration modes: arb and real-time. Either configuration mode has different hardware requirements.

ARB Hardware Requirements

Real-time Hardware Requirements

ARB Hardware Requirements

Instrument Type

Instrument Model Supported

Requirements

Envelope Signal Generator (only required for envelope tracking test)

33522B waveform generator

Required options:

33522B-MEM (add 16 M memory)

Recommended options:

33522B-OCX (add high-stability OCXO timebase)

33622A waveform generator

Recommended options:

33622A-MEM (add 64 M samples memory per channel)

33622A-OCX (add high-stability OCXO timebase)

N5172B EXG X-Series RF vector signal generator

Firmware revision B.01.10 or later

Required options:

N5172B-653 (internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5182B MXG X-Series RF vector signal generator

Firmware revision B.01.10 or later

Required options:

N5182B-656 (internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

M8190A arbitrary waveform generator

Firmware:

Version 5.1.0.0 or later

Required options:

M8190A-002 (two channels; supports two M8190A modules)

M8190A-14B (14-bit resolution with 8 GSa/s; supports precise mode for envelope signal generation)

M8190A-AMP (additional AC and DC amplifier; supports differential channels used to output the envelope signal)

M8190A-SEQ (sequencer; used to implement the delay adjustment)

Recommended options:

M8190A-02G (upgrade from 128 MSa to 2 GSa memory/channel; only needed for upgrading baseband generator memory)

RF Signal Generator

(For envelope tracking and dual-band DPD tests, only N5172B EXG, N5182B MXG, and N5182A MXG are supported.)

N5172B EXG X-Series RF vector signal generator

Firmware revision B.01.10 or later

Required options:

N5172B-653 (internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-1EA (high output power)

N5182B MXG X-Series RF vector signal generator

Firmware revision B.01.10 or later

Required options:

N5182B-656 (internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-1EA (high output power)

N5182A MXG RF vector signal generator

Firmware revision A.01.60 or later

Required options:

N5182A-652 (60 MSa/s internal baseband generator with 8 MSa memory )

Recommended options:

N5182A-654 (125 MSa/s internal baseband generator with 8 MSa memory)

N5182A-019 (upgrade baseband generator memory to 64 Msa)

N5182A-1EA (high output power)

E4438C ESG vector signal generator

Firmware revision C.04.95 or later

Required options:

E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

Recommended options:

E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability)

E4438C-UNB (high output power with mechanical attenuator)

E8267D PSG vector signal generator

Firmware revision C.04.92 or later

E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)
M8190A arbitrary waveform generator

M8190A required options:

Firmware revision 5.1.0.0 or later

M8190A-002 (arbitrary waveform generator, 2 channels)

M8109A-12G2 (12 GSa/s with 12 bit resolution)

M8109A-14B2 (14 bit resolution with 8 GSa/s)
M8190A arbitrary waveform generator, DUC mode

M8190A required options:

Firmware revision 5.1.0.0 or later

M8190A-DUC (digital upconversion)
M8190A arbitrary waveform generator + E8267D PSG vector signal generator 1

M8190A required options:

Firmware revision 5.1.0.0 or later

M8190A-002 (arbitrary waveform generator, 2 channels)

M8109A-12G2 (12 GSa/s with 12 bit resolution)

M8109A-14B2 (14 bit resolution with 8 GSa/s)

E8267D PSG required options:

E8267D-016 (wideband differential external I/Q inputs)

M9381A PXIe VSG

Firmware revision M938x_Setup-2.0.333.0.exe or later

Required options:

M9381A-M01, M05, or M10

M9381A-B04, B10, or B16

M9381A-F03 or F06

M8195A arbitrary waveform generator

Firmware revision: 3.1 or later

Recommended options:

M8195A-16G (Upgrade to 16 GSa Memory)

M9420A VXT PXIe vector transceiver

Software:

Version M.19.50 or later

Recommended options:

M9420A-1EA (high output power)

M9420A-B85 (increases signal bandwidth to 80 MHz)

M9420A-B1X (increases signal bandwidth to 160 MHz)

M9420A-M05 (memory 512 MSa)

Additional options to consider:

M9420A-506 (frequency range 6 GHz)

M9420A-FDX (full duplex ports)

M9420A-HDX (half duplex ports)

M9421A VXT PXIe vector transceiver

Software:

Version M.19.50 or later

Recommended options:

M9421A-1EA (high output power)

M9421A-B85 (increases signal bandwidth to 80 MHz)

M9421A-B1X (increases signal bandwidth to 160 MHz)

M9421A-M05 (memory 512 MSa)

Additional options to consider:

M9421A-506 (frequency range 6 GHz)

M942A-HDX (half duplex ports)
Signal Analyzer
(For dual-band DPD test, only N9010A EXA, N9020A MXA and N9030A PXA are supported.) 		N9010A EXA

Required options:

N9010A-B40 (analysis bandwidth, 40 MHz)
N9020A MXA

Required options:

N9020A-B40 (analysis bandwidth, 40 MHz)

Recommended options:

N9020A-B85 (analysis bandwidth, 85 MHz)

N9020A-B1A (analysis bandwidth, 125 MHz)

N9020A-B1X (analysis bandwidth, 160 MHz)
N9030A PXA

Required options:

N9030A-B40 (analysis bandwidth, 40 MHz)

Recommended options:

N9030A-B85 (analysis bandwidth, 85 MHz)

N9030A-B1A (analysis bandwidth, 125 MHz)

N9030A-B1X (analysis bandwidth, 160 MHz)
N9030B PXA

Required options:

N9030B-B40 (analysis bandwidth, 40 MHz)

Recommended options:

N9030B-B85 (analysis bandwidth, 85 MHz)

N9030B-B1X (analysis bandwidth, 160 MHz)

N9030B-B5X (analysis bandwidth, 510 MHz)
N9040B UXA

Required options:

N9040B-B40 (analysis bandwidth, 40 MHz)

Recommended options:

N9040B-H1G (analysis bandwidth, 1 MHz)

N9040B-B2X (analysis bandwidth, 255 MHz)

N9040B-B5X (analysis bandwidth, 510 MHz)
M9391A PXI VSA

Firmware revision M9391_Setup-2.0.280.0.0.exe or later

Required options:

M9391A-M01, M05, or M10

M9391A-B04, B10, or B16

M9391A-F03 or F06
M9393A PXI VSA

Firmware revision M9393_Setup-1.2.1016.0.exe or later

Required options:

M9393A-M01, M05, or M10

M9393A-B04, B10, or B16

M9393A-F14, F18, F27, FRX, or FRZ

1. This configuration is used for wideband DPD support, in which M8190A works as IQ waveform generator and E8267D PSG works as modulator & up converter.

2. For M8190A-12G and M8190A-14B options, you must choose one of the two options or both.

Real-Time Hardware Requirements

Instrument Type | Instrument Model Supported | Requirements
Envelope Signal Generator (only required for envelope tracking test) | N5172B EXG X-Series RF vector signal generator | Firmware revision B.01.10 or later Required options: N5172B-653 (internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth) N5172B-660 (upgrade baseband generator with real-time capability) Recommended options: N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)
 | N5182B MXG X-Series RF vector signal generator | Firmware revision B.01.10 or later Required options: N5182B-656 (internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth) N5182B-660 (upgrade baseband generator with real-time capability) Recommended options: N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)
RF Signal Generator | N5172B EXG X-Series RF vector signal generator | Firmware revision B.01.10 or later Required options: N5172B-653 (internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth) N5172B-660 (upgrade baseband generator with real-time capability) Recommended options: N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth) N5172B-1EA (high output power)
 | N5182B MXG X-Series RF vector signal generator | Firmware revision B.01.10 or later Required options: N5182B-656 (internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth) N5182B-660 (upgrade baseband generator with real-time capability) Recommended options: N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth) N5182B-1EA (high output power)
Signal Analyzer | N9010A EXA | Required options: N9010A-B40 (analysis bandwidth, 40 MHz)
 | N9020A MXA | Required options: N9020A-B40 (analysis bandwidth, 40 MHz) Recommended options: N9020A-B85 (analysis bandwidth, 85 MHz) N9020A-B1A (analysis bandwidth, 125 MHz) N9020A-B1x (analysis bandwidth, 160 MHz)
 | N9030A PXA | Required options: N9030A-B40 (analysis bandwidth, 40 MHz) Recommended options: N9030A-B85 (analysis bandwidth, 85 MHz) N9030A-B1A (analysis bandwidth, 125 MHz) N9030A-B1x (analysis bandwidth, 160 MHz)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (64 bit)1:

  • 1 GHz or faster 64-bit processor

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 4.0 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise) (64 bit)1:

  • 1 GHz or faster 64-bit processor

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 4.0 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the Signal Studio Trial License web page.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • M8190A arbitrary waveform generator

  • M9381A PXIe vector signal generator

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E8267D PSG signal generator


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


Creating and Exporting Waveforms

This procedure describes how to create and export waveform files

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications.

  1. Open the software and follow the wizard to connect to the signal generator.

  2. Configure the waveform using the various parameter selections and settings available in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  3. Click the Generate Waveform button.

  4. Under the File menu, select Export Waveform Data.

  5. Name the waveform file and save it to your PC.


2. Align ET System

This can be achieved by performing normal envelope tracking. Refer to Example Envelope Tracking (ET) Measurements to know how to handle the envelope tracking to finish the alignment of ETPS output and RF signal. This is must before making meaningful PAE measurement.

You can use DPD performance as a criteria to find whether RF signal and ET signal is aligned well or not.


2. Align ET System

Timing alignment is to synchronize the input signal of the PA (the output of the RF Signal Generator) with the input voltage of the PA (the output of the Envelope Signal Generator) in time domain. This can be achieved by performing normal envelope tracking. Refer to Example Envelope Tracking (ET) Measurements to know how to handle the envelope tracking to finish the alignment of ETPS output and RF signal. This is must before making meaningful PAE measurement.

There are two methods:

  • Manual: Adjust the Delay and Step setting in Envelope Tracking block manually with an oscilloscope connected to the Envelop Signal Generator and RF Signal Generator and observe the signals alignment.

  • Auto: Click the Closed Auto-align ET and RF signals button on the tool bar to get the signals aligned automatically.

    By selecting the Pre-Align with AM-AM for Auto-Align check box in the Envelope Tracking block, you can find a possible better initial delay value with the measured AM-AM results, but this may take longer time. After the auto-alignment is finished, the Delay setting in Envelope Tracking block is updated automatically.

If the related settings (for example, sample rate, IQ delay, trigger delay in Generator instruments and so on) are changed and applied, it is recommended to do the timing alignment again.

Figures 1 and 2 show the DPD results before and after alignment respectively.

Figure 1. DPD result before Alignment

Figure 2. DPD result after auto-Align

Use DPD performance as a criteria to find whether RF signal and ET signal is aligned well or not.


Marker Selection Dialog Box

Marker Source Selection Dialog Box

Use the Marker Source Selection dialog box for the Marker 1, 2, 3, or 4 Source cells to set active marker points within the waveform. The cells are located in the Waveform Setup parameter configuration table.

None

Waveform Start

From the input WFM file

PA Enable Mask

User Defined Bits

  • Import

  • Export

  • Clear

  • PN9 Data

None

Sets all marker points to zero (inactive).

Waveform Start

Sets the first five marker bits of the frame to 1. (Sets an active marker for the first five waveform samples.)

This parameter was labeled Frame. Frame API command is available for backwards compatibility.

From the input WFM file

Sets to use the marker settings from the selected waveform file.

PA Enable Mask

Sets the marker output to be the PA Enable Mask which is set in "3. Burst Formation and Mask".

User Defined Bits

Opens the user Closed data entry area, in which you can customize the marker signal.

  • Use the data buttons described below to import, export, or clear marker data or to insert a PN9 sequence.

  • Manually insert marker data with the 1 and 0 keys on the keyboard, with the Insert PN9 button, or by copying and pasting data from a file or from within the current view. (Use the keyboard shortcuts Cntl+C and Cntl+V for copy and paste.)

  • Manually delete data using the Backspace key, the Delete key, or the keyboard shortcut Cntl+Z.

The maximum number of marker bits in the user data entry area is 2,097,152.

Import

Accesses a dialog box in which you can select the desired file to import. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 2,097,152 bits. If the imported file is larger than 2,097,152 bits, the software truncates the bits to conform to the maximum file size.

Export

Open a dialog box in which you can save the pattern in the user data entry area to a file. You can save the file in one of the following formats:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Deletes all data from the user data entry area.

Insert PN9

Inserts a fixed pseudo-random bit sequence containing 511 bits into the user data entry area. The software generates the pattern in accordance with CCITT recommendation O.153. Each click adds another PN9 sequence until the software attains the maximum file size of 2,097,152 bits. The software truncates data in excess of the maximum file size.

To edit the existing data pattern, place the cursor at the desired point in the file and click Insert PN9 or enter individual bits using the keyboard 1 and 0 keys. The software inserts the data at the cursor position and truncates all data in excess of 2,097,152 bits.

Related Topic

Waveform Setup


Marker Selection Dialog Box

Marker Source Selection Dialog Box

Use the Marker Source Selection dialog box for the Marker 1, 2, 3, or 4 Source cells to set active marker points within the waveform. The cells are located in the Waveform Setup parameter configuration table.

None

Waveform Start

From the input WFM file

User Defined Bits

  • Import

  • Export

  • Clear

  • PN9 Data

None

Sets all marker points to zero (inactive).

Waveform Start

Sets the first five marker bits of the frame to 1. (Sets an active marker for the first five waveform samples.)

This parameter was labeled Frame. Frame API command is available for backwards compatibility.

From the input WFM file

Sets to use the marker settings from the selected waveform file.

User Defined Bits

Opens the user Closed data entry area, in which you can customize the marker signal.

  • Use the data buttons described below to import, export, or clear marker data or to insert a PN9 sequence.

  • Manually insert marker data with the 1 and 0 keys on the keyboard, with the Insert PN9 button, or by copying and pasting data from a file or from within the current view. (Use the keyboard shortcuts Cntl+C and Cntl+V for copy and paste.)

  • Manually delete data using the Backspace key, the Delete key, or the keyboard shortcut Cntl+Z.

The maximum number of marker bits in the user data entry area is 2,097,152.

Import

Accesses a dialog box in which you can select the desired file to import. An imported file automatically updates the user data entry area. The software accepts the following file types:

  • ASCII text

  • comma separated values (csv)

  • binary

The maximum file size is 2,097,152 bits. If the imported file is larger than 2,097,152 bits, the software truncates the bits to conform to the maximum file size.

Export

Open a dialog box in which you can save the pattern in the user data entry area to a file. You can save the file in one of the following formats:

  • ASCII text

  • comma separated values (csv)

  • binary

Clear

Deletes all data from the user data entry area.

Insert PN9

Inserts a fixed pseudo-random bit sequence containing 511 bits into the user data entry area. The software generates the pattern in accordance with CCITT recommendation O.153. Each click adds another PN9 sequence until the software attains the maximum file size of 2,097,152 bits. The software truncates data in excess of the maximum file size.

To edit the existing data pattern, place the cursor at the desired point in the file and click Insert PN9 or enter individual bits using the keyboard 1 and 0 keys. The software inserts the data at the cursor position and truncates all data in excess of 2,097,152 bits.

Related Topic

Waveform Setup


1. Setting up the Measurement System

The following figures show the instrument connection of envelope tracking measurement.

Figure 1. Envelope tracking measurement setup when N5172B EXG/N5182B MXG is used as envelope signal generator

Figure 2. Envelope tracking measurement setup when 33522B/33622A is used as envelope signal generator

In the system connection diagram above, the dark blue lines are for RF connection; the light blue lines are for reference, trigger, and envelope signal connection; the black lines are for instrument control connection with LAN or GPIB. In envelope tracking test, timing alignment is required between the ETPA Vcc input and the RF input signal.
For the trigger connection from the Sync port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator, it only applies if the RF Signal Generator is N5172B or N5182B. At this time, the Trigger Master in the Envelope Tracking block in N7614B Signal Studio for Power Amplifier Test software should be set to Envelope Signal Generator.
If the RF Signal Generator in use is N5182A, the trigger connection should be changed to from the Event 1 port of the RF Signal Generator to the Ext Trig/Gate/FSK/Burst port of the Envelope Signal Generator and the Trigger Master in the Envelope Tracking block in N7614B Signal Studio for Power Amplifier Test software should be set to RF Signal Generator.

Instrument Supported

The table below shows the supported instruments for envelope tracking measurement. For details about the options required for each instrument model, refer to System Requirements.

Instrument Type | Instrument Model Supported
RF Signal Generator | N5182B MXG N5172B EXG N5182A MXG
Envelope Signal Generator | 33522B Arbitrary Waveform Generator 33622A Arbitrary Waveform Generator N5182B MXG N5172B EXG
Signal Analyzer | N9010A EXA N9020A MXA N9030A PXA

System Connection

To set up the measurement system, follow the steps below:

  1. Connect the PC installed with N7614B Signal Studio with the RF Signal Generator, Envelope Signal Generator, and Signal Analyzer through LAN or GPIB.

  2. Connect the 10 MHz Ref Out port of the Envelope Signal Generator to the 10 MHz Ref In port of the RF Signal Generator and connect the EVENT 1 port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator for time alignment of the Envelope Signal Generator output and RF Signal Generator output.

    If the RF Signal Generator in use is N5182A MXG, instead of connecting the Sync port of the Envelope Signal Generator to the PAT TRIG port of the RF Signal Generator, you should connect the EVENT 1 port of the RF Signal Generator to the Ext Trig/Gate/FSK/Burst port of the Envelope Signal Generator. Note that in Step 4, EVENT 1 is also connected to the Trigger IN 1 port of the Signal Analyzer, so a one-to-two connector needs to be used in EVENT 1 port.

  3. If N5172B/N5182B is used as envelope signal generator, connect the I OUT and [image] OUT of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

    If 33522B or 33622A is used as envelope signal generator, connect the Channel 1 and Channel 2 output of the Envelope Signal Generator to the VETP and VETN port of the ETPS and connect the VETPS_OUT port of the ETPS to the Vcc of the ETPA.

  4. Connect the EVENT 1 port on the rear panel of the RF Signal Generator to the Trigger IN 1 port on the rear panel of the Signal Analyzer using a BNC cable. This is to synchronize the RF Signal Generator and Signal Analyzer in time domain.

  5. Connect the 10 MHz OUT port on the rear panel of the RF Signal Generator to the EXT REF IN port on the rear panel of the Signal Analyzer using a BNC cable.

  6. Connect the RF OUTPUT port of the RF Signal Generator to the input of the PA and connect the output of the PA to the RF INPUT port of the Signal Analyzer.


PAE Measurements View

Measurement View shows the measurement results of the PA test. In the measurement view, there are two result windows: PAE vs Time and PAE vs PA Power Out. You can double click on each result window to enlarge it to see more detailed information and then double click again to be back to the default layout.

Export Trace Button

Click this button to export all the measurement results into combined and separate trace files using using the .csv file format. You will get a Warning message in the Log when there is no measurement result to be exported.

This button does not support MATLAB script and PXI instruments.

1. General | 2. AM/AM & AM/PM | 3. ACP | 4. EVM vs. Power
Measurement Enabled | AM/AM Polynomial Order | Saved Instrument State | Format
Intermediate Results | AM/PM Polynomial Order | Fast Power | Radio Std
Traces |  | In Channel Bandwidth | Guard Interval
 |  | Adjacent Channel Count | Equalizer Training
 |  | Adjacent Channel BW | Direction
 |  | Channel Offset | Preset Radio Std

1. General

Measurement Enabled

Choice: On | Off

Default: On

Choose whether to make measurement during the running process. If this parameter is set to Off, measurement will NOT be perform during the running process, and no results will be shown in the measurement view.

Intermediate Results

Choice: On | Off

Default: Off

Choose whether to display the intermediate results or not. This parameter controls whether the single-step measurements (AM-AM, AM-PM, ACP) will be performed during the multi-step test flow, including power sweeping and RF-ET signals auto-timing alignment.

Traces

Choice: Show w/o DPD | Show with DPD | Show Both

Default: Show Both

Choose the display of the traces, with DPD, without DPD, or both.

2. AM/AM & AM/PM

AM/AM Polynomial Order

Range: 3 to 12

Default: 5

Set the polynomial order used to fit the AM/AM curve on the measurement diagram.

AM/PM Polynomial Order

Range: 1 to 12

Default: 5

Set the polynomial order used to fit the AM/PM curve on the measurement diagram.

3. ACP

Saved Instrument State

Choice: None | Register 1 | Register 2 | Register 3 | Register 4 | Register 5 |… | Register 16 |

Default: None

Coupling: If Register X option has been selected, then default ACP measurement setup on software will be invisible, otherwise will be visible.

Specify which setting option will be used to measure ACP. None means default setting from the software. Register X (1…16) means setting which user defined and stored into Register X will be used to measure ACP.

When user choose the Saved instrument State=Register X(1…16), then ACP measurement will use the setting user have defined and stored into SA Register X(1…16). This options is used to fulfill the case which user want to use some special setting which 7614B cannot fulfilled or have not provided so far. Here only ACP measurement with 1 carrier in ACP mode of GPSA application will be supported, other setting will not update SA display on N7614B, user can check the display result on SA .

Fast Power

Choice: On | Off

Default: Off

Choose whether to use fast power function in Signal analyzer. To use fast power function, it requires:

  • the signal analyzer in use is N9020A MXA or N9030A PXA with firmware version equal to or greater than 14.0.

  • FP2 and B40 licenses installed in the signal analyzer.

  • the total span of ACP smaller than 40 MHz.

Adjacent Channel Count

Range: 1 to 6

Default: 1

Set the number of adjacent channels for ACP measurement.

In-Channel Bandwidth

Range: 10 Hz to 200 MHz

Default: 5 MHz

Coupling: This parameter is coupled with the Bandwidth setting in Waveform block.

Set the in-channel bandwidth.

Adjacent Channel BW

Range: 10 Hz to 200 MHz

Default: 5 MHz

Coupling: This parameter is coupled with the Bandwidth setting in Waveform block.

Set the integration bandwidth for the adjacent channel.

Channel Offset

Range: 0 to 200 MHz

Default: 5 MHz

Coupling: This parameter is coupled with the Bandwidth setting in Waveform block.

Set the frequency offset between the main channel and the adjacent channel.

4. EVM vs. Power

Format

Choice: WLAN | LTE FDD | Raw

Default: WLAN

Choose the signal format. If the signal under test is in other format, the EVM vs. Power results is invalid. If Raw is selected as the format, the software will provide ∆EVM results.

Radio Std

Choice: 802.11a/g (OFDM) | 802.11n (20 MHz) | 802.11n (40 MHz) | 802.11ac (20 MHz) | 802.11ac (40 MHz)

Default: 802.11a/g (OFDM)

Coupling: Available only when Format is set to WLAN.

Select the radio standard of the signal under test.

Guard Interval

Choice: 1/4 | 1/8

Default: 1/4

Coupling: Available only when Format is set to WLAN.

Select the guard interval of the signal under test.

Equalizer Training

Choice: Preamble Only | Preamble, Pilots & Data

Default: Preamble Only

Coupling: Available only when Format is set to WLAN.

Specify how the equalizer is initialized or trained.

  • Preamble Only specifies that the equalizer is trained using only the channel estimation sequence (also called the “long sync”) portion of the burst preamble.

  • Preamble, Pilots & Data specifies that the equalizer should be trained using both the channel estimation sequence and the entire data portion of the burst. This usually gives a more accurate estimate of the equalizer response. It also typically lowers the EVM by between one and three dB.

Direction

Choice: Downlink | Uplink

Default: Downlink

Coupling: Available only when Format is set to LTE FDD.

Choose the direction of the LTE signal.

Preset Radio Std

Choice: 1.4 MHz (6RB) | 3 MHz (15 RB) | 5 MHz (25 RB) | 10 MHz (50 RB) | 15 MHz (75 RB) | 20 MHz (100 RB)

Default: 5 MHz (25 RB)

Coupling: Available only when Format is set to LTE FDD.

Choose the bandwidth of the LTE signal used for IQ calibration.


AXIe AWG

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Download Button

This button opens a menu where you can choose between a user-defined IQ or MATLAB waveform file.

Settings

1. Configuration | 2. Basic | 3. Channels Adjustment
Address Instrument | Instrument Couple State Reference Source Reference Frequency OSR for AWG Internal Sample Frequency | IQ Skew I/Q Gain Balance
Channel 1 (I) / Channel 2 (Q)
1. Output State Direct Mode Format Amplitude Offset Differential Offset Reduced Noise Floor Fine Delay Coarse Delay | 2. Aux Sync Marker AMPL Sync Marker Offset Sample Marker AMPL Sample Marker Offset

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: M8190A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Instrument Couple State

Choice: On |Off

Default: On

Set whether the two channels of the function generator are coupled or not.

Reference Source

Choice: External | Axi | Internal

Default: External

Specify the source of the reference clock.

Reference Frequency

Range: 1 MHz to 200 MHz

Default: 10 MHz

Coupling: This parameter is only available when the Reference Source is set to External.

Set the expected reference clock frequency, if the external reference clock source is selected.

OSR for AWG

Range: 1 to 100

Default: 1

Coupling: If the sample rate of the waveform from the Waveform block is less than 125 MHz, the OSR for AWG value will be adjusted automatically to set the Internal Sample Frequency greater than or equal to 125 MHz.

Set the oversampling ratio of the M8190A AWG. The main purpose of setting this value is to increase the sample frequency used in M8190A to push away the image signal.

Internal Sample Frequency

Range: 125 MHz to 8 GHz

Default: 125 MHz

This value is calculated by N7614B Signal Studio for Power Amplifier Test software automatically.

3. Channels Adjustment

I/Q Skew

Range: -10.15 ns to 10.15 ns

Default: 0 s

Set the I/Q skew time between its two channels. After IQ Cal process, this value will be updated automatically.

I/Q Gain Balance

Range: -1 dB to 1 dB

Default: 0 dB

Set the I/Q gain balance value between its two channels. After IQ Cal process, this value will be updated automatically.

Channel 1 (I) /Channel 2 (Q)

1. Output

State

Choice: On | Off

Default: On

Enable or disable the related channel output state.

Direct Mode

Choice: Bits 14 | Bits 12

Default: Bits 14

Select the direct mode. This parameter determines and configures the mode of the function generator, either Hi-Speed with 12 bit resolution or High-Precision with 14 bit resolution.

Format

Choice: RZ | NRZ | DNRZ | Doublet

Default: DNRZ

Set the channel format, which determines the format modes in DAC output path.

Amplitude

Range: 01 to 0.7

Default: 0.675

Set the amplitude of the arbitrary waveform that the function generator produces in the DAC output path. Note that the I/Q Gain Balance value would be calculated into the Amplitude value on Channel 1 and Channel 2.

Offset

Range: -0.02 V to 0.02 V

Default: 0

Set the offset of the arbitrary waveform that the function generator produces in the DAC output path.

Differential Offset

Range: -8192 to 8191

Default: 0

Set the offset to the auto-calibrated optimum DAC value so that the hardware can compensate for little offset differences between the normal and complement output..

Reduced Noise Floor

Choice: On | Off

Default: Off

Enables or disables the noise reduction feature. If the noise reduction is enabled, coarse and fine delay are constant and cannot be adjusted.

Fine Delay

Range: 0 to 30 ps (Internal Sample Frequency ≥ 6.25 GSa/s) or 60 ps (2.5 GSa/s ≤ Internal Sample Frequency < 6.25 GSa/s) or 150ps (Internal Sample Frequency < 2.5 GSa/s)

Default: 0

Set the fine delay of the channel in seconds..

Coarse Delay

Range: 0 to 10 ps (Internal Sample Frequency ≥ 6.25 GSa/s) or 20 ps (2.5 GSa/s ≤ Internal Sample Frequency < 6.25 GSa/s) or 50ps (Internal Sample Frequency < 2.5 GSa/s)

Default: 0

Set the coarse delay of the channel in seconds.

2. Aux

Sync Marker AMPL

Range: 0 to 1.5

Default: 1.2

Set the amplitude of the sync marker.

Sync Marker Offset

Range: -0.5 to 1.75

Default: 0.25

Set the offset of the sync marker.

Sample Marker AMPL

Range: 0 to 1.5

Default: 1.2

Set the amplitude of the sample marker.

Sample Marker Offset

Range: -0.5 to 1.75

Default: 0.25

Set the offset of the sample marker.


AXIe AWG DUC

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Settings

1. Configuration | 2. Basic | 3. Output
Address Instrument | Carrier Frequency Output Channel OSR for AWG Baseband Sample Rate Interpolated Mode Internal Sample Frequency Reference Source Reference Frequency | Output Route Output State DAC Format Amplitude Amplitude Offset Reduced Noise Floor Carrier Scale

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: M8190A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Carrier Frequency

Range: 0 to 12 Ghz

Default: 1 Ghz

Sets the center frequency of M8190A output in DUC mode.

Output Channel

Choice: Channel 1 | Channel 2

Default: Channel 1

Coupling: If Option 001 is installed, only Channel 1 available. Both Channel 1 and Channel 2 are available when Option 002 is installed.

Select which channel is being used in DUC mode.

OSR for AWG

Range: Depends on the original waveform properties and internal sample clock setting

It indicates the oversampling ratio that waveform will be resampled before downloading into AWG.

Baseband Sample Rate

Range: 21 MHz to 2.4 GHz

Displays the sample rate of waveform downloaded to M8190A.

Interpolated Mode

Choice: INTx3 | INTx12 | INTx24 | INTx48

Default: INTx3

Coupling: Available choices is coupled with the internal sample clock and baseband sample rate.

Select interpolation rate before digital modulating in DUC mode.

Internal Sample Frequency

Range: 1 GHz to 7.2 GHz

Default: 1.2 GHz

Coupling: It’s coupled with original sample rate from waveform model and OSR for AWG and the interpolation mode and read only.

It indicates the sample rate of waveform which is used before final DAC.

Reference Source

Choice: External | Axi | Internal

Default: External

Displays the reference signal source.

Reference Frequency

Default: 10 MHz

Displays the frequency of the reference source.

3. Output

Output Route

Choice: Direct | AC | DC

Default: Direct

Coupling: This setting is coupled with Option AMP. If Option AMP is installed, then AC | DC can be selected, otherwise Direct is the only available choice.

Select which route is used to output the signal.

Output State

Choice: On | Off

Default: On

Coupling: This setting is available only when Option AMP is installed

To enable or disable the signal output at the following connectors: Direct Out, Direct Out, and AMP Out.

DAC Format

Choice: RZ | NRZ | DNRZ | Doublet

Default: DNRZ

Set the channel format, which determines the format modes in DAC output path.

Amplitude

Range:

AC: 0.1 to 2.0

DC: 0.15 to 1.0

Direct: 0.35 to 0.7

Default: 700 mV

Coupling: Output Route

Specifies the amplitude of the output signal.

Amplitude Offset

Range:

Direct: -0.02 to 0.02

DC: -0.925 to 3.225

Default: 0

Coupling: This setting is coupled with the Output Route value. If Output Route is AC, then this setting is not available.

Specifies the offset of the output signal.

Reduced Noise Floor

Choice: On | Off

Default: Off

Enables or disables the noise reduction feature. If the noise reduction is enabled, coarse and fine delay are constant and cannot be adjusted.

Carrier Scale

Range: 0 to 2.8243

Default: 2

Sets the carrier amplitude scale for interpolated modes.


AXIe AWG + PSG

Instrument Connection Button

This button connects to the instrument after entering the its Address in the Configuration property grid. It also displays the following status conditions:

  • Idle: No instrument is connected.

  • Connecting: The software is in the process of connecting to the instrument.

  • Connected: The software is connected to the instrument.

Download Button

This button opens a menu where you can choose between a user-defined IQ or MATLAB waveform file.

Correct I/Q Button

This button opens the IQ Correction window.

Settings

This configuration is divided into two segments:

AWG

Modulator & Upconverter (PSG)

AWG

1. Configuration | 2. Basic | 3. Channels Adjustment
Address Instrument | Instrument Couple State Reference Source Reference Frequency OSR for AWG Internal Sample Frequency | IQ Skew I/Q Gain Balance
Channel 1 (I) / Channel 2 (Q)
1. Output State Direct Mode Format Amplitude Offset Differential Offset Reduced Noise Floor Fine Delay Coarse Delay | 2. Aux Sync Marker AMPL Sync Marker Offset Sample Marker AMPL Sample Marker Offset

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: M8190A

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

2. Basic

Instrument Couple State

Choice: On |Off

Default: On

Set whether the two channels of the function generator are coupled or not.

Reference Source

Choice: External | Axi | Internal

Default: External

Specify the source of the reference clock.

Reference Frequency

Range: 1 MHz to 200 MHz

Default: 10 MHz

Coupling: This parameter is only available when the Reference Source is set to External.

Set the expected reference clock frequency, if the external reference clock source is selected.

OSR for AWG

Range: 1 to 100

Default: 1

Coupling: If the sample rate of the waveform from the Waveform block is less than 125 MHz, the OSR for AWG value will be adjusted automatically to set the Internal Sample Frequency greater than or equal to 125 MHz.

Set the oversampling ratio of the M8190A AWG. The main purpose of setting this value is to increase the sample frequency used in M8190A to push away the image signal.

Internal Sample Frequency

Range: 125 MHz to 8 GHz

Default: 125 MHz

This value is calculated by N7614B Signal Studio for Power Amplifier Test software automatically.

3. Channels Adjustment

I/Q Skew

Range: -10.15 ns to 10.15 ns

Default: 0 s

Set the I/Q skew time between its two channels. After IQ Cal process, this value will be updated automatically.

I/Q Gain Balance

Range: -1 dB to 1 dB

Default: 0 dB

Set the I/Q gain balance value between its two channels. After IQ Cal process, this value will be updated automatically.

Channel 1 (I) /Channel 2 (Q)

1. Output

State

Choice: On | Off

Default: On

Enable or disable the related channel output state.

Direct Mode

Choice: Bits 14 | Bits 12

Default: Bits 14

Select the direct mode. This parameter determines and configures the mode of the function generator, either Hi-Speed with 12 bit resolution or High-Precision with 14 bit resolution.

Format

Choice: RZ | NRZ | DNRZ | Doublet

Default: DNRZ

Set the channel format, which determines the format modes in DAC output path.

Amplitude

Range: 01 to 0.7

Default: 0.675

Set the amplitude of the arbitrary waveform that the function generator produces in the DAC output path. Note that the I/Q Gain Balance value would be calculated into the Amplitude value on Channel 1 and Channel 2.

Offset

Range: -0.02 V to 0.02 V

Default: 0

Set the offset of the arbitrary waveform that the function generator produces in the DAC output path.

Differential Offset

Range: -8192 to 8191

Default: 0

Set the offset to the auto-calibrated optimum DAC value so that the hardware can compensate for little offset differences between the normal and complement output..

Reduced Noise Floor

Choice: On | Off

Default: Off

Enables or disables the noise reduction feature. If the noise reduction is enabled, coarse and fine delay are constant and cannot be adjusted.

Fine Delay

Range: 0 to 30 ps (Internal Sample Frequency ≥ 6.25 GSa/s) or 60 ps (2.5 GSa/s ≤ Internal Sample Frequency < 6.25 GSa/s) or 150ps (Internal Sample Frequency < 2.5 GSa/s)

Default: 0

Set the fine delay of the channel in seconds..

Coarse Delay

Range: 0 to 10 ps (Internal Sample Frequency ≥ 6.25 GSa/s) or 20 ps (2.5 GSa/s ≤ Internal Sample Frequency < 6.25 GSa/s) or 50ps (Internal Sample Frequency < 2.5 GSa/s)

Default: 0

Set the coarse delay of the channel in seconds.

2. Aux

Sync Marker AMPL

Range: 0 to 1.5

Default: 1.2

Set the amplitude of the sync marker.

Sync Marker Offset

Range: -0.5 to 1.75

Default: 0.25

Set the offset of the sync marker.

Sample Marker AMPL

Range: 0 to 1.5

Default: 1.2

Set the amplitude of the sample marker.

Sample Marker Offset

Range: -0.5 to 1.75

Default: 0.25

Set the offset of the sample marker.

Modulator & Upconverter (PSG)

1. Configuration | 2. Basic | 3. I/Q | 4. ALC
Address Instrument DC Calibration | Frequency Amplitude RF Output | I/Q Path I/Q Enabled I/Q Adjustments I Offset Q Offset Quadrature Angle Adjustment | ALC Power Search Mode Power Search Reference

1. Configuration

Address

Enter the instrument address.

The drop down list of Address lists the recently used instrument address and the connection strings (GPIB, USB, LAN, etc.) configured in the IO Connection Expert.

Instrument

Default: E8267D

This parameter displays the model number and serial number of the instrument if the status of Instrument Connection Button is Connected.

DC Calibration

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the DC calibration after the waveform download.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Default: 5.18 GHz

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Default: -10 dBm

Enter a value to set the signal generator’s output amplitude in dBm.

  • If the PA Mode in PA block is set to PA input, the Amplitude value here in RF Signal Generator Block is coupled with the Power and Loss In setting in PA block as follows:

    • If the Power or Loss In value in PA block is changed, the Amplitude value here will be changed to (PA Power + Loss In).

    • If the Amplitude value here is changed, the PA Power value in PA block will be changed to (Amplitude - Loss In).

  • If the PA Mode in PA block is set to PA output, the Amplitude value is coupled with the settings under PA block, which is (PA Power + Loss In -Gain).

RF Output

Choice: Off | On

Default: On

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

3. I/Q

I/Q Path

Choice: Wide | Normal

Default: Wide

Select the I and Q modulator inputs. In the current version, this value is set Selecting Normal sets the inputs to the source chosen under the Mux hard key; selecting Wide sets the inputs to the external Wide I and Q inputs on the rear panel.

I/Q Enabled

Choice: On | Off

Default: On

Turn the RF output on or off.

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range: -1 to 1 v

Default: 0 v

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Q Offset

Range: -1 to 1 v

Default: 0 v

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments. For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Set I/Q Adjustments to On to enable this parameter.

Quadrature Angle Adjustment

Range: -10 to 10 degrees

Default: 0 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

Power Search Mode

Choice: Manual | Auto | Span

Default: Manual

Coupling: If ALC is on, this setting is grayed out.

Set the power search mode.

Power Search Reference

Choice: RMS | Fixed | Manual | Modulated

Default: RMS

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulated – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B


EVM vs. Power

EVM vs. Power measurement is performed when running a power sweeping test flow. The EVM vs. Power result shows EVM (Y axis) versus PA Output Power (X axis) result. The PA Output Power (X axis) range is specified by Power Max and Power Min (in PA block). The distance between each points is set by the Power Step (in the PA block) value.

  • EVM vs. Power results are required in PA tests and the waveform in use is usually required to have specified duty cycles, which can be configured using the Burst Formation and Mask settings in the Waveform block.

  • The X axis values are real PA output power measured by the Signal Analyzer.

  • The Y axis values are the EVM results queried from the WLAN or LTE FDD measurement application in the Signal Analyzer.


Voltage Mapping in Envelope Tracking Measurement

Voltage Mapping is an important concept and digital process in envelope tracking measurement, involving parameters in several blocks. This section illustrates the detailed relationships in the related parameters. Most of the envelope tracking algorithm and terminology used in this section is compliant to MIPI eTrak spec.

Voltage mapping involves three blocks:

  • Envelope Tracking block

    In this block, shaping table is specified. Shaping table defines the relationship between input column (RF Voltage) and the supply voltage of the PA (Vcc). The input column can be Normalized I/Q Amplitude, Absolute RF Output Voltage of the input signal or Override Absolute RF.

  • Envelope Signal Generator block

    In this block, Voltage is calculated through voltage mapping process and Voltage Offset is also set in the process.

  • ETPS

    In this block, two parameters for the PA are set: ETPS Gain and Vcc Offset and one parameter defined in MIPI eTrak spec is set: VCM.

To introduce voltage mapping, two sections are included:

Voltage Mapping Concepts

Voltage Mapping Procedure in N7614B

Voltage Mapping Concepts

Equation 1 shows the relationships of the related parameters, which is from eTrak spec.

where,

Vcc is the supply voltage of the PA, which is also called VETPS_OUT in eTrak spec.

Vcc_offset is the Vcc Offset parameter in ETPS block. This parameter can be measured at the ETPS output by setting VREF to 0.

ETPSGAIN is the amplification of the differential supply voltage, which corresponds to ETPS Gain setting in ETPS block.

VETP is the positive signal output of the Envelope Signal Generator.

VETN is the negative signal output of the Envelope Signal Generator.

VREF is used as the reference for ETPS.

VCM is the common mode voltage as defined in MIPI eTrak spec.

The following figure illustrates the relationship between VETP, VETN, VREF, and VCM clearly.

Voltage Mapping Procedure in N7614B

In N7614B Signal Studio for Power Amplifier Test, voltage mapping works as follows:

  1. Use the shaping table defined in Envelope Tracking block to calculate the supply voltage of PA (Vcc) from the RF voltage of the signal.

  2. Calculate VREF using a transformation of equation 1 as shown in equation 2. Note that VCC_offset and ETPSGAIN values are set in ETPS block.

  3. Calculate the single port Voltage value for Envelope Signal Generator block using equation 3.

    in which VREF_MAX is the maximum value of VREF, VREF_MIN is the minimum value of VREF.

    The Voltage Offset value in Envelope Signal Generator block is equal to the VCM value in ETPS block. VCM parameter is independent from the parameters discussed above and can be set by the user as required.